=== ChangeLog discontinued ===

	With the move to git, The Mana World has switched from a ChangeLog
	file to relying on commit messages to provide change history.

2008-10-30  Philipp Sehmisch  <tmw@crushnet.org>

	* src/gui/skil.cpp: fixed two broken include paths.

2008-11-08  Bjørn Lindeijer  <bjorn@lindeijer.nl>

	* src/utils/strprintf.cpp: Fixed compile error with GCC 4.4 reported
	by Martin Michlmayr.

2008-11-06  Dennis Friis  <peavey@placid.dk>

	* src/game.cpp: Do not activate shortcuts if tradewindow is visible.
	* src/equipment.cpp: Remove an extra include and arrange headers like
	the trunk client for easier merging.
	* src/localplayer.cpp, src/gui/equipmentwindow.cpp,
	src/gui/equipmentwindow.h, src/equipment.h,
	src/net/equipmenthandler.cpp, src/equipment.cpp: Have equipment tied
	into player inventory instead of keeping its own list of pointers to
	items. This ensures the ressource is up-to-date and avoids crashes on
	stale item pointers.

2008-11-04  Bjørn Lindeijer  <bjorn@lindeijer.nl>

	* src/gui/gui.cpp, data/graphics/gui/sansserif8.png: Applied more
	changes by vargavind, adding the complete ISO-8859-15 character set to
	the sans-serif font.

2008-11-01  Fate  <fate.tmw@googlemail.com>

	* src/gui/skill.cpp (class SkillGuiTableModel): Report unmapped
	skill names as `Mystery Skill' (rather than random garbage)

	* src/being.cpp (initializeHair): Read hair colours from external
	`hair.xml' file (clientdata)
	(initializeHair): Auto-detect number of hair colours

	* src/gui/skill.cpp (SkillDialog): Display skills using a table
	and using an external `skills.xml' file
	(SkillDialog::update): No longer segfault when skills beyond 199
	are reported

	* src/gui/table_model.cpp: Several fixes to tables and table
	models to better handle `NULL' widgets and `NULL' models during
	initialisation.

	* src/main.cpp (charLogin): Send client protocol version to
	character server (this is ignored in vanilla eAthena).

	* src/net/network.h (TMW_CLIENT_PROTOCOL_VERSION): Record client
	protocol version

	* src/net/beinghandler.cpp (BeingHandler::handleMessage): Properly
	decode whether character is dead
	(BeingHandler::handleMessage): for SMSG_PLAYER_MOVE et al., ignore
	shoe and glove updates-- they are incorrect and not needed (we get
	them correctly when the PC is spawned for the client and they are
	updated as needed by other packages.)

2008-10-31  Bjørn Lindeijer  <bjorn@lindeijer.nl>

	* src/gui/gui.cpp: Applied patch by vargavind which adds more special
	characters to the font. Somehow they were already part of the font
	image, but not used.

2008-10-30  Philipp Sehmisch  <tmw@crushnet.org>

	* src/net/beinghandler.cpp: Added particle effect on critical hits.

2008-10-30  Dennis Friis  <peavey@placid.dk>

	* src/net/beinghandler.cpp: Do not set shoe sprite on player move
	packet unless supported by eAthena.

2008-10-28  Dennis Friis  <peavey@placid.dk>

	* src/net/npchandler.cpp: Handle NPC script close. Fixes client input
	freeze on no-dialog NPCs.

2008-10-28  Bjørn Lindeijer  <bjorn@lindeijer.nl>

	* src/game.cpp: Fixed trade window being visible on client startup
	when it was visible on shutdown.

2008-10-26  Bjørn Lindeijer  <bjorn@lindeijer.nl>

	* src/net/beinghandler.cpp: Since we somehow did end up depending on a
	hacked eAthena instead of supporting existing features decently,
	assign the shoes and gloves IDs.

2008-10-26  Philipp Sehmisch  <tmw@crushnet.org>

	* src/particle.cpp, src/particleemitter.cpp, src/particleemitter.h,
	src/particleemitterprop.h, src/utils/minmax.h: Implemented particle
	emitters with properties which change over time according to wave
	functions.
	* src/Makefile.am, src/CMakeLists.txt, tmw.cbp: Updated project files.

2008-10-23  Dennis Friis  <peavey@placid.dk>

	* src/net/tradehandler.cpp: Add support for new athena trade-add
	failure condition; no free slot.

2008-10-22  David Athay  <ko2fan@gmail.com>

	* src/gui/ok_dialog.cpp, src/net/loginhandler.cpp: Now shows ban time.

2008-10-07  Bjørn Lindeijer  <bjorn@lindeijer.nl>

	* src/gui/updatewindow.cpp, src/particleemitter.cpp,
	src/simpleanimation.cpp, src/resources/spritedef.cpp: Fixed some
	compiler warnings. This probably also fixed the logging of several
	error messages.

2008-10-05  Bjørn Lindeijer  <bjorn@lindeijer.nl>

	* src/resources/mapreader.cpp: Added support for object groups that
	have an offset.

2008-10-02  Philipp Sehmisch  <tmw@crushnet.org>

	* src/engine.cpp: The "name" property of the map is now used as caption
	of minimap window when it exists.

2008-09-11  Bjørn Lindeijer  <bjorn@lindeijer.nl>

	* src/gui/setup_video.cpp: Only require a restart to switch to full
	screen with OpenGL on Windows, since it works fine in Linux without
	having to reinitialize the OpenGL state. Adapted change by kraant from
	Aethyra.
	* src/net/network.cpp: Fixed the name of a variable (fix by Scraggy).

2008-08-29  David Athay  <ko2fan@gmail.com>

	* src/monster.cpp, src/resources/monsterinfo.h,
	src/resources/monsterdb.cpp, src/resources/monsterinfo.cpp: Mantis #406
	by jaxad0127 to implement layered sprites.

2008-08-28  Douglas Boffey  <DougABoffey@netscape.net>

	* src/localplayer.cpp, src/text.h, src/gui/viewport.cpp, src/npc.cpp,
	src/textmanager.h, src/player.cpp, src/monster.h, src/textmanager.cpp,
	src/being.cpp, src/npc.h, src/monster.cpp, src/player.h,
	src/localplayer.h, src/player_relations.cpp, src/text.cpp,
	src/Makefile.am, src/being.h: Move any chat, character names, NPC
	names or targetted mob names so that no text will obscure any other
	text. If there is no decent place for the text, it will default to
	overlapping.

2008-08-28  Fate  <fate.tmw@googlemail.com>

	* src/engine.h, src/gui/ministatus.cpp, src/engine.cpp,
	src/particle.h, src/being.cpp, src/player.h, src/net/beinghandler.cpp,
	src/net/protocol.h, src/net/playerhandler.cpp, src/being.h: Added
	support for being effects through the eAthena levelup message, and
	check whether the being exists before referencing it. Re-enabled
	proper MP bar display. Improved handling of a warp to the same map.

2008-08-28  Bjørn Lindeijer  <bjorn@lindeijer.nl>

	* src/game.cpp, src/net/beinghandler.cpp,
	src/net/charserverhandler.cpp, src/net/protocol.h,
	src/net/beinghandler.h, src/net/playerhandler.cpp, src/being.h:
	Applied patch put together by Jaxad0127 with changes from the Aethyra
	project. Improves compatibility with the newer version of eAthena and
	works around an initialization bug.
	* data/help/index.txt, data/help/windows.txt: Included some
	documentation for the shortcut window by Vq.
	* src/resources/mapreader.cpp: Fixed crash when map layer has too many
	tiles.
	* AUTHORS, src/winver.h, README, configure.ac, data/help/changes.txt,
	data/help/header.txt, NEWS, CMakeLists.txt: Updated the version to
	0.0.26 and updated the AUTHORS file. If you have contributed and I
	forgot you, please contact me as soon as possible!

2008-08-28  Philipp Sehmisch  <tmw@crushnet.org>

	* src/net/loginhandler.cpp: Removed the usually incorrect "for 5
	minutes" clause from the message displayed to banned users.
	* src/particleemitter.cpp: Added output-pause to copy constructor.

2008-08-27  Bjørn Lindeijer  <bjorn@lindeijer.nl>

	* src/particleemitter.h, src/particle.h, src/particleemitter.cpp,
	src/particle.cpp: Renamed "randomnes" to "randomness", so that it
	won't show up as part of Fate's patch.

2008-08-24  Philipp Sehmisch  <tmw@crushnet.org>

	* src/particleemitter.cpp, src/particleemitter.h: Added new particle
	emitter property "output-pause" which allows to define a fixed (or
	random) interval between two outputs.

2008-08-06  Bjørn Lindeijer  <bjorn@lindeijer.nl>

	* src/gui/window.cpp: Make sure only to save the window state when a
	window name is set, and fail when loadWindowState() is called without
	setting a window name.

2008-08-05  David Athay  <ko2fan@gmail.com>

	* src/gui/setup_video.cpp, src/net/charserverhandler.cpp: Fixed
	alignment issue with fps limit field (patch by Scraggy #384. Also
	fixed small spelling error.

2008-08-04  Dennis Friis  <peavey@placid.dk>

	* src/main.cpp: Fix typo in updatehost reported by Jaxad.

2008-07-27  Bjørn Lindeijer  <bjorn@lindeijer.nl>

	* src/game.cpp: Target the nearest monster on joystick button 3.

2008-07-25  Bjørn Lindeijer  <bjorn@lindeijer.nl>

	* src/winver.h, README, configure.ac, data/help/changes.txt,
	data/help/header.txt, NEWS, CMakeLists.txt: Updated the version to
	0.0.25, release planned this Sunday.
	* README, data/help/commands.txt: Added documentation for F8 to toggle
	shortcut window.

2008-07-24  Eugenio Favalli  <elvenprogrammer@themanaworld.org>

	* src/game.cpp: Fixed visibility of buy and sell dialogs.
	* src/gui/buy.cpp: Properly update price after buying.

2008-07-23  Eugenio Favalli  <elvenprogrammer@themanaworld.org>

	* src/game.cpp, src/gui/buy.cpp, src/gui/itemshortcutwindow.cpp,
	src/gui/sell.cpp, src/gui/window.cpp: Remember windows visibility.

2008-07-22  David Athay  <ko2fan@gmail.com>

	* src/game.cpp: Revert the Alt-Gr fix as it did not work.
	* src/game.cpp, src/keyboardconfig.cpp, src/keyboardconfig.h: User can
	now configure which modifier key is used for smilies.

2008-07-21  David Athay  <ko2fan@gmail.com>

	* src/game.cpp: Initial attempt at fixing Alt-Gr issue for Rotonen,
	this commit is just for him!

2008-07-18  Bjørn Lindeijer  <bjorn@lindeijer.nl>

	* src/main.cpp: Remove possible trailing slash at the end of the
	update host, since otherwise there'll be two of them.

2008-07-16  Lloyd Bryant  <lloyd_bryant@netzero.net>

	* src/logindata.h, src/gui/char_server.cpp, src/gui/char_server.h,
	src/serverinfo.h, src/main.cpp, src/net/loginhandler.cpp,
	src/net/loginhandler.h, src/net/network.cpp: Added support for
	handling the custom eAthena packet that sends the update host.

2008-07-10  Eugenio Favalli  <elvenprogrammer@themanaworld.org>

	* tmw.cbp: Restored executable icon.

2008-07-08  David Athay  <ko2fan@gmail.com>

	* src/gui/chat.cpp, src/gui/chat.h: Mantis #359 patch by Scraggy.

2008-06-30  Bjørn Lindeijer  <bjorn@lindeijer.nl>

	* src/CMakeLists.txt: Updated CMake file to fix compilation. Patch by
	darkKnight.

2008-06-24  Philipp Sehmisch  <tmw@crushnet.org>

	* src/particle.cpp, src/particle.h, src/particleemitter.cpp,
	src/particleemitter.h: Added particle property "follow-parent" which
	makes the particle move when its parent particle is moved.

2008-06-23  Philipp Sehmisch  <tmw@crushnet.org>

	* src/imageparticle.cpp, src/particle.cpp, src/particle.h,
	src/particleemitter.cpp, src/particleemitter.h, src/textparticle.cpp:
	Implemented "alpha" particle property.

2008-06-22  Bjørn Lindeijer  <bjorn@lindeijer.nl>

	* src/player_relations.h: Fixed warning about missing virtual
	destructor.

2008-06-17  Fate  <fate.tmw@googlemail.com>

	* src/net/tradehandler.cpp: bug #333: Suppress `trade with X cancelled'
	messages for ignored players.

2008-06-16  Fate  <fate.tmw@googlemail.com>

	* player_relations.h: Allow whispers by default.

2008-06-14  David Athay  <ko2fan@gmail.com>

	* src/gui/shop.cpp, src/gui/browserbox.cpp, src/net/tradehandler.cpp:
	Fixed compilation errors. Fixed trade bug (although a little hacky
	right now).
	* src/net/tradehandler.cpp: Changed bug fix as requested by Bjørn.

2008-06-08  Fate  <fate.tmw@googlemail.com>

	* src/gui/table.cpp: Invalidate mTopWidget whenever the model is
	regenerated to reflect that we have no current valid selection.
	* src/player_relations.cpp: Proper handling of case where player, to
	apply ignore strategy to, is NULL.

2008-06-05  Philipp Sehmisch  <tmw@crushnet.org>

	* src/particle.cpp, src/gui/setup_video.cpp: Lowered default particle
	detail level.

2008-06-05  Bjørn Lindeijer  <bjorn@lindeijer.nl>

	* src/gui/updatewindow.cpp, src/gui/updatewindow.h, src/main.cpp,
	src/resources/buddylist.cpp, src/resources/spritedef.cpp,
	src/resources/resourcemanager.cpp: Added command line argument to
	specify the update host (-H). Also, to avoid problems when files with
	the same name are served by different update hosts, the updates are
	now stored in an update host specific directory. Based on a patch by
	Sanga.

2008-06-04  Lloyd Bryant  <lloyd_bryant@netzero.net>

	* src/net/charserverhandler.cpp: Display shield sprite also in
	character select window.

2008-05-30  Lloyd Bryant  <lloyd_bryant@netzero.net>

	* src/net/equipmenthandler.cpp, src/net/beinghandler.cpp,
	src/net/protocol.h, src/being.h: Merged handling for eAthena packets
	0x00c3 and 0x01d7 and added support for displaying a shield sprite.

2008-05-28  Philipp Sehmisch  <tmw@crushnet.org>

	* src/particle.cpp: Changed the way particle emitter skip is handled
	to make linear and circular emitters work with particleEmitterSkip
	enabled.
	* src/gui/setup.cpp, src/gui/setup_video.cpp, src/gui/setup_video.h:
	Added slider for controlling particleEmitterSkip (overall quality of
	particle effects) to video setup menu.

2008-05-28  Dennis Friis  <peavey@placid.dk>

	* src/being.cpp: Change order of direction to up/down/right/left in
	Being::getSpriteDirection to fix inconsistancy of facing direction
	when walking diagonally.

2008-05-27  David Athay  <ko2fan@gmail.com>

	* src/main.cpp, src/player_relations.cpp: Changed OSX tmw directory to
	a more suitable location, and fixed compile error.

2008-05-22  Bjørn Lindeijer  <bjorn@lindeijer.nl>

	* src/Makefile.am, src/CMakeLists.txt: Fixed linker error caused by
	missing module.

2008-05-19  Bjørn Lindeijer  <bjorn@lindeijer.nl>

	* src/gui/setup_players.cpp, src/gui/popup_box.h, src/gui/viewport.h,
	src/gui/popup_box.cpp, src/gui/setup_players.h, src/Makefile.am:
	Removed the PopupBox class and used gcn::DropDown instead. It has
	clipping issues, but it would be better to fix those instead of using
	this complicated workaround.

2008-05-19  Philipp Sehmisch  <tmw@crushnet.org>

	* src/net/beinghandler.cpp: Implemented interpretation of names for
	NPCs and monsters.
	* src/npc.cpp, src/resources/npcdb.cpp, src/resources/npcdb.hpp: Added
	the possibility to add particle effects to NPCs in npcs.xml.

2008-05-16  David Athay  <ko2fan@gmail.com>

	* src/gui/popupmenu.cpp: Applied QOAL's patch to fix popup bug.

2008-05-14  Fate  <fate.tmw@googlemail.com>

	* src/configuration.cpp, src/game.cpp, src/player_relations.h,
	src/beingmanager.h, src/gui/setup_players.cpp, src/gui/setup.cpp,
	src/gui/table_model.h, src/gui/table_model.cpp, src/gui/popup_box.h,
	src/gui/popup_box.cpp, src/gui/table.h, src/gui/setup.h,
	src/gui/table.cpp, src/gui/setup_players.h, src/gui/popupmenu.cpp,
	src/beingmanager.cpp, src/player.cpp, src/main.cpp, src/being.cpp,
	src/player.h, src/net/tradehandler.h, src/net/beinghandler.cpp,
	src/net/tradehandler.cpp, src/net/chathandler.cpp,
	src/configuration.h, src/player_relations.cpp, src/Makefile.am,
	src/being.h, data/graphics/gui/emotions.png,
	data/graphics/gui/Makefile.am, data/help/commands.txt: Added ability
	to define friends, players you want to ignore or disregard and
	configure whether trading is allowed. Based on new popup code,
	configuration improvements to store hierarchical data and a table
	model.

2008-05-08  Dennis Friis  <peavey@placid.dk>

	* src/game.cpp: Make F8 toggle shortcut window as suggested by And1
	and fate.
	* src/game.cpp, src/gui/chat.h, src/gui/chat.cpp: Allow page up and
	page down to scroll the chat window, based on patch by fate.

2008-05-06  Dennis Friis  <peavey@placid.dk>

	* src/gui/itemshortcutcontainer.cpp: Don't allow dragging of empty
	placeholders.

2008-04-29  Bjørn Lindeijer  <bjorn@lindeijer.nl>

	* src/game.cpp, src/gui/chat.h, src/gui/chat.cpp: Fixed issue with
	determining whether chat input is focused (method no longer virtual).
	* src/gui/itemshortcutcontainer.cpp: Fixed sometimes rendering with
	the wrong font.
	* src/gui/window.h, src/gui/window.cpp: Fixed warnings about hiding
	virtual method, Window now always deletes its children (the option not
	to do so was never used anyway).
	* src/gui/gccontainer.h, src/gui/gccontainer.cpp: Removed unused
	option from GCContainer to not delete a child, fixing warnings about
	hiding virtual method gcn::Container::add.
	* src/log.h, src/resources/imageset.cpp: When compiling with GCC, use
	the printf format attribute for the log method so that the compiler
	checks the type of its parameters.

2008-04-28  Bjørn Lindeijer  <bjorn@lindeijer.nl>

	* src/gui/inventorywindow.h, src/gui/itemcontainer.h,
	src/gui/inventorywindow.cpp, src/gui/scrollarea.h,
	src/gui/itemcontainer.cpp, src/gui/scrollarea.cpp: Properly fix
	problems with ItemContainer in InventoryWindow not resizing properly
	since upgrade to Guichan 0.8.0.

2008-04-28  Dennis Friis  <peavey@placid.dk>

	* src/gui/scrollarea.h, src/gui/scrollarea.cpp: Add methods to get
	width and height adjusted for any visible scrollbars.
	* src/gui/itemcontainer.cpp: Fix buildup of whitespace by using
	correct gridHeight and adding just 4px space to bottom.
	* src/gui/inventorywindow.h, src/gui/inventorywindow.cpp: Switch to
	use our extended ScrollArea and use adjusted width to proper calculate
	the grid for itemcontainer.
	* src/game.cpp: Tweak keyboard input handling a bit. This fixes using
	emoticons triggering shortcut items to be used.
	* src/game.cpp: Remove check for KMOD_NONE since this is not working
	uniformly across systems.

2008-04-27  Dennis Friis  <peavey@placid.dk>

	* src/gui/inventorywindow.cpp: Fix ItemContainer not being resized
	properly when resizing inventory window.

2008-04-26  Dennis Friis  <peavey@placid.dk>

	* src/inventory.cpp: Avoid stacking equipment other than arrows. Based
	on similar fix in inventoryhandler.
	* src/gui/trade.cpp: Text fix, z => GP.
	* src/net/playerhandler.cpp: When picking up GP from trade or quest,
	tell the user in the chat window like with items.

2008-04-24  Dennis Friis  <peavey@placid.dk>

	* src/itemshortcut.h, src/gui/itemshortcutcontainer.cpp,
	src/gui/itemcontainer.cpp, src/net/inventoryhandler.cpp,
	src/itemshortcut.cpp: Make shortcut container ID based instead of slot
	based. Fixes items shifting around often causing equipment to be lost.
	* data/help/commands.txt: Document anti-trade function.

2008-04-22  Bjørn Lindeijer  <bjorn@lindeijer.nl>

	* src/beingmanager.cpp: Fixed a bug, thanks GCC 4.3!

2008-04-20  Bjørn Lindeijer  <bjorn@lindeijer.nl>

	* src/main.cpp: Added --data parameter to be used to specify where to
	get the data from when using --skipupdate.

2008-04-18  David Athay  <ko2fan@gmail.com>

	* src/game.cpp, src/openglgraphics.cpp: Mac now uses Apple key for
	emoticons, so alt can be used for alternate characters. Disable vsync
	on mac.

2008-04-17  Dennis Friis  <peavey@placid.dk>

	* src/gui/sell.cpp: Fix shop list not to scroll to top when selling.
	Redo of revision 3801 due to changes in guichan 0.8.0.
	* src/gui/minimap.cpp: Draw NPCs in yellow on minimap and skip drawing
	of warps. Based on idea by leeor_net.

2008-04-16  Dennis Friis  <peavey@placid.dk>

	* src/gui/browserbox.cpp: Fix a basic_string::at sometimes being out
	of range in BrowserBox::draw when checking for line separators and
	color codes.
	* src/localplayer.cpp: Cancel walking to a clicked monster if the
	target is lost while getting to it (killed or otherwise removed).

2008-04-16  Bjørn Lindeijer  <bjorn@lindeijer.nl>

	* src/gui/npc_text.h, src/gui/textbox.cpp, src/gui/npc_text.cpp,
	src/gui/scrollarea.h, src/gui/textbox.h: Restored the text wrapping in
	TextBox, since it was based on overriding a method that is no longer
	virtual in Guichan 0.8.0.
	* src/gui/viewport.cpp: Fixed compilation warning.

2008-04-15  David Athay  <ko2fan@gmail.com>

	* src/gui/viewport.cpp, src/beingmanager.cpp, tmw.cbp: Fixed clicking
	near player.

2008-04-14  Dennis Friis  <peavey@placid.dk>

	* src/gui/chat.cpp: Tweaked /whisper command to allow quoting of nicks
	with spaces in them.

2008-04-14  Philipp Sehmisch  <tmw@crushnet.org>

	* src/resources/dye.cpp: Fixed multi-channel dyeing (patch by fate)
	* src/gui/chat.h: Changed prefix of received whisper messages from
	"says:" to "whispers:"

2008-04-12  Bjørn Lindeijer  <bjorn@lindeijer.nl>

	* src/gui/itemshortcutcontainer.h, src/gui/itemshortcutcontainer.cpp,
	src/gui/itemshortcutwindow.cpp, src/gui/scrollarea.h,
	src/gui/scrollarea.cpp, src/gui/itemshortcutwindow.h: Fixed display of
	item shortcut container. gcn::Widget::setWidth is no longer virtual.

2008-04-11  David Athay  <ko2fan@gmail.com>

	* src/localplayer.cpp, src/beingmanager.h, src/gui/viewport.cpp,
	src/beingmanager.cpp, src/localplayer.h, tmw.cbp: Players now need to
	click on the monster sprites rather than the tile. Players will now
	move to the target before attacking it.

2008-04-10  Dennis Friis  <peavey@placid.dk>

	* src/gui/chat.h, src/gui/chat.cpp, src/net/protocol.h,
	src/net/chathandler.cpp: Implemented support for whispering to other
	players.

2008-04-10  Philipp Sehmisch  <tmw@crushnet.org>

	* src/net/beinghandler.cpp: Critical hits are now displayed.

2008-04-09  Bjørn Lindeijer  <bjorn@lindeijer.nl>

	* src/gui/shoplistbox.cpp, src/gui/shoplistbox.h: Fixed problem with
	row height in shop list box.
	* src/game.cpp, src/gui/menuwindow.cpp, src/gui/itemcontainer.cpp,
	src/main.cpp, src/CMakeLists.txt, src/net/inventoryhandler.cpp,
	src/Makefile.am: Re-enabled non-functional item shortcut window,
	planned to be fixed for 0.0.25.

2008-04-12  Bjørn Lindeijer  <bjorn@lindeijer.nl>

	* src/gui/widgets/layout.h, src/gui/skill.cpp, src/gui/trade.h,
	src/log.h, src/resources/mapreader.cpp, src/resources/spritedef.cpp:
	Fixed some compiler warnings and don't try to load particle effects
	when no file is set.

2008-04-08  Bjørn Lindeijer  <bjorn@lindeijer.nl>

	* src/map.cpp, src/gui/viewport.cpp, src/tileset.h, src/map.h,
	src/resources/imageset.cpp, src/resources/mapreader.cpp,
	src/resources/imageset.h, src/resources/mapreader.h,
	data/maps/new_3-1.tmx, data/maps/new_1-1.tmx: Implemented support for
	an arbitrary number of map layers. The only layer requirement for map
	layers are now that the fringe layer is called "Fringe" and that the
	collision layer is called "Collision".

2008-04-07  Bjørn Lindeijer  <bjorn@lindeijer.nl>

	* src/particle.cpp, src/utils/xml.cpp, src/utils/xml.h,
	src/resources/mapreader.cpp, src/resources/spritedef.cpp,
	src/resources/npcdb.h, src/resources/monsterdb.cpp,
	src/resources/itemdb.cpp, src/resources/npcdb.cpp,
	src/resources/spritedef.h: Added XML::Document class which simplifies
	parsing an XML document and automatically cleans it up again.
	* src/resources/spritedef.cpp, src/resources/spritedef.h,
	data/graphics/sprites/item008.xml: Added support for basing one sprite
	definition on another by including it.
	* src/being.cpp: Fixed crash on trying to show out of range emoticon.
	* src/winver.h, README, configure.ac, data/help/changes.txt,
	data/help/header.txt, NEWS, CMakeLists.txt: Updated version, release
	date and changes.

2008-04-03  David Athay  <ko2fan@gmail.com>

	* src/game.cpp: Tweaked disconnect dialog, hoping to fix a crash bug.

2008-03-31  Philipp Sehmisch  <tmw@crushnet.org>

	* src/main.cpp, src/npc.cpp, src/npc.h, src/resources/npcdb.h,
	src/resources/npcdb.cpp, data/npcs.xml, src/Makefile.am, tmc.cbp:
	Implemented NPC XML database which maps NPC IDs to one or more
	animation files and thus enables animated NPCs.

2008-03-30  Dennis Friis  <peavey@placid.dk>

	* configure.ac: Updated for tmwdata split.

2008-03-27  Dennis Friis  <peavey@placid.dk>

	* src/gui/progressbar.cpp, src/gui/scrollarea.cpp: Revert progress bar
	changes and initialize mWalkTime.

2008-03-26  Dennis Friis  <peavey@placid.dk>

	* src/gui/progressbar.cpp, src/localplayer.cpp: Initialized some
	uninitialized variables.

2008-03-23  Bjørn Lindeijer  <bjorn@lindeijer.nl>

	* src/engine.h, src/gui/viewport.h, src/engine.cpp,
	src/net/playerhandler.cpp: Removed unnecessary forwarding method.

2008-03-16  Dennis Friis  <peavey@placid.dk>

	* The Mana World.dev: Updated Dev-C++ project file.

2008-03-11  Bjørn Lindeijer  <bjorn@lindeijer.nl>

	* data/graphics/gui/CMakeLists.txt, data/graphics/gui/Makefile.am:
	Removed unused image here too.

2008-03-11  Eugenio Favalli  <elvenprogrammer@themanaworld.org>

	* data/graphics/gui/attack_target.png: Removed unused image.

2008-03-09  Dennis Friis  <peavey@placid.dk>

	* src/game.cpp: Pressing escape in the quit dialog closes the dialog.
	* src/gui/chat.cpp, src/gui/chat.h: Fixed a bug with chat messages
	without a sender which include semicolons.
	* src/chat.cpp: Added "/clear" command to clear chat window.

2008-03-08  Philipp Sehmisch  <tmw@crushnet.org>

	* tools/tmxcopy/main.cpp, tools/tmxcopy/main.map.cpp,
	tools/tmxcopy/zlibutils.cpp: Fixed some width/height mixups in
	TMXCopy.

2008-03-07  Bjørn Lindeijer  <bjorn@lindeijer.nl>

	* data/*: Moved dynamically released data to its own module (tmwdata).

2008-03-07  Eugenio Favalli  <elvenprogrammer@themanaworld.org>

	* data/equipment.xml, data/graphics/items/armor-legs-chaps.png,
	data/graphics/items/armour-head-cowboyblack.png,
	data/graphics/items/armour-head-cowboywhite.png,
	data/graphics/items/generic-snakeskin.png,
	data/graphics/sprites/head-cowboyblack.png,
	data/graphics/sprites/head-cowboyblack.xml,
	data/graphics/sprites/head-cowboywhite.png,
	data/graphics/sprites/head-cowboywhite.xml,
	data/graphics/sprites/leg-chaps-female.png,
	data/graphics/sprites/leg-chaps-female.xml,
	data/graphics/sprites/leg-chaps-male.png,
	data/graphics/sprites/leg-chaps-male.xml,
	data/graphics/sprites/monster-snake.png,
	data/graphics/sprites/monster-snake.xml,
	data/graphics/sprites/npcs.png, data/items.xml, data/monsters.xml:
	Added new items by Black Don, new xml definitions by Peavey.

2008-03-02  Eugenio Favalli  <elvenprogrammer@themanaworld.org>

	* tmw.cbp: Upgraded project file to latest C::B release.

2008-03-02  Philipp Sehmisch  <tmw@crushnet.org>

	* data/graphics/sprites/leg-jeans-female.png: fixed transparency issue.

2008-02-26  Eugenio Favalli  <elvenprogrammer@themanaworld.org>

	* src/gui/minimap.cpp: Keep minimap status. Based on a patch by Knivey.
	* data/graphics/tiles/tulimshar1.png, data/maps/new_3-1.tmx: Added
	Modanung's mud tileset and applyed to some houses in Tulimshar.

2008-02-26  Philipp Sehmisch  <tmw@crushnet.org>

	* data/graphics/maps/new_14-1.tmx: Fixed some monster traps on
	southwest woodland.

2008-02-23  Philipp Sehmisch  <tmw@crushnet.org>

	* data/graphics/items/generic-ironore.png, data/items.xml:
	Implemented iron ore item.
	* data/maps/new_10-1.tmx, data/maps/new_11-1.tmx,
	data/maps/new_12-1.tmx, data/maps/new_21-1.tmx: Map fixes by
	QOAL.
	* data/graphics/sprites/head-mask.xml,
	data/graphics/sprites/head-warlordhelm.xml:
	Animaton fixes by QOAL.

2008-02-19  Philipp Sehmisch  <tmw@crushnet.org>

	* data/maps/new_22-1.tmx: Map fixes at snake dungeon by QOAL.

2008-02-18  Eugenio Favalli  <elvenprogrammer@gmail.com>

	* data/graphics/sprites/hairstyle7-female.xml, src/sound.cpp,
	src/utils/strprintf.cpp, tmw.cbp: Fixed image name.

2008-02-13  Philipp Sehmisch  <tmw@crushnet.org>

	* data/equipment.xml, data/items.xml,
	data/graphics/items/armor-head-crusaderhelm.png,
	data/graphics/items/armor-head-infantryhelm.png,
	data/graphics/items/armor-head-knighthelm.png,
	data/graphics/items/armor-head-warlordhelm.png,
	data/graphics/sprites/head-crusaderhelm.png,
	data/graphics/sprites/head-infantryhelm.png,
	data/graphics/sprites/head-knighthelm.png,
	data/graphics/sprites/head-warlordhelm.png,
	data/graphics/sprites/head-crusaderhelm.xml,
	data/graphics/sprites/head-infantryhelm.xml,
	data/graphics/sprites/head-knighthelm.xml,
	data/graphics/sprites/head-warlordhelm.xml: Added new headgears by
	Black Don (thanks to QOAL for testing and implementation)

2008-02-12  Dennis Friis  <peavey@placid.dk>

	* src/localplayer.cpp, src/map.cpp, src/gui/viewport.cpp, src/being.cpp
	src/map.h: Made pathfinding not halt on collision destination tile,
	made moving around with mouse smoother. Added possibility to pass
	through players with key controls.

2008-02-11  Philipp Sehmisch  <tmw@crushnet.org>

	* data/maps/new_22-1.tmx: Added music and overlay to snake dungeon.

2008-02-10  Philipp Sehmisch  <tmw@crushnet.org>

	* data/maps/new_23-1.tmx: Added Dimonds Cove outdoor map by MerlinX420.

2008-02-08  Philipp Sehmisch  <tmw@crushnet.org>

	* data/maps/new_14-1.tmx, data/maps/new_22-1.tmx: Added Dimonds Cove
	outdoor map by MerlinX420. Fixed some map bugs in snake dungeon.
	* data/items.xml: Added chicken leg meta information.

2008-01-28  Bjørn Lindeijer  <bjorn@lindeijer.nl>

	* src/gui/sell.cpp, src/gui/window.cpp, src/gui/inventorywindow.h,
	src/gui/buy.h, src/gui/itemshortcutwindow.cpp,
	src/gui/inventorywindow.cpp, src/gui/buy.cpp, src/gui/sell.h,
	src/gui/window.h, src/gui/windowlistener.h,
	src/gui/itemshortcutwindow.h, src/CMakeLists.txt, src/Makefile.am:
	Used the gcn::WidgetListener instead of our WindowListener.

2008-01-26  Bjørn Lindeijer  <bjorn@lindeijer.nl>

	* src/gui/trade.h, src/game.h, src/being.h: Fixed a GCC 4.3 compile
	error and constified the usage of auto_ptr, since that's the way in
	which we are using them.

2008-01-23  Bjørn Lindeijer  <bjorn@lindeijer.nl>

	* src/gui/char_server.cpp, src/gui/window.cpp, src/gui/checkbox.h,
	src/gui/playerbox.h, src/gui/button.cpp, src/gui/chat.cpp,
	src/gui/slider.cpp, src/gui/tabbedcontainer.cpp, src/gui/textfield.h,
	src/gui/shoplistbox.cpp, src/gui/register.cpp,
	src/gui/radiobutton.cpp, src/gui/textbox.cpp, src/gui/login.cpp,
	src/gui/setup_audio.cpp, src/gui/setup_video.cpp,
	src/gui/textfield.cpp, src/gui/playerbox.cpp,
	src/gui/setup_joystick.cpp, src/gui/scrollarea.h,
	src/gui/windowlistener.h, src/gui/checkbox.cpp,
	src/gui/scrollarea.cpp: Compile against Guichan 0.8.0. Some issues
	with ShopListBox left and not trying to use their new TabbedArea,
	SelectionListener and WidgetListener yet. Also needs more testing.
	* src/gui/trade.cpp, src/gui/sell.cpp, src/gui/inventorywindow.h,
	src/gui/selectionlistener.h, src/gui/itemcontainer.h,
	src/gui/shoplistbox.cpp, src/gui/shoplistbox.h, src/gui/listbox.h,
	src/gui/buy.h, src/gui/inventorywindow.cpp, src/gui/buy.cpp,
	src/gui/itemcontainer.cpp, src/gui/sell.h, src/gui/trade.h,
	src/gui/listbox.cpp, src/CMakeLists.txt, src/Makefile.am: Used the
	gcn::SelectionListener instead of our own.

2008-01-19  Philipp Sehmisch  <tmw@crushnet.org>

	* data/maps/new_10-1.tmx, data/maps/new_11-1.tmx: Map fixes by 5t3v3 at
	the new snow maps. Added hot spring particle effect to pond south of
	snow village.
	* data/graphics/particles/bubbles_32px,
	data/graphics/particles/bubbles_12px,
	data/graphics/particles/bubbles_8px,
	data/graphics/particles/whirlpool.particle.xml: Added bubble particle
	effect.

2008-01-14  Philipp Sehmisch  <tmw@crushnet.org>

	* data/maps/new_10-1.tmx, data/maps/new_11-1.tmx: Added new versions of
	snow maps by 5t3v3.
	* src/sound.cpp: Fixed an error in Davids last commit (couldn't compile
	that way).

2008-01-13  David Athay  <ko2fan@gmail.com>

	* src/resources/resourcemanager.h, src/resources/resourcemanager.cpp,
	src/main.cpp, src/sound.cpp, src/engine.cpp: Fixed music loading from
	non-default location.

2008-01-03  Philipp Sehmisch  <tmw@crushnet.org>

	* data/maps/new_1-1.tmx, data/maps/new_3-1.tmx: Some map bugs reported
	by Strump, fixed by Zipon.

2007-12-30  Philipp Sehmisch  <tmw@crushnet.org>

	* src/gui/viewport.cpp: Added config options to set the scroll center.
	* src/engine.cpp, src/engine.h, src/gui/viewport.h,
	src/net/playerhandler.cpp: Retained scroll offset during map change for
	smoother map transitions.

2007-12-30  Philipp Sehmisch  <tmw@crushnet.org>

	* data/maps/new_22-1.tmx: Some mapping fixes at snake dungeon map.
	* src/game.cpp, src/beingmanager.cpp, src/beingmanager.h,
	src/keyboardconfig.cpp, src/keyboardconfig.h: Added a key for targeting
	the nearest player character based on patches by Trinexx.

2007-12-28  Philipp Sehmisch  <tmw@crushnet.org>

	* data/maps/new_7-1.tmx, data/maps/new_22-1.tmx: Added new map by 5t3v3
	(east desert cave) and enhanced version of eastern desert by Len.

2007-12-28  Philipp Sehmisch  <tmw@crushnet.org>

	* data/maps/new_3-1.tmx: Some mapping errors fixed by Zipon.
	* src/being.cpp, src/monster.cpp, src/resources/monsterinfo.cpp,
	src/resources/monsterinfo.h: Added the possibility to assign particle
	effects to monsters in the monster database.
	* data/monsters.xml: Added flame particle effect to fire goblin as a
	proof of concept.

2007-12-26  Bjørn Lindeijer  <bjorn@lindeijer.nl>

	* README: Fixed year here too...

2007-12-25  Bjørn Lindeijer  <bjorn@lindeijer.nl>

	* data/help/header.txt: Fixed year. :)
	* debian/rules: Fixed missing backslash.
	* src/CMakeLists.txt: Updated CMake file.

2007-12-24  David Athay  <ko2fan@gmail.com>

	* src/game.cpp: Fixed dialog for disconnections, so it says Ok, not
	yes/no.
	* src/openglgraphics.cpp: Changed type so it would compile on Leopard.

2007-12-24  Bjørn Lindeijer  <bjorn@lindeijer.nl>

	* README, data/help/changes.txt, data/help/header.txt, NEWS: Updated
	release date.
	* src/game.cpp, src/gui/menuwindow.cpp, src/gui/itemcontainer.cpp,
	src/main.cpp, src/CMakeLists.txt, src/net/inventoryhandler.cpp,
	src/Makefile.am: Disabled non-functional item shortcut window.
	* src/particleemitter.cpp: Fix compile warning.

2007-12-23  Philipp Sehmisch  <tmw@crushnet.org>

	* src/particleemitter.cpp, src/particleemitter.h: Particle images
	are now reference-counted properly.
	* src/resources/spritedef.cpp: Error placeholder is now used when
	attempting to load a sprite definition file that doesn't exist.
	* src/monster.cpp, src/player.cpp: Avoided attempts to load
	"data/graphics/" when a monster or equipment piece has no sprite.
	* data/graphics/particles/cookingfire.particle.xml: Removed some
	particle properties that did nothing because they were misspelled.

2007-12-22  Bjørn Lindeijer  <bjorn@lindeijer.nl>

	* src/winver.h, README, configure.ac, INSTALL, data/help/header.txt,
	NEWS, CMakeLists.txt: Updated version to 0.0.24.
	* src/net/chathandler.cpp, NEWS: Make sure chat messages are also
	trimmed for the local player.

2007-12-21  David Athay  <ko2fan@gmail.com>

	* src/game.cpp, src/gui/updatewindow.cpp: Attempted to fix client
	freeze when unable to connect to update host, and added exit dialog
	when client loses connection.

2007-12-21  Bjørn Lindeijer <bjorn@lindeijer.nl>

	* src/gui/shoplistbox.cpp: Fixed shop list box not to scroll up when
	the selection is removed.
	* src/resources/resourcemanager.h, src/resources/resourcemanager.cpp:
	Added logging of error on PHYSFS_addToSearchPath.
	* src/localplayer.cpp, src/inventory.h, src/gui/inventorywindow.cpp,
	src/inventory.cpp, src/localplayer.h: Fixed inventory size not
	matching the size assumed by eAthena, and related memory corruption.
	* src/main.cpp: Increased default chat log length.

2007-12-19  Philipp Sehmisch  <tmw@crushnet.org>

	* data/maps/new_18-1.tmx: Fixed a map bug (monster trap) on
	map 18 (woodland village surrounding)

2007-12-19  Bjørn Lindeijer  <bjorn@lindeijer.nl>

	* tools/upalyzer/analyse.php: Fixed association of entries to update,
	added no-cache headers, added a bit of error reporting in case of
	invalid zip files, kept original ordering of the update list and
	sorted the list of entries on their filename.
	* tools/upalyzer/analyse.php: Added list of files in each update with
	indication on whether they are still used.

2007-12-18  Bjørn Lindeijer  <bjorn@lindeijer.nl>

	* src/main.cpp: Remember to delete the progressbar and label also when
	the game was not started.
	* tools/upalyzer/analyse.php: Added initial version of the update
	analysis tool upalyzer.
	* tools/upalyzer/analyse.php: Optimized with single loop approach and
	nicer printing calls, inspired by doener's version. Also added list of
	update entries and their respective update.

2007-12-14  Philipp Sehmisch  <tmw@crushnet.org>

	* data/graphics/sprites/head-mask.png,
	data/graphics/sprites/head-mask.xml,
	data/graphics/sprites/head-mushroom.xml,
	data/graphics/sprites/head-shroom.xml,
	data/items.xml, data/equipment.xml:
	Fixed some problems with the new items.

2007-12-12  Philipp Sehmisch  <tmw@crushnet.org>

	* data/graphics/tiles/cave.png, data/graphics/tiles/cave_x2.png:
	Fixed the blurred outlines of the new tiles.

2007-12-12  Bjørn Lindeijer  <bjorn@lindeijer.nl>

	* data/graphics/tiles/cave.png, data/graphics/tiles/cave_x2.png,
	data/maps/new_4-1.tmx: Added two new cave tiles by yosuhara.

2007-12-12  Philipp Sehmisch  <tmw@crushnet.org>

	* tools/tmxcopy/base64.cpp,
	tools/tmxcopy/base64.h, tools/tmxcopy/main.cpp,
	tools/tmxcopy/map.cpp, tools/tmxcopy/map.hpp,
	tools/tmxcopy/readme.txt, tools/tmxcopy/tmxcopy.cbp,
	tools/tmxcopy/tostring.h, tools/tmxcopy/xmlutils.cpp,
	tools/tmxcopy/xmlutils.h, tools/tmxcopy/zlibutils.cpp,
	tools/tmxcopy/zlibutils.h: Added my tmxcopy tool for copying
	parts of maps to other maps.

2007-12-10  Bjørn Lindeijer  <bjorn@lindeijer.nl>

	* src/being.cpp: Include cassert header.

2007-12-10  Philipp Sehmisch  <tmw@crushnet.org>

	* src/being.cpp, src/being.h, src/net/beinghandler.cpp,
	src/net/charserverhandler.cpp, src/net/equipmenthandler.cpp,
	src/player.cpp, src/player.h, data/items.xml: Simplified player
	subsprite handling by treating equipment, hairstyle and base
	sprites alike. This also enables gender-specific hairstyles.
	* src/game.cpp, src/gui/chat.cpp, src/gui/chat.h, src/log.cpp,
	src/log.h: Added an option to show log messages in the chat console.
	* data/items.xml,
	data/graphics/sprites/hairstyle1.png,
	data/graphics/sprites/hairstyle1.xml,
	data/graphics/sprites/hairstyle1-male.png,
	data/graphics/sprites/hairstyle1-male.xml,
	data/graphics/sprites/hairstyle1-female.png,
	data/graphics/sprites/hairstyle1-female.xml,
	data/graphics/sprites/hairstyle2.png,
	data/graphics/sprites/hairstyle2.xml,
	data/graphics/sprites/hairstyle2-male.png,
	data/graphics/sprites/hairstyle2-male.xml,
	data/graphics/sprites/hairstyle2-female.png,
	data/graphics/sprites/hairstyle2-female.xml,
	data/graphics/sprites/hairstyle3.png,
	data/graphics/sprites/hairstyle3.xml,
	data/graphics/sprites/hairstyle3-male.png,
	data/graphics/sprites/hairstyle3-male.xml,
	data/graphics/sprites/hairstyle3-female.png,
	data/graphics/sprites/hairstyle3-female.xml,
	data/graphics/sprites/hairstyle4.png,
	data/graphics/sprites/hairstyle4.xml,
	data/graphics/sprites/hairstyle4-male.png,
	data/graphics/sprites/hairstyle4-male.xml,
	data/graphics/sprites/hairstyle4-female.png,
	data/graphics/sprites/hairstyle4-female.xml,
	data/graphics/sprites/hairstyle5.png,
	data/graphics/sprites/hairstyle5.xml,
	data/graphics/sprites/hairstyle5-male.png,
	data/graphics/sprites/hairstyle5-male.xml,
	data/graphics/sprites/hairstyle5-female.png,
	data/graphics/sprites/hairstyle5-female.xml,
	data/graphics/sprites/hairstyle6.png,
	data/graphics/sprites/hairstyle6.xml,
	data/graphics/sprites/hairstyle6-male.png,
	data/graphics/sprites/hairstyle6-male.xml,
	data/graphics/sprites/hairstyle6-female.png,
	data/graphics/sprites/hairstyle6-female.xml,
	data/graphics/sprites/hairstyle7.png,
	data/graphics/sprites/hairstyle7.xml,
	data/graphics/sprites/hairstyle7-male.png,
	data/graphics/sprites/hairstyle7-male.xml,
	data/graphics/sprites/hairstyle7-female.png,
	data/graphics/sprites/hairstyle7-female.xml:
	Implemented female hairstyles.

2007-12-09  Philipp Sehmisch  <tmw@crushnet.org>

	* data/graphics/sprites/head-funkywinter.png,
	data/graphics/sprites/head-funkywinter.xml,
	data/graphics/sprites/head-xmaself.png,
	data/graphics/sprites/head-xmaself.xml: New versions of funky hat
	and elf hat by QOAL.

2007-12-04  Philipp Sehmisch  <tmw@crushnet.org>

	* data/graphics/items/generic-santacookie.png,
	data/items.xml: Added a new drop item for the christmas event.

2007-12-05  Bjørn Lindeijer  <bjorn@lindeijer.nl>

	* src/map.cpp, src/map.h: Fix drawing of very high fringe tiles by
	keeping track of the maximum tile height.
	* src/itemshortcut.h, src/gui/itemshortcutcontainer.h,
	src/gui/itemshortcutcontainer.cpp, src/gui/itemshortcutwindow.cpp,
	src/gui/itemshortcutwindow.h, src/itemshortcut.cpp: Random cleanups.

2007-12-04  Philipp Sehmisch  <tmw@crushnet.org>

	* data/graphics/sprites/head-funkywinter.png,
	data/graphics/sprites/head-funkywinter.xml,
	data/graphics/sprites/head-mask.png,
	data/graphics/sprites/head-mask.xml,
	data/graphics/sprites/head-mushroom.png,
	data/graphics/sprites/head-mushroom.xml,
	data/graphics/sprites/head-shroom.png,
	data/graphics/sprites/head-shroom.xml,
	data/graphics/sprites/head-tophat.png,
	data/graphics/sprites/head-tophat.xml,
	data/graphics/sprites/head-xmaself.png,
	data/graphics/sprites/head-xmaself.xml,
	data/graphics/items/armor-head-xmaself.png,
	data/graphics/items/armor-head-mask.png,
	data/items.xml: Added/renamed some headgears for the christmas event.

2007-11-20  Philipp Sehmisch  <tmw@crushnet.org>

	* data/graphics/maps/new_1-1.tmx,
	data/graphics/maps/new_3-1.tmx,
	data/graphics/maps/new_15-1.tmx: Updated desert maps with new
	tiles by Len.

2007-11-16  Bjørn Lindeijer  <bjorn@lindeijer.nl>

	* src/floor_item.cpp, src/localplayer.cpp, src/item.cpp,
	src/inventory.h, src/gui/sell.cpp, src/gui/equipmentwindow.cpp,
	src/gui/shop.cpp, src/gui/shoplistbox.cpp, src/gui/shop.h,
	src/gui/itemshortcutcontainer.cpp, src/gui/buy.cpp,
	src/gui/itemcontainer.cpp, src/inventory.cpp, src/item.h,
	src/equipment.h, src/shopitem.cpp, src/CMakeLists.txt,
	src/floor_item.h, src/net/inventoryhandler.cpp, src/equipment.cpp,
	src/localplayer.h, src/Makefile.am, src/resources/iteminfo.h,
	src/resources/itemdb.cpp, src/resources/iteminfo.cpp, src/shopitem.h:
	Moved item icon from ItemInfo class to the Item class, so that it can
	be loaded on demand. Results in faster startup time and reduced memory
	usage.

2007-11-16  Guillaume Melquiond  <guillaume.melquiond@gmail.com>

	* src/resources/resourcemanager.h, src/resources/resource.h,
	src/resources/resourcemanager.cpp, src/resources/resource.cpp: Delayed
	resource deletion by 30 seconds.
	* src/resources/image.cpp: Sped up recoloring of transparent pixels.

2007-11-16  Eugenio Favalli  <elvenprogrammer@gmail.com>

	* src/log.cpp, src/utils/wingettimeofday.h: Removed useless win32
	implementation of gettimeofday.
	* src/log.cpp, tmw.cbp: Fixed minor issues.

2007-11-11  Bjørn Lindeijer  <bjorn@lindeijer.nl>

	* src/gui/item_amount.cpp, src/gui/item_amount.h,
	src/gui/inventorywindow.cpp: Moved check on dropping 1 item to the
	inventory dialog.

2007-11-09  Philipp Sehmisch  <tmw@crushnet.org>

	* data/graphics/sprites/chest-chainmail-male,
	data/graphics/sprites/chest-chainmail-female,
	data/graphics/sprites/chest-cotton-male,
	data/graphics/sprites/chest-cotton-female,
	data/graphics/sprites/chest-leather-male,
	data/graphics/sprites/chest-leather-female,
	data/graphics/sprites/chest-tnecksweater-male,
	data/graphics/sprites/chest-tnecksweater-female,
	data/graphics/sprites/chest-vnecksweater-male,
	data/graphics/sprites/chest-vnecksweater-female:
	Modifications at the back shading of shirt sprites by Pauan.

2007-11-04  Guillaume Melquiond  <guillaume.melquiond@gmail.com>

	* src/resources/dye.cpp, src/resources/resourcemanager.cpp: Moved
	palette qualifiers to the right as the code appends things on the left.
	* src/resources/spritedef.cpp, src/resources/spritedef.h,
	src/resources/resourcemanager.h: Added propagation of palettes through
	sprite resource names.
	* data/monsters.xml, data/graphics/sprites/monster-scorpion.xml: Used
	palettes on sprite names.
	* data/graphics/sprites/monster-scorpion-black.xml,
	data/graphics/sprites/monster-scorpion-red.xml: Removed obsolete files.
	* src/player.cpp: Added hair colors.
	* data/graphics/sprites/hairstyle*.xml: Removed sprite variants. Set
	replaceable color.
	* data/graphics/sprites/hairstyle*.png: Reduced image sizes.
	* data/monsters.xml, data/graphics/sprites/monster-slime.xml,
	data/graphics/sprites/monster-slime.png: Added generic slime.
	* data/graphics/sprites/monster-slime-{green,red,yellow}.png,
	data/graphics/sprites/monster-slime-{green,red,yellow}.xml: Removed
	obsolete files.

2007-11-03  Guillaume Melquiond  <guillaume.melquiond@gmail.com>

	* src/player.cpp, src/player.h, src/gui/char_select.cpp: Factored code.
	* src/net/beinghandler.cpp, src/net/charserverhandler.cpp: Fixed double
	load of hair graphics.
	* src/Makefile.am, src/resources/dye.cpp, src/resources/dye.h: Added
	palette holder and linear interpolator of colors.
	* src/resources/image.h, src/resources/image.cpp: Added palette-based
	recoloring of images.
	* src/resources/resourcemanager.h, src/resources/resourcemanager.cpp:
	Added automatic recoloring of images depending on their names.
	* data/graphics/sprites/monster-scorpion.png: Flattened colors.
	* data/graphics/sprites/monster-scorpion-black.png,
	data/graphics/sprites/monster-scorpion-red.png: Removed obsolete files.
	* data/graphics/sprites/monster-scorpion.xml,
	data/graphics/sprites/monster-scorpion-black.xml,
	data/graphics/sprites/monster-scorpion-red.xml: Added automatic
	recoloring of scorpions.

2007-11-01  Philipp Sehmisch  <tmw@crushnet.org>

	* data/graphics/particles/aniblaze.png,
	data/graphics/particles/cookingfire.particle.xml,
	data/graphics/particles/fireplace.particle.xml,
	data/graphics/particles/flame.particle.xml: Improved fire particle
	effects by using animated particles.

2007-10-31  Philipp Sehmisch  <tmw@crushnet.org>

	* data/items.xml, data/graphics/sprites/leg-skirt.png,
	data/graphics/sprites/leg-skirt.xml,
	data/graphics/items/armor-leg-skirt.png: Added skirt by Saphy.
	ViewID is 26, item ID is 632, item properties are c&p from jeans
	shorts.

2007-10-27  Guillaume Melquiond  <guillaume.melquiond@gmail.com>

	* src/properties.h, src/game.cpp, src/channel.h, src/log.cpp,
	src/gui/window.cpp, src/gui/setup.cpp, src/gui/button.cpp,
	src/gui/chat.h, src/gui/widgets/dropdown.cpp, src/gui/chat.cpp,
	src/gui/tabbedcontainer.cpp, src/gui/windowcontainer.cpp,
	src/gui/skill.cpp, src/gui/serverdialog.cpp, src/gui/textfield.cpp,
	src/gui/playerbox.cpp, src/gui/scrollarea.cpp, src/beingmanager.cpp,
	src/flooritemmanager.cpp, src/channelmanager.cpp, src/main.cpp,
	src/particle.cpp, src/net/messageout.cpp, src/channel.cpp,
	src/localplayer.h, src/resources/imageset.cpp,
	src/resources/buddylist.cpp, src/resources/monsterinfo.h,
	src/resources/iteminfo.h, src/resources/monsterdb.cpp,
	src/resources/monsterinfo.cpp, src/resources/itemdb.cpp: Fixed missing
	dependencies, spurious const qualifiers, and weak brackets, so that it
	compiles with GCC 4.3.

2007-10-26  Philipp Sehmisch  <tmw@crushnet.org>

	* src/gui/item_ammount.cpp: Item amount dialog is now skipped
	when there is only one item on the stack.
	* src/browserbox.cpp, src/browserbox.h, src/chat.h, src/main.cpp:
	Added possibility of length limitation to browserbox and used it
	for the chatlog (length set by the config option "ChatLogLength").
	* src/chat.cpp, src/chat.h: Removed some completely useless code
	from the chat class.
	* src/monster.cpp, src/monster.h, data/sfx/logmonster-hurt1.ogg,
	data/sfx/logmonster-hurt2.ogg, data/sfx/logmonster-hurt3.ogg,
	data/sfx/logmonster-hurt4.ogg, data/sfx/logmonster-hurt5.ogg:
	Implemented monster hurt sounds and added new sound effects by
	Cosmostrator.

2007-10-24  Philipp Sehmisch  <tmw@crushnet.org>

	* data/items.xml, data/graphics/items/generic-darkcrystal.png:
	Added a new quest loot item for the halloween event.

2007-10-22  Guillaume Melquiond  <guillaume.melquiond@gmail.com>

	* src/particle.cpp: Plugged memory leak.
	* src/configuration.cpp, src/main.cpp: Plugged memory leak. Cleaned
	code.

2007-10-21  Guillaume Melquiond  <guillaume.melquiond@gmail.com>

	* src/gui/window.cpp, src/gui/window.h: Removed redundant resizable
	flag. Factored moving/resizing code, so that events are fired only
	once per size change.
	* src/resources/spritedef.cpp: Plugged memory leak in sprites.
	* src/resources/action.cpp: Fixed double-free of sprite actions.
	* src/resources/iteminfo.cpp, src/resources/iteminfo.h: Plugged memory
	leak in equipment sound.
	* src/resources/monsterdb.cpp: Plugged memory leak in database reader.
	* src/engine.cpp, src/engine.h, src/game.cpp: Fixed current map not
	deleted on server change.
	* src/gui/trade.cpp: Added persistent positioning.
	* src/gui/menuwindow.cpp: Fixed missing pixels at bottom and right.
	* src/gui/window.cpp, src/gui/window.h: Changed to use default values
	when restoring missing settings.
	* src/gui/shoplistbox.cpp, src/gui/listbox.cpp: Fixed invisible text.

2007-10-20  Guillaume Melquiond  <guillaume.melquiond@gmail.com>

	* src/gui/playerbox.cpp: Centered sprite inside selection box.

2007-10-19  Guillaume Melquiond  <guillaume.melquiond@gmail.com>

	* src/resources/resource.cpp, src/resources/resource.h,
	src/resources/imageset.cpp, src/resources/imageset.h: Removed mandatory
	identifier path.
	* src/resources/resourcemanager.cpp, src/resources/resourcemanager.h:
	Factored code between resource handlers.
	* src/resources/soundeffect.h, src/resources/soundeffect.cpp,
	src/resources/music.h, src/resources/music.cpp, src/resources/image.h,
	src/resources/image.cpp: Reworked resource loaders.
	* src/resources/spritedef.h, src/resources/spritedef.cpp: Implemented
	a failure-friendly loader.
	* src/gui/truetypefont.cpp, src/resources/imageloader.cpp,
	src/tileset.h: Removed dummy parameter.

2007-10-19  Philipp Sehmisch  <tmw@crushnet.org>

	* data/graphics/images/ambient/fog.png: Added fog effect overlay
	graphic.

2007-10-18  Guillaume Melquiond  <guillaume.melquiond@gmail.com>

	* src/resources/iteminfo.h, src/resources/itemdb.cpp: Removed unused
	slot field.
	* src/localplayer.cpp, src/localplayer.h: Removed specific type.
	* src/gui/viewport.cpp, src/gui/minimap.cpp: Changed identification of
	local player to a check of player_node.
	* src/animatedsprite.cpp, src/animatedsprite.h, src/npc.cpp,
	src/player.cpp, src/monster.cpp, src/resources/resourcemanager.cpp:
	Prevented client from exiting on missing sprites.
	* src/resources/spritedef.cpp: Added filename to fatal error messages.
	* src/resources/iteminfo.cpp, src/resources/iteminfo.h,
	src/resources/itemdb.cpp, data/items.xml: Merged weapon_type and
	attacktype field.

2007-10-18  Philipp Sehmisch  <tmw@crushnet.org>

	* data/graphics/sprites/hairstyle7-male.png,
	data/graphics/sprites/hairstyle7-female.png: Readded hairstyle number
	7.

2007-10-18  Bjørn Lindeijer  <bjorn@lindeijer.nl>

	* src/game.cpp, src/net/tradehandler.h, src/net/tradehandler.cpp:
	Implemented automatic denying of trade requests based on a patch
	submitted by Quiche_on_a_leash.

2007-10-07  Philipp Sehmisch  <tmw@crushnet.org>

	* data/graphics/maps/new_18-1.tmx: Fixed some collision layer problems.

2007-10-01  Philipp Sehmisch  <tmw@crushnet.org>

	* src/player.cpp, data/graphics/sprites/hairstyle*:
	Added support for different hairstyles for male and female characters
	(current female hairstyles are copies of the male ones until the
	real female ones are finished)

2007-09-30  Philipp Sehmisch  <tmw@crushnet.org>

	* data/graphics/tiles/desert_x3.png: Removed the purple line from the
	ruin tile.

2007-09-27  Philipp Sehmisch  <tmw@crushnet.org>

	* data/graphics/tiles/desert2.png, data/graphics/tiles/desert_x3.png,
	data/graphics/tiles/desert_x5.png: Added new desert tiles by Len.

2007-09-20  Eugenio Favalli  <elvenprogrammer@gmail.com>

	* data/equipment.xml, data/graphics/items/armor-head-funkyhat.png,
	data/graphics/items/armor-head-mushroomhat.png,
	data/graphics/items/armor-head-shroomhat.png,
	data/graphics/items/armor-head-tophat.png,
	data/graphics/sprites/item019.png, data/graphics/sprites/item019.xml,
	data/graphics/sprites/item020.png, data/graphics/sprites/item020.xml,
	data/graphics/sprites/item021.png, data/graphics/sprites/item021.xml,
	data/graphics/sprites/item022.png, data/graphics/sprites/item022.xml,
	data/items.xml, data/maps/new_21-1.tmx: Added 4 new items and a new ice
	cave map.

2007-09-12  Bjørn Lindeijer  <bjorn@lindeijer.nl>

	* data/items.xml, data/equipment.xml: Added temporary weapon IDs below
	256 to use as view-ID in eAthena's item DB.
	* src/gui/shoplistbox.cpp, src/gui/buy.h, src/gui/buy.cpp: Allowed
	selection of items that cannot be afforded, so that their descriptions
	are still accessible. Also made sure the player's money value of
	ShopItemList gets updated.

2007-09-11  Eugenio Favalli  <elvenprogrammer@gmail.com>

	* src/gui/chat.cpp, tmw.cbp: Fixed admin commands.

2007-09-08  Philipp Sehmisch  <tmw@crushnet.org>

	* data/graphics/particles/aniblaze.png,
	data/graphics/particles/cookingfire.particle.xml,
	data/graphics/particles/fireplace.particle.xml,
	data/graphics/particles/flame.particle.xml: Improved fire effects by
	using animated particles.

2007-09-06  Philipp Sehmisch  <tmw@crushnet.org>

	* src/animationparticle.cpp, src/imageparticle.cpp: Fixed animated
	particles.

2007-09-01  Bjørn Lindeijer  <bjorn@lindeijer.nl>

	* src/Makefile.am: Fixed the entry for windowlistener.h.

2007-08-30  Bjørn Lindeijer  <bjorn@lindeijer.nl>

	* src/localplayer.cpp, src/player.cpp, src/main.cpp, src/being.cpp,
	src/CMakeLists.txt, src/Makefile.am, src/resources/iteminfo.h,
	src/resources/equipmentdb.h, src/resources/equipmentinfo.h,
	src/resources/itemdb.cpp, src/resources/iteminfo.cpp,
	src/resources/equipmentdb.cpp, src/resources/equipmentinfo.cpp,
	src/resources/spritedef.h, src/being.h, data/items.xml,
	data/equipment.xml: Merged equipment database with items database and
	got rid of the unused item art attribute.
	* src/net/beinghandler.cpp, src/net/charserverhandler.cpp: Removed the
	now unnecessary multiplication of weapon IDs with 10000.
	* src/resources/iteminfo.cpp, data/graphics/items/unknown.png: Added
	fallback item icon and use it for unknown items or when item image
	fails to load.
	* NEWS: Updated with changes since last update.
	* data/items.xml, data/equipment.xml: Reverted equipment database and
	included original low-ID items in items.xml for compatibility with
	eAthena, which doesn't support View ID to come above 255.
	* src/resources/itemdb.cpp: Accept items without a name.

2007-08-29  Bjørn Lindeijer  <bjorn@lindeijer.nl>

	* src/gui/sell.cpp, src/gui/inventorywindow.cpp, src/gui/sell.h: Made
	sell dialog resizable and tweaked inventory resize code a bit.
	* data/items.xml: Fixed typo in chainmail description.

2007-08-28  Bjørn Lindeijer  <bjorn@lindeijer.nl>

	* src/gui/window.cpp, src/gui/inventorywindow.h,
	src/gui/selectionlistener.h, src/gui/buy.h,
	src/gui/itemshortcutwindow.cpp, src/gui/inventorywindow.cpp,
	src/gui/buy.cpp, src/gui/window.h, src/gui/windowlistener.h,
	src/gui/itemshortcutwindow.h, src/CMakeLists.txt, src/Makefile.am:
	Made buy dialog resizable and added a WindowListener class for
	listening for window resize and move events.
	* src/textparticle.h, src/particle.h, src/CMakeLists.txt,
	src/particle.cpp, src/imageparticle.cpp, src/vector.h,
	src/textparticle.cpp, src/Makefile.am: Added Vector class and used it
	in the particle engine.

2007-08-27  Bjørn Lindeijer  <bjorn@lindeijer.nl>

	* src/engine.cpp, src/resources/mapreader.cpp: Made client search for
	both compressed and non-compressed map files.

2007-08-27  Eugenio Favalli  <elvenprogrammer@gmail.com>

	* src/game.cpp: Assigned unused emotions to Alt +/-. (applied a patch
	by Quiche_on_a_leash).
	* data/maps/new_1-1.tmx, data/maps/new_1-1.tmx.gz,
	data/maps/new_10-1.tmx, data/maps/new_10-1.tmx.gz,
	data/maps/new_11-1.tmx, data/maps/new_11-1.tmx.gz,
	data/maps/new_12-1.tmx, data/maps/new_12-1.tmx.gz,
	data/maps/new_13-1.tmx, data/maps/new_13-1.tmx.gz,
	data/maps/new_14-1.tmx, data/maps/new_14-1.tmx.gz,
	data/maps/new_15-1.tmx, data/maps/new_15-1.tmx.gz,
	data/maps/new_16-1.tmx, data/maps/new_16-1.tmx.gz,
	data/maps/new_17-1.tmx, data/maps/new_17-1.tmx.gz,
	data/maps/new_18-1.tmx, data/maps/new_18-1.tmx.gz,
	data/maps/new_19-1.tmx, data/maps/new_19-1.tmx.gz,
	data/maps/new_2-1.tmx, data/maps/new_2-1.tmx.gz,
	data/maps/new_20-1.tmx, data/maps/new_20-1.tmx.gz,
	data/maps/new_3-1.tmx, data/maps/new_3-1.tmx.gz,
	data/maps/new_4-1.tmx, data/maps/new_4-1.tmx.gz,
	data/maps/new_5-1.tmx, data/maps/new_5-1.tmx.gz,
	data/maps/new_6-1.tmx, data/maps/new_6-1.tmx.gz,
	data/maps/new_7-1.tmx, data/maps/new_7-1.tmx.gz,
	data/maps/new_8-1.tmx, data/maps/new_8-1.tmx.gz,
	data/maps/new_9-1.tmx, data/maps/new_9-1.tmx.gz: Replaced compressed
	maps with layer compressed maps.

2007-08-26  Eugenio Favalli  <elvenprogrammer@gmail.com>

	* src/gui/updatewindow.cpp, src/main.cpp, tmw.cbp: Removed home dir
	from config file to avoid encoding issues.

2007-08-26  Guillaume Melquiond  <guillaume.melquiond@gmail.com>

	* src/gui/button.cpp: Fixed incorrect button dimensions, as they mess
	OpenGL display with rectangle textures.
	* src/graphics.cpp, src/openglgraphics.h, src/graphics.h,
	src/openglgraphics.cpp: Fixed fonts not being recolored by adding an
	explicit parameter to require it.

2007-08-25  Guillaume Melquiond  <guillaume.melquiond@gmail.com>

	* configure.ac: Removed dependency on Guichan's OpenGL library.
	* src/Makefile.am, src/resources/sdlimageloader.cpp,
	src/resources/sdlimageloader.h, src/resources/openglsdlimageloader.h,
	src/resources/openglsdlimageloader.cpp, src/resources/imageloader.cpp,
	src/resources/imageloader.h, src/gui/gui.cpp, src/gui/gui.h: Replaced
	Guichan's image loaders with our owns, so that we have control over all
	the images used as textures.
	* src/resources/image.cpp, src/openglgraphics.h, src/resources/image.h,
	src/openglgraphics.cpp, src/graphics.cpp, src/graphics.h: Added support
	for rectangle OpenGL textures when available, in order to reduce video
	memory usage.

2007-08-24  Bjørn Lindeijer  <bjorn@lindeijer.nl>

	* src/gui/gui.h, src/gui/gui.cpp: Removed useless logic method and
	reverted mouse cursor to non-static since there can be only one Gui
	instance so there is no point in supporting a shared resource.
	* src/gui/window.cpp, src/gui/gui.h: Removed unnecessary
	Gui::isCustomCursor method.
	* src/gui/char_select.h, src/gui/char_select.cpp, src/utils/trim.h:
	Added trimming of name for new character creation.
	* src/net/chathandler.cpp: Added trimming of chat messages appearing
	above players.
	* src/gui/window.cpp, src/gui/window.h: Improved resize mouse cursor
	indication, removing duplicated code and fixing indicator above resize
	grip.

2007-08-23  Bjørn Lindeijer  <bjorn@lindeijer.nl>

	* src/gui/viewport.h, src/gui/viewport.cpp: Removed two useless popup
	related methods.
	* src/gui/debugwindow.h, src/gui/debugwindow.cpp: Use generic close
	button functionality.
	* src/particle.h, src/particleemitter.cpp, src/particle.cpp: Renamed
	Particle::mVector to Particle::mVelocity for clarity.
	* src/localplayer.cpp, src/gui/ministatus.cpp, src/gui/status.cpp,
	src/being.cpp, src/net/charserverhandler.cpp,
	src/net/playerhandler.cpp, src/localplayer.h, src/being.h: Changed XP
	gaining effect to appear on the player instead.
	* data/graphics/gui/hits_yellow.png: Restored shadow of yellow font.

2007-08-22  Bjørn Lindeijer  <bjorn@lindeijer.nl>

	* src/gui/itemshortcutcontainer.h: Fixed compiler warning.
	* src/CMakeLists.txt, src/Makefile.am: Updated source lists.
	* data/graphics/gui/CMakeLists.txt, data/graphics/gui/Makefile.am:
	Added close button and item shortcut backgrounds to files that will be
	installed.
	* src/gui/itemshortcutcontainer.cpp: Make sure mGridWidth and
	mGridHeight are initialized properly (fixes arithmetic exception in
	ItemShortcutContainer::draw).
	* src/keyboardconfig.cpp: Changed default sitting key back to 's'.
	* src/net/equipmenthandler.cpp: Removed a line that attempted to set
	the player's weapon sprite with each kind of equipment. Seems to work
	fine without as well.
	* src/gui/chat.cpp, src/utils/trim.h, src/CMakeLists.txt,
	src/Makefile.am: Added trimming of chat messages.

2007-08-22  Philipp Sehmisch  <tmw@crushnet.org>

	* data/graphics/sprites/chest-lightplatemail-male.png,
	data/graphics/sprites/chest-lightplatemail-female.png,
	data/graphics/items/armor-chest-lightplatemail.png,
	data/graphics/tiles/woodland_indoor_x2.png: Another color correction
	at the light platemail (looks more metalic now)
	* data/maps/new_18-1.tmx.gz, data/maps/new_19-1.tmx.gz,
	data/images/minimap_new_18-1.png, data/images/minimap_new_19-1.png:
	Removed a tree that prevented people from sitting on one of the
	benches properly. Added correct minimap to woodland village and
	surrounding.

2007-08-22  Joshua Langley  <joshlangley[at]optusnet.com.au>

	* data/graphics/gui/item_shortcut_bgr.png, src/game.cpp,
	src/gui/gui.cpp, src/gui/itemcontainer.cpp,
	src/gui/itemshortcutcontainer.cpp, src/gui/itemshortcutcontainer.h,
	src/gui/itemshortcutwindow.cpp, src/gui/itemshortcutwindow.h,
	src/gui/menuwindow.cpp, src/gui/setup_keyboard.cpp, src/gui/window.h,
	src/itemshortcut.cpp, src/itemshortcut.h, src/keyboardconfig.cpp,
	src/keyboardconfig.h, src/localplayer.cpp, src/localplayer.h,
	src/main.cpp, src/net/inventoryhandler.cpp, src/utils/tostring.h,
	tmw.cbp: Added item shortcut bar.

2007-08-20  Joshua Langley  <joshlangley[at]optusnet.com.au>

	* data/graphics/gui/mouse.png, src/gui/equipmentwindow.cpp,
	src/gui/gui.cpp, src/gui/gui.h, src/gui/inventorywindow.cpp,
	src/gui/setup.cpp, src/gui/skill.cpp, src/gui/skill.h,
	src/gui/status.cpp, src/gui/window.cpp, src/gui/window.h,
	data/graphics/gui/close_button.png: Added close button functionality,
	resize cursor cues.
	* data/graphics/gui/hits_yellow.png, src/being.cpp, src/being.h,
	src/gui/gui.cpp, src/localplayer.cpp, src/localplayer.h,
	src/net/charserverhandler.cpp, src/net/playerhandler.cpp,
	src/particle.cpp, src/particle.h: Added monster killed xp notification
	effect.

2007-08-19  Bjørn Lindeijer  <bjorn@lindeijer.nl>

	* data/equipment.xml: Fixed typo in female light plate mail.
	* NEWS: Updated with changes since 0.0.23.

2007-08-19  Joshua Langley  <joshlangley[at]optusnet.com.au>

	* src/keyboardconfig.cpp, src/keyboardconfig.h: Minor cleanup.
	* src/gui/buy.cpp, src/gui/sell.cpp: Buy/sell fixed minimum quantity.
	* src/gui/setup_keyboard.cpp, src/gui/setup_keyboard.h: Fixed bug -
	reverts unassigned key.

2007-08-17  Bjørn Lindeijer  <bjorn@lindeijer.nl>

	* tools/adler32.c: Added little program for calculating adler32
	checksums of files.
	* src/gui/setup_keyboard.cpp: Fixed compile issue related to array
	bound not being an integer constant.

2007-08-15  Philipp Sehmisch  <tmw@crushnet.org>

	* data/graphics/sprites/npcs.png, data/graphics/sprites/npc.xml:
	Added farmer NPC for woodland village.

2007-08-14  Eugenio Favalli  <elvenprogrammer@gmail.com>

	* src/gui/popupmenu.cpp, src/gui/viewport.cpp, src/gui/viewport.h,
	tmw.cbp: Fixed popup menu requiring one more click after being used.

2007-08-09  Philipp Sehmisch  <tmw@crushnet.org>

	* data/graphics/sprites/chest-lightplatemail-male.png,
	data/graphics/sprites/chest-lightplatemail-female.png,
	data/graphics/items/armor-chest-lightplatemail.png,
	data/graphics/tiles/woodland_indoor_x2.png: Gave the platemail
	armor a blue tint. Looks less boring and makes recoloring through
	hue shifting possible.

2007-08-08  Philipp Sehmisch  <tmw@crushnet.org>

	* data/graphics/particles/cookingfire.particle.xml,
	data/graphics/particles/fireplace.particle.xml,
	data/maps/new_20-1.tmx.gz: Added particle effects and music to the
	woodland village indoor map.
	* data/maps/new_19-1.tmx.gz: Added overlay effect and music to
	woodland village outdoor map.
	* data/maps/new_18-1.tmx.gz: Fixed some collision map errors and added
	music and overlay effect to the surrounding of the woodland village.

2007-08-07  Philipp Sehmisch  <tmw@crushnet.org>

	* data/graphics/sprites/npcs.png: Added two new NPCs and gave some
	of the older NPCs a makeover to look more like the style of the new
	playerset.
	* data/maps/new_20-1.tmx.gz: Corrected a few mapping errors in the
	new woodland village.
	* data/items.xml: Tweaked description and values of the scythe.

2007-08-06  Guillaume Melquiond  <guillaume.melquiond@gmail.com>

	* src/Makefile.am, src/utils/strprintf.h, src/utils/strprintf.cpp:
	Added a helper function for printf-formatting a (gettext) C string
	into a dynamically-sized C++ string.

2007-08-05  Philipp Sehmisch  <tmw@crushnet.org>

	* data/graphics/tiles/woodland_indoor.png,
	data/graphics/tiles/woodland_indoor_x2.png,
	data/graphics/tiles/woodland_indoor_x3.png: Added woodland
	village indoor tilesets.
	* data/maps/new_20-1.tmx.gz: Added woodland village indoor map.

2007-07-29  Björn Steinbrink  <B.Steinbrink@gmx.de>

	* CMake/Modules/FindLibXml2.cmake, CMake/Modules/FindLibcurl.cmake,
	src/CMakeLists.txt: Switch to upstream CMake modules for libxml2 and
	curl.

2007-07-27  Guillaume Melquiond  <guillaume.melquiond@gmail.com>

	* src/resources/image.cpp: Added support for subimages of subimages.
	* src/gui/equipmentwindow.cpp, src/gui/button.cpp, src/gui/slider.cpp,
	src/gui/widgets/resizegrip.cpp, src/gui/widgets/dropdown.cpp,
	src/gui/progressbar.cpp, src/gui/browserbox.cpp, src/gui/gui.cpp,
	src/gui/radiobutton.cpp, src/gui/textfield.cpp, src/gui/playerbox.cpp,
	src/gui/itemcontainer.cpp, src/gui/checkbox.cpp, src/gui/minimap.cpp,
	src/gui/scrollarea.cpp, src/gui/popupmenu.cpp: Removed useless yet
	costly dynamic casts.

2007-07-25  Joshua Langley  <joshlangley[at]optusnet.com.au>

	* src/gui/setup.cpp, src/gui/setup_keyboard.cpp,
	src/gui/setup_keyboard.h, src/keyboardconfig.cpp,
	src/keyboardconfig.h, src/main.cpp: Minor changes to keyboard config,
	keyboard setup gui re-designed.

2007-07-24  Bjørn Lindeijer  <bjorn@lindeijer.nl>

	* src/CMakeLists.txt, src/Makefile.am: Added setup_keyboard.* and
	keyboardconfig.* to the list of source files.
	* src/keyboardconfig.h: Fixed initialization order.

2007-07-17  Joshua Langley  <joshlangley[at]optusnet.com.au>

	* src/game.cpp: Only one key per function.
	* src/main.cpp: Keyboard configuration included.
	* src/gui/button.cpp, src/gui/button.h: Default constructor and
	init function added.
	* src/gui/setup.cpp: Keyboard setup tab added.
	* src/gui/setup_keyboard.cpp, src/gui/setup_keyboard.h: Add to project
	file, it is the keyboard setup tab.
	* src/keyboardconfig.cpp, src/keyboardconfig.h: Add to project file,
	the main keyboard config operations.

2007-07-16  Eugenio Favalli  <elvenprogrammer@gmail.com>

	* data/items.xml: Fixed description of silk headband.

2007-07-11  Philipp Sehmisch  <tmw@crushnet.org>

	* src/resources/monsterdb.cpp, src/resources/monsterinfo.cpp,
	src/resources/monsterinfo.h, src/monster.cpp: Renamed SoundEvent
	to MonsterSoundEvent.
	* src/resources/equipmentdb.cpp, src/resources/equipmentinfo.cpp,
	src/resources/equipmentinfo.h: EquipmentDB now holds the type of
	attack animation and the sounds of weapons.
	* src/being.cpp. src/being.h, src/localplayer.cpp,
	src/net/beinghandler.cpp, src/net/charserverhandler.cpp,
	src/net/equipmenthandler.cpp, src/player.cpp, src/player.h: The
	type of weapon player characters are using is now set using
	setVisibleEquipment() instead of setWeapon() or setWeaponById().
	* src/CMakeLists.txt, src/Makefile.AM, tmw.cbp, The Mana World.dev:
	Updated project files and buildscripts.
	* data/graphics/images/login-wallpaper.png: Replaced login wallpaper
	with a new one by Irukard.

2007-07-11  Bjørn Lindeijer  <bjorn@lindeijer.nl>

	* src/gui/window.cpp: Fixed resizing windows by their resize grip.

2007-07-07  Bjørn Lindeijer  <bjorn@lindeijer.nl>

	* src/gui/gui.cpp, src/gui/chatinput.h, src/gui/chatinput.cpp,
	INSTALL: Ported to Guichan 0.7.0. Unfortunately, since Guichan 0.6.x
	didn't have a FocusListener, compatibility with older versions is
	broken.

2007-06-29  Philipp Sehmisch  <tmw@crushnet.org>

	* src/particle.cpp, src/particleemitter.cpp: Corrected some perspective
	issues of the particle engine and fixed a crash caused by particles
	with child emitters that have an image than isn't used elsewhere.
	* data/maps/new-3-1.tmx.gz: Added a particle effect at the spawn point
	in Tulimshar.

2007-06-21  Philipp Sehmisch  <tmw@crushnet.org>

	* data/monsters.xml, data/graphics/sprites/monster-logmonster.png,
	data/graphics/sprites/monster-logmonster.xml: Added logmonster by
	Enigmatik (Monster ID is 23).
	* data/items.xml, data/equipment.xml,
	data/graphics/items/armor-chest-lightplatemail.png,
	data/graphics/sprites/chest-lightplatemail-male.xml,
	data/graphics/sprites/chest-lightplatemail-male.png,
	data/graphics/sprites/chest-lightplatemail-female.png,
	data/graphics/sprites/chest-lightplatemail-female.xml:
	Added light platemail (see entry in items.xml for proposed specs).

2007-06-16  Guillaume Melquiond  <guillaume.melquiond@gmail.com>

	* src/resources/image.cpp: Set GL texture index to zero when an image
	uses the SDL backend.

2007-06-13  Philipp Sehmisch  <tmw@crushnet.org>

	* The Mana World.dev: Updated DevCpp project file.

2007-06-13  Philipp Sehmisch  <tmw@crushnet.org>

	* src/main.cpp: Added logging of version number.

2007-06-12  David Athay  <ko2fan@gmail.com>

	* src/net/playerhandler.cpp: Fixed bug with DEF_BONUS not updating
	Mantis id: 0000087
	* data/icons/The Mana World.icns: Added Mac OSX icon.

2007-06-11  Philipp Sehmisch  <tmw@crushnet.org>

	* src/particle.h, src/being.cpp: Fixed a bug that prevented
	being-controlled particles from being deleted (thanks to tuchs for
	reporting).

2007-06-06  Bjørn Lindeijer  <bjorn@lindeijer.nl>

	* data/items.xml: Fixed defense of silk headband.

2007-06-04  Philipp Sehmisch  <tmw@crushnet.org>

	* data/graphics/maps/new_17-1.tmx.gz: Changed the minimap image of the
	lamp snake cave to the correct one.

2007-06-03  David Athay  <ko2fan@gmail.com>

	* src/main.cpp, src/game.cpp: Fixed screenshot taking on OSX.

2007-06-03  Bjørn Lindeijer  <bjorn@lindeijer.nl>

	* src/CMakeLists.txt, src/Makefile.am, docs/Makefile.am: Added some
	files to be included with the release.
	* src/utils/fastsqrt.h: Fixed warning about strict-aliasing rules.
	* src/Makefile.am: Don't die on warnings by default.
	* src/resources/image.cpp: Fixed image loading in software mode to not
	check for alpha layer when images aren't 32-bit.
	* src/graphics.cpp, src/graphics.h, src/imageparticle.cpp: Removed
	drawImageTransparent from Graphics class, should be set on image.
	* src/imageparticle.h, src/particleemitter.h, src/particle.h,
	src/particleemitter.cpp, src/particle.cpp, src/imageparticle.cpp: Have
	ParticleEmitter load a possible particle image early on and don't
	cause a crash when the image can't be found.

2007-06-02  Bjørn Lindeijer  <bjorn@lindeijer.nl>

	* src/winver.h, README, NEWS, CMakeLists.txt, configure.ac,
	data/help/changes.txt, data/help/header.txt: Updated version and
	release date and summarized changes.
	* src/gui/chat.h, src/gui/chat.cpp: Changed color of chat messages in
	OpenGL mode from orange to black.
	* src/gui/sell.cpp, src/gui/buy.h, src/gui/buy.cpp, src/gui/sell.h:
	Some cleanup of buy/sell dialog code.

2007-06-01  Bjørn Lindeijer  <bjorn@lindeijer.nl>

	* data/graphics/gui/CMakeLists.txt, data/graphics/gui/Makefile.am:
	Added target cursors to installed files.

2007-05-31  Philipp Sehmisch  <tmw@crushnet.org>

	* data/maps/new_16-1.tmx.gz: Fixed an inconsistency with the neighbor
	map (no new walkmap required).

2007-05-23  Bjørn Lindeijer  <bjorn@lindeijer.nl>

	* src/gui/sell.cpp, src/gui/buy.cpp, src/being.cpp: A bunch of
	lingering syntactical changes.
	* src/gui/viewport.cpp: Added a missing include and fixed a bug with
	cleaning up target cursor animations.

2007-05-23  Philipp Sehmisch  <tmw@crushnet.org>

	* src/gui/viewport.cpp,
	data/graphics/gui/target-cursor-blue-s.png,
	data/graphics/gui/target-cursor-blue-m.png,
	data/graphics/gui/target-cursor-blue-l.png,
	data/graphics/gui/target-cursor-red-s.png,
	data/graphics/gui/target-cursor-red-m.png,
	data/graphics/gui/target-cursor-red-l.png: Replaced target cursor
	graphics with higher quality ones by Pauan.
	* src/particle.cpp: Made bouncing particles immune against death by
	ground contact and removed a nonsensical debugging log message. Made
	text splash effects fade out.
	* src/textparticle.cpp: Implemented fading in and out for text
	particles.
	* src/being.cpp, src/particle.cpp, src/particle.h,
	src/textparticle.cpp, src/textparticle.h: The color values of text
	particles are now stored in 3 integers instead of a Guichan color
	structure.

2007-05-20  Eugenio Favalli  <elvenprogrammer@gmail.com>

	* tmw.cbp: Updated Code::Blocks project file.

2007-05-20  Philipp Sehmisch  <tmw@crushnet.org>

	* src/gui/buy.cpp, src/gui/sell.cpp: Unified some differences between
	buy and sell dialog. Money label now shows money after transaction
	instead of current money.
	* src/gui/sell.cpp: Fixed the amount-not-reset-when-using-scrollwheel
	bug.
	* src/being.h, src/gui/viewport.cpp, src/gui/viewport.h: Added 3
	different target cursor sizes.
	* src/monster.h, src/monster.cpp, src/resources/monsterdb.cpp,
	scr/resources/monsterinfo.h, data/monsters.xml: Target cursor size for
	monster is read from the monsters.xml.
	* data/graphics/gui/target-cursor-blue-s.png,
	data/graphics/gui/target-cursor-blue-m.png,
	data/graphics/gui/target-cursor-blue-l.png,
	data/graphics/gui/target-cursor-red-s.png,
	data/graphics/gui/target-cursor-red-m.png,
	data/graphics/gui/target-cursor-red-l.png: Added temporary
	placeholders for small and large target cursors until better versions
	based on the original SVG are available.

2007-05-08  Philipp Sehmisch  <tmw@crushnet.org>

	* data/graphics/sprites/monster-bat.png,
	data/graphics/sprites/monster-bat.xml,
	data/graphics/sprites/monster-flower.xml,
	data/graphics/sprites/monster-fluffy.xml,
	data/graphics/sprites/monster-fluffy.png,
	data/graphics/sprites/monster-goblin-fire.xml,
	data/graphics/sprites/monster-maggot-giant.xml,
	data/graphics/sprites/monster-maggot.xml,
	data/graphics/sprites/monster-mountsnake.xml,
	data/graphics/sprites/monster-mushroom-red.xml,
	data/graphics/sprites/monster-mushroom-spiky.xml,
	data/graphics/sprites/monster-pinkie.xml,
	data/graphics/sprites/monster-scorpion-black.xml,
	data/graphics/sprites/monster-scorpion-red.png,
	data/graphics/sprites/monster-scorpion-red.xml,
	data/graphics/sprites/monster-skull-poison.xml,
	data/graphics/sprites/monster-slime-green.xml,
	data/graphics/sprites/monster-slime-red.xml,
	data/graphics/sprites/monster-slime-rudolph.xml,
	data/graphics/sprites/monster-slime-santa.png,
	data/graphics/sprites/monster-slime-santa.xml,
	data/graphics/sprites/monster-slime-yellow.xml,
	data/graphics/sprites/monster-snake-cave.png,
	data/graphics/sprites/monster-snake-cave.xml,
	data/graphics/sprites/monster-snake.xml,
	data/graphics/sprites/monster-spider.xml:
	Adjusted offsets of monster sprites (thanks to Pauan for finding out
	the correct offsets - I just subtracted 6 of all x offsets to take the
	new position of the target circle in account) and committed some
	modifications at some monster graphics by Pauan.

2007-05-02  Philipp Sehmisch  <tmw@crushnet.org>

	* src/sprite.h, src/being.cpp, src/being.h, src/animatedsprite.cpp,
	src/animatedsprite.h: Added methods to get the width and height of the
	graphical representation of a sprite.
	* src/gui/viewport.cpp: Fixed positioning of monster names and target
	circles.

2007-05-02  Philipp Sehmisch  <tmw@crushnet.org>

	* src/particle.cpp: Fixed a compiler warning.

2007-05-02  Björn Steinbrink  <B.Steinbrink@gmx.de>

	* src/Makefile.am: Add the new particle subclasses to the automake
	configuration.
	* src/imageparticle.h, src/textparticle.h, src/particle.h,
	src/animationparticle.h, src/CMakeLists.txt, src/particleemitter.cpp,
	src/animationparticle.cpp, src/particle.cpp, src/imageparticle.cpp,
	src/textparticle.cpp, src/utils/xml.cpp, src/utils/xml.h: Split the
	particle class into subclasses based on their appearance.

2007-04-24  Philipp Sehmisch  <tmw@crushnet.org>

	* src/particle.cpp, src/particle.h: Some minor code cleanups, speed
	optimizations and a bit of documentation.

2007-04-23  Philipp Sehmisch  <tmw@crushnet.org>

	* data/graphics/particles/flame.particle.xml,
	data/graphics/particles/blaze.png: Added two files I forgot with the
	last commit.
	* src/resources/mapreader.cpp, src/particle.cpp,
	src/particleemitter.cpp: Using XML child node iteration macro.

2007-04-22  Björn Steinbrink  <B.Steinbrink@gmx.de>

	* src/configuration.cpp, src/utils/xml.h, src/resources/mapreader.cpp,
	src/resources/spritedef.cpp, src/resources/monsterdb.cpp,
	src/resources/itemdb.cpp, src/resources/equipmentdb.cpp: Added a macro
	for XML child node iterations to make the code more terse and easier
	to read.
	* src/resources/itemdb.cpp: Made the parameter checks more terse and
	manageable.

2007-04-19  Philipp Sehmisch  <tmw@crushnet.org>

	* src/resources/mapreader.cpp: Emitter positions are now read from map
	files.
	* src/engine.cpp: Removed the player follow effect used for testing.
	* data/maps/new_4-1.tmx.gz, data/maps/new_5-1.tmx.gz: Added flame
	effect to all lamps on the cave maps
	* data/maps/new_9-1.tmx.gz: Added waterfall effect to the upper right
	corner of NW woodland map.

2007-04-15  Bjørn Lindeijer  <bjorn@lindeijer.nl>

	* src/openglgraphics.cpp: Rely on default 0 value for z axis.
	* src/CMakeLists.txt, src/gui/window.cpp, src/gui/widgets,
	src/gui/widgets/resizegrip.cpp, src/gui/widgets/resizegrip.h,
	src/gui/inventorywindow.cpp, src/gui/window.h, src/Makefile.am:
	Reimplemented window resizing. It is now once again possible to resize
	windows using their borders (except for the top one, since that's the
	title bar for Guichan) and the resize grip in the bottom right is much
	easier to grab.
	* src/gui/window.cpp: Increased minimum window height and fixed a
	problem with setting window content size which was introduced with the
	new resize grip.

2007-04-13  Björn Steinbrink  <B.Steinbrink@gmx.de>

	* data/graphics/gui/CMakeLists.txt: Added target cursor graphics to
	the set of files to be installed.

2007-03-25  Philipp Sehmisch  <tmw@crushnet.org>

	* src/particle.cpp, src/particle.h, src/particleemitter.cpp,
	src/particleemitter.h: Improved programming style and documentation
	and added some small tweaks.
	* src/engine.cpp, src/map.cpp, src/map.h, src/resources/mapreader.cpp:
	Prepared getting the emitter positions from the map file by storing
	them in the Map class and setting them up from the MapReader.

2007-03-22  Philipp Sehmisch  <tmw@crushnet.org>

	* src/simpleanimation.cpp, src/simpleanimation.h: Added new
	constructor for simple animation that allows to build the animation
	based on an xmlNodePtr pointing to an <animation> node.
	* src/particle.cpp, src/particle.h: Added support for <image> and
	<animation> childtags for effect root particles.
	* data/graphics/particles/playerglow.particle.xml: New player follow
	effect that demonstrates an animated root particle with an emitter.

2007-04-05  Eugenio Favalli  <elvenprogrammer@gmail.com>

	* src/main.cpp:  Unified storage of configuration, updates and
	screenshots in home directory.

2007-04-03  Philipp Sehmisch  <tmw@crushnet.org>

	* data/graphics/items/generic-easteregg-blue.png,
	data/graphics/items/generic-easteregg-green.png,
	data/graphics/items/generic-easteregg-pink.png,
	data/graphics/items/generic-easteregg-red.png,
	data/graphics/items/generic-easteregg-teal.png,
	data/graphics/items/generic-easteregg-yellow.png,
	data/items.xml: Added six different easter egg item graphics for the
	easter event. Item IDs are 1208 - 1213.
	* data/graphics/sprites/npcs.png: Added bunny girl npc for the easter
	event.

2007-04-01  Philipp Sehmisch  <tmw@crushnet.org>

	* src/game.cpp: Screenshots are no longer saved directly in the users
	home directory on UNIX systems but in the sub folder /.tmw/. A chatlog
	message about the success of the screenshot saving does appear now.
	Based on a patch by Patrick "the-me" Matthäi.

2007-03-27  Bjørn Lindeijer  <bjorn@lindeijer.nl>

	* src/main.cpp: Icon loading doesn't necessarily succeed, so better
	not crash when it doesn't.

2007-03-24  Bjørn Lindeijer  <bjorn@lindeijer.nl>

	* src/main.cpp: Changed the order of network message handling and
	logic, in order to prevent an incoming character delete message from
	deleting the player character that was about to be drawn.
	* src/gui/char_select.cpp: Removed useless lock/unlock calls.
	* src/logindata.h, src/main.cpp, src/gui/login.cpp: Go back to login
	or register state on error, depending on what the user was doing.
	* src/gui/register.cpp: Actually use the server that is filled in.
	* src/net/loginhandler.cpp: Fixed error message.
	* src/net/charserverhandler.cpp: Fixed crash since now logic is called
	after non-selected characters are deleted, by properly setting deleted
	instances to 0 and going back to initial selection.
	* src/main.cpp, src/net/network.h, src/net/network.cpp: Make sure that
	when a network error occurs, the error message is available and shown
	to the user.
	* src/gui/register.h, src/gui/register.cpp: Only enable Register
	button when all necessary fields are filled in.

2007-03-23  Bjørn Lindeijer  <bjorn@lindeijer.nl>

	* src/gui/char_select.cpp, src/gui/char_select.h,
	src/net/charserverhandler.h, src/net/charserverhandler.cpp: Clarified
	the error message when character creation fails and made sure the
	character creation dialog doesn't close when creation failed.

2007-03-22  Bjørn Lindeijer  <bjorn@lindeijer.nl>

	* src/gui/login.cpp, src/gui/login.h, src/gui/register.h,
	src/gui/register.cpp: Only enable login button when a username,
	password and server are filled in. Pass username, password and server
	on to the register dialog. Go back to login dialog when canceling
	registration. Fixed a crash caused by deleting an OkDialog twice (it
	also deletes itself). Made the register dialog a bit wider. Register
	dialog no longer clears username field when it is invalid.
	* src/main.cpp, data/icons/CMakeLists.txt, data/icons/Makefile.am,
	data/icons/tmw-32x32.png: Use a 32x32 non-alpha layered window icon.
	* tmw.cbp: Updated project file.
	* data/icons/CMakeLists.txt, data/icons/Makefile.am, src/main.cpp,
	data/icons/tmw-32x32.png: Removed 32x32 non-alpha layered window icon
	again, and instead used the icon in the executable on Windows.

2007-03-21  Bjørn Lindeijer  <bjorn@lindeijer.nl>

	* src/main.cpp, src/gui/viewport.cpp, src/resources/image.h,
	src/resources/image.cpp: Reduced amount of useless logging, calculate
	nearest power of two in a function and only do the alpha check in
	software mode.
	* src/gui/login.cpp: Fixed small issue where default server didn't fit
	in the server entry field properly.
	* src/main.cpp: Display a progress bar and connecting status for each
	server and display the version using a gcn::Label.
	* src/gui/viewport.cpp, src/monster.h: Avoiding magic numbers where
	possible (1002) and also display the target when other players are
	targeted.
	* src/floor_item.cpp, src/being.cpp, src/main.cpp, src/CMakeLists.txt,
	src/gui/equipmentwindow.cpp, src/gui/viewport.cpp,
	src/gui/itemcontainer.cpp, src/gui/viewport.h, src/engine.cpp,
	src/animatedsprite.cpp, src/tileset.h, src/npc.cpp, src/Makefile.am,
	src/being.h, src/resources/imageset.cpp, src/resources/animation.h,
	src/resources/spritedef.cpp, src/resources/resourcemanager.h,
	src/resources/spriteset.h, src/resources/imageset.h,
	src/resources/resourcemanager.cpp, src/resources/spriteset.cpp,
	src/resources/spritedef.h: Renamed Spriteset to ImageSet.

2007-03-20  Philipp Sehmisch  <tmw@crushnet.org>

	* src/gui/updatewindow.cpp: Cancel button is now disabled after
	downloading is finished.

2007-03-20  David Athay  <ko2fan@gmail.com>

	* src/gui/viewport.cpp: Fixed target cursor animation, and changed
	which layer it is drawn after.
	* src/gui/viewport.cpp, src/gui/viewport.h: Split drawing the target
	cursor and target name into functions.

2007-03-20  Philipp Sehmisch  <tmw@crushnet.org>

	* data/graphics/gui/mouse.png: Positioned the cursor image more
	accurate.

2007-03-19  David Athay <ko2fan@gmail.com>

	* src/localplayer.cpp, src/gui/viewport.cpp, src/gui/viewport.h,
	src/net/equipmenthandler.cpp, src/localplayer.h,
	src/net/protocol.h: Added target cursor.

2007-03-18  Bjørn Lindeijer  <bjorn@lindeijer.nl>

	* docs/Makefile.am, docs/tmw.6: Added man page by Patrick Matthäi.
	* src/resources/image.cpp: Restored alpha layer check, since it should
	be more efficient in software mode when SDL knows an image doesn't use
	the alpha layer.
	* data/graphics/gui/thickborder.png,
	data/graphics/gui/vscroll_grey.png, data/graphics/gui/slider.png,
	data/graphics/gui/vscroll_blue.png, data/graphics/gui/vscroll_red.png,
	data/graphics/gui/deepbox.png,
	data/graphics/sprites/monster-slime-red.png,
	data/graphics/sprites/monster-scorpion-black.png,
	data/graphics/sprites/monster-scorpion.png,
	data/graphics/sprites/monster-slime-rudolph.png,
	data/graphics/sprites/monster-snake.png,
	data/graphics/sprites/monster-slime-santa.png,
	data/graphics/sprites/monster-maggot.png,
	data/graphics/sprites/monster-spider.png,
	data/graphics/sprites/monster-scorpion-red.png,
	data/graphics/sprites/monster-slime-yellow.png,
	data/graphics/sprites/monster-slime-green.png,
	data/graphics/sprites/monster-maggot-giant.png: Replaced pink pixels
	with transparent ones.

2007-03-18  Rogier Polak  <rogier.l.a.polak@gmail.com>

	* src/main.cpp: Added (-v) version to the arguments. (Applied a patch
	by Patrick Matthäi).
	* src/resources/image.cpp: Deleted the "pink code", which added
	transparancy with SDL_SetColorKey.

2007-03-18  Bjørn Lindeijer  <bjorn@lindeijer.nl>

	* icons/tmw.ico, icons/tmw.png, icons/tmw.xpm: Replaced icons with the
	green globe that is also used on the website.

2007-03-14  Bjørn Lindeijer  <bjorn@lindeijer.nl>

	* src/main.cpp, src/tmw.rc, data/icons/tmw-icon.png,
	data/icons/tmw-icon.xpm, data/icons/tmw.ico, data/icons/tmw-icon.ico,
	data/icons/Makefile.am, data/icons/tmw.png, data/icons/tmw.xpm,
	data/icons/CMakeLists.txt: Renamed icons to make things easier for
	Debian packaging, and the "-icon" part was superfluous anyway.

2007-03-12  Philipp Sehmisch  <tmw@crushnet.org>

	* src/simpleanimation.cpp, src/simpleanimation.h, src/CmakeLists.txt,
	src/Makefile.am: Added a simple animation class that hosts a looping
	animation without the action and direction stuff from AnimatedSprite.
	* src/particle.cpp, src/particle.h, src/particleemitter.cpp: Used said
	simple animation class for animated particles.

2007-03-12  Bjørn Lindeijer  <bjorn@lindeijer.nl>

	* data/graphics/items/armor-head-rangerhat.png: New version of ranger
	hat icon by Pauan.

2007-03-11  Philipp Sehmisch  <tmw@crushnet.org>

	* src/map.cpp, src/gui/viewport.cpp: Fixed a bug that made the engine
	not draw the last row and column of the map.

2007-03-09 Philipp Sehmisch  <tmw@crushnet.org>

	* src/particle.cpp: Reimplemented physics mode that uses the default
	square root function as fallback for systems where the fastInvSqrt
	function doesn't work properly.
	* src/particle.cpp, src/particle.h: Some performance optimizations
	suggested by Rogier "Avaniel" Polak.

2007-03-09  Bjørn Lindeijer  <bjorn@lindeijer.nl>

	* data/graphics/gui/target-cursor-blue.png,
	data/graphics/gui/target-cursor-red.png: Added targeting cursors by
	Pauan.
	* data/graphics/sprites/chest-cotton-male.png,
	data/graphics/sprites/chest-cotton-female.png: Replaced cotton shirt
	with improved version by Pauan.

2007-02-27  Philipp Sehmisch  <tmw@crushnet.org>

	* gui/button.cpp, src/guibutton.h,
	src/gui/tabbedcontainer.cpp, src/gui/tabbedcontainer.h:: Tabbed
	containers now display the button of the active tab pressed all
	the time.

2007-02-26  Bjørn Lindeijer  <bjorn@lindeijer.nl>

	* configure.ac: Made OpenGL enabled by default.

2007-02-26  Philipp Sehmisch  <tmw@crushnet.org>

	* data/sfx/maggot-dying1.ogg, data/sfx/maggot-hit1.ogg,
	data/sfx/maggot-hit2.ogg, data/sfx/maggot-miss1.ogg,
	data/sfx/pinkie-hit1.ogg, data/sfx/pinkie-miss1.ogg,
	data/monsters.xml: New sound effects by Cosmostrator.

2007-02-25 Philipp Sehmisch  <tmw@crushnet.org>

	* src/particle.h, src/particleemitter.h: Just some documentation work.

2007-02-22  Philipp Sehmisch  <tmw@crushnet.org>

	* src/particle.cpp, src/particle.h, src/particleemitter.cpp,
	src/particleemitter.h: Added new particle property "bounce" that makes
	particles bounce off the ground and use it with the damage numbers.


2007-02-21  Philipp Sehmisch  <tmw@crushnet.org>

	* src/gui/char-server.cpp, src/gui/updatewindow.cpp, src/gui/main.cpp,
	src/gui/main.h: Added a new state "LOADDATA_STATE" that loads the XML
	databases.
	* src/resourcemanager.cpp, src/resourcemanager.h, src/main.cpp,
	customdata/: Added a customdata dir that allows to add custom user
	data easily. Just create a zip file with the same structure like the
	update archives and drop it in the customdata folder and the files in
	it override the default data and the updates.

2007-02-15  Philipp Sehmisch  <tmw@crushnet.org>

	* src/engine.cpp: The name conflict problem with Guichan seems to be
	solved with version 0.6.1.
	* src/particle.cpp, src/particle.h, src/particleemitter.cpp,
	src/particleemitter.h: Added support for animated particles.
	* data/graphics/particles/playerglow.particle.xml: Created a new
	player follow particle that spawns a swarm of animated bats that
	follow the player.

2007-02-09  Philipp Sehmisch  <tmw@crushnet.org>

	* src/particle.cpp: Fixed a misspelled include and another
	optimisation at the vector calculation.

2007-02-08  Philipp Sehmisch  <tmw@crushnet.org>

	* src/particle.cpp, src/utils/fastsqrt.h: Added a faster function to
	calculate square roots and using it for hypotenuse calculations.
	Thanks to Rogier aka Avaniel for finding the function.

2007-02-07  Philipp Sehmisch  <tmw@crushnet.org>

	* src/particle.cpp, src/particle.h, src/particleemitter.cpp: Renamed
	Particle::MAX_PARTICLES to Particle::maxCount and read the value from
	config ("particleMaxCount")
	* src/particle.cpp: Added fast physics mode that replaces the
	trigonometric calculations made for calculating the acceleration by
	much less cpu intense but also less accurate formulas. To enable it
	set the config option "particleFastPhysics" to "1".
	* src/particle.cpp: Added the config option "particleEmitterSkip" that
	allows to reduces the output of the emitters by making them spawn
	particles only every n-th game tick.
	* src/graphics.cpp, src/graphics.h: Added a new method
	"drawImageTransparent" to the graphic engine that blits an image with
	an alpha factor.
	* src/particle.cpp: Using new drawImageTransparent method.

2007-02-01  Philipp Sehmisch  <tmw@crushnet.org>

	* src/particle.cpp, src/particle.h, src/particleemitter.cpp,
	src/particleemitter.h: Implemented die-distance (particles are deleted
	when they reached a certain proximity to their target)
	* src/particle.cpp: Fixed a bug in the acceleration vector calculation.
	* src/particle.cpp, src/particle.h: Fixed a problem with particles with
	unlimited lifetime and fade-in.
	* data/graphics/particles/playerglow.particle.xml: And again a new
	player follow particle. This time it demonstrates die-distance and the
	fixed acceleration vector calculation.
	* src/engine.cpp, data/graphics/particles/snow.particle.xml,
	data/graphics/particles/snowflake.png: I can't stand the begging
	anymore. Now it snows in the snow area... and the forest... and the
	desert... and under the earth... and indoors... Are you happy now,
	Rotonen and Elven? ;-)
	* src/particle.cpp: Removed some debug log messages.
	* src/being.cpp: Avoided crash when attempting to control an invalid
	particle.
	* src/particle.cpp, src/particle.h, src/particleemitter.cpp,
	src/particleemitter.h: Cleaned the includes up.

2007-01-31  Philipp Sehmisch  <tmw@crushnet.org>

	* src/particle.cpp, src/particle.h, src/particleemitter.cpp,
	src/particleemitter.h: Changed some variable names.
	* data/graphics/particles/waterfall.particle.xml,
	data/graphics/particles/waterfall-a.png: New waterfall with Modanungs
	waterfall particle.
	* src/particle.cpp: forgot to remove a svn conflict marker and changed
	the order of initialisations to fix some compiler warnings.

2007-01-30  Eugenio Favalli  <elvenprogrammer@gmail.com>

	* tmw.cbp: Updated Code::blocks project file.

2007-01-30  Philipp Sehmisch  <tmw@crushnet.org>

	* src/net/beinghandler.cpp,
	data/graphics/particles/skillup.particle.xml: Added different particle
	effect for job levelup.
	* src/particle.cpp, src/particle.h, src/particleemitter.cpp,
	src/particleemitter.h: Renamed "alphafade" to "fade-out", added new
	property "fade-in".
	* data/graphics/particles/playerglow.particle.xml: Added a new player
	effect (a fire) demonstrating how to use fade-in and fade-out to fade
	one color into another.

2007-01-29  Philipp Sehmisch  <tmw@crushnet.org>

	* src/particle.cpp, src/particle.h, src/particleemitter.cpp,
	src/particleemitter.h: Added a new particle property "alphafade" that
	makes the particles fade into alpha before their lifetime ends.
	* src/particle.cpp, src/particle.h: fixed an issue with particles that
	have a lifetime of 0 and an issue with the momentum property.
	* data/graphics/particles/waterfall.particle.xml,
	data/graphics/particles/fog-medium-white-a.png,
	data/graphics/particles/fog-medium-white-b.png,
	data/graphics/particles/fog-medium-white-c.png: Added fog to the
	waterfall effect demonstrating the new alphafade feature.

2007-01-28  Philipp Sehmisch  <tmw@crushnet.org>

	* src/utils/xml.cpp, src/utils/xml.h, src/particleemitter.cpp: Most
	values are now read as floating point values from the emitter files.
	* data/graphics/particles/fountain.particle.xml,
	data/graphics/particles/hit.particle.xml,
	data/graphics/particles/playerglow.particle.xml: Changed some values
	as floating point values. Made the player follow effect magenta to
	improve the visibility of the hit effects.
	* src/engine.cpp, data/graphics/particles/waterfall.particle.xml:
	Removed the fountain and added a waterfall instead.
	* src/particle.h: Corrected the drawing order of the particles in
	relation to the other sprites.
	* src/gui/debugwindow.cpp, src/gui/debugwindow.h: Added particle count
	to debug window.
	* src/particle.cpp: Allowed momentum without acceleration and
	implement the acceleration properly.
	* src/utils/minmax.h, src/particleemitter.cpp, src/particleemitter.h:
	Added a structure to hold a pair of numeric minimum and maximum values
	and used it to store all numeric emitter properties.
	* src/utils/randbetween.h: Removed (the functionality is now in struct
	MinMax)

2007-01-27  Bjørn Lindeijer  <bjorn@lindeijer.nl>

	* src/gui/shoplistbox.cpp: Fixed compilation against Guichan 0.6.1.
	* src/utils/randbetween.h: Fixed integer overflow causing the
	randBetween function not to work properly on Linux.

2007-01-27  Philipp Sehmisch  <tmw@crushnet.org>

	* src/net/beinghandler.cpp: Fixed a compiler issue.

2007-01-27  Philipp Sehmisch  <tmw@crushnet.org>
	* src/particle.cpp, src/particle.h, src/particleemitter.cpp,
	src/particleemitter.h, src/engine.cpp: Emitter data is read from
	external xml files. Reimplemented target-based particles with the
	difference that they don't target beings or locations but other
	particles (at the moment the host particle of the effect).
	* src/being.cpp: Beings now move controlled particles to their center
	instead of their upper left corner.
	* data/graphics/particles/orb*: Added a bunch of new particles.
	* data/graphics/particles/fountain.particle.xml: Reimplementation of
	the fountain effect in XML.
	* data/graphics/particles/playerglow.particle.xml: New effect that
	spawns orbs that orbit around the origin.
	* src/being.cpp, data/graphics/particles/hit.particle.xml: Added
	particle effect on hit.
	* src/net/beinghandler.cpp,
	data/graphics/particles/levelup.particle.xml: Added particle effect on
	levelup (own or other player).

2007-01-24  Philipp Sehmisch  <tmw@crushnet.org>

	* src/particle.cpp: Initialized all variables of the particles in the
	constructor.
	* src/particleemitter.cpp, src/particleemitter.h: minor cleanups.

2007-01-22  Philipp Sehmisch  <tmw@crushnet.org>

	* src/being.cpp, src/being.h, src/particle.cpp, src/particle.h
	src/particleemitter.cpp, src/particleemitter.h, src/engine.cpp:
	Particle effects are now created in child particles of the root
	particle. Particle emitters have no longer a being they check every
	frame. Instead beings have the ability to take control of particles.

2007-01-19  Philipp Sehmisch  <tmw@crushnet.org>

	* src/particle.cpp, src/particle.h, src/particleemitter.cpp,
	src/particleemitter.h: Implemented emitters that follow a being.
	* src/engine.cpp: Added an emitter that follows the local player.
	* src/particle.cpp: Fixed the crash on exit (reason was that the
	mSpriteIterator wasn't initialized in every case)

2007-01-18  Bjørn Lindeijer  <bjorn@lindeijer.nl>

	* src/particle.h, src/particle.cpp, src/CMakeLists.txt,
	src/Makefile.am: Fixed compilation issues on Linux.

2007-01-15  Philipp Sehmisch  <tmw@crushnet.org>

	* src/game.cpp, src/particle.cpp, src/particle.h,
	src/particleemitter.h: Made the particle count global and more
	performant.

2007-01-14  Bjørn Lindeijer  <bjorn@lindeijer.nl>

	* src/game.cpp, src/main.cpp, src/gui/trade.cpp, src/gui/sell.cpp,
	src/gui/connection.cpp, src/gui/buddywindow.cpp, src/gui/browserbox.h,
	src/gui/char_server.cpp, src/gui/window.cpp, src/gui/login.cpp,
	src/gui/inttextbox.h, src/gui/viewport.cpp, src/gui/button.h,
	src/gui/shoplistbox.h, src/gui/skill.h, src/gui/item_amount.h,
	src/gui/setup_audio.h, src/gui/newskill.cpp, src/gui/listbox.h,
	src/gui/register.h, src/gui/setup.cpp, src/gui/npclistdialog.h,
	src/gui/updatewindow.cpp, src/gui/button.cpp, src/gui/char_select.cpp,
	src/gui/login.h, src/gui/setup_audio.cpp, src/gui/item_amount.cpp,
	src/gui/setup_joystick.h, src/gui/chat.h, src/gui/npc_text.cpp,
	src/gui/setup_video.cpp, src/gui/ok_dialog.cpp,
	src/gui/inventorywindow.h, src/gui/gccontainer.cpp,
	src/gui/newskill.h, src/gui/buy.h, src/gui/setup.h,
	src/gui/itemcontainer.h, src/gui/confirm_dialog.cpp,
	src/gui/debugwindow.cpp, src/gui/chat.cpp, src/gui/setup_joystick.cpp,
	src/gui/updatewindow.h, src/gui/char_select.h, src/gui/buysell.h,
	src/gui/tabbedcontainer.cpp, src/gui/inventorywindow.cpp,
	src/gui/help.cpp, src/gui/status.h, src/gui/npc_text.h,
	src/gui/setup_video.h, src/gui/menuwindow.cpp, src/gui/browserbox.cpp,
	src/gui/ok_dialog.h, src/gui/buy.cpp, src/gui/itemcontainer.cpp,
	src/gui/gccontainer.h, src/gui/buddywindow.h, src/gui/sell.h,
	src/gui/trade.h, src/gui/inttextbox.cpp, src/gui/char_server.h,
	src/gui/window.h, src/gui/shoplistbox.cpp, src/gui/skill.cpp,
	src/gui/buysell.cpp, src/gui/confirm_dialog.h, src/gui/debugwindow.h,
	src/gui/status.cpp, src/gui/listbox.cpp, src/gui/register.cpp,
	src/gui/viewport.h, src/gui/tabbedcontainer.h,
	src/gui/npclistdialog.cpp, src/gui/help.h, src/gui/chatinput.h,
	src/gui/chatinput.cpp, src/net/tradehandler.cpp,
	src/net/playerhandler.cpp: Upgraded to Guichan 0.6.0 (merge from
	guichan-0.6.0 branch).
	* src/winver.h, configure.ac, data/help/header.txt, NEWS, README,
	CMakeLists.txt: Updated version to 0.0.22.1.

2007-01-14  Philipp Sehmisch  <tmw@crushnet.org>

	* src/particle.cpp, src/particle.h; src/particleemitter.cpp,
	src/particleemitter.h, src/utils/randbetween.h:
	Implemented particle engine.
	* src/engine.cpp, src/game.cpp: added calls to the particle engine
	* data/graphics/particles/*: added a bunch of particle graphics for
	testing purpose.
	* particleengine-todo.txt: Added particle engine todo list (please
	omit when merging)

2007-01-13  Bjørn Lindeijer  <bjorn@lindeijer.nl>

	* data/graphics/sprites/Makefile.am,
	data/graphics/sprites/CMakeLists.txt: Updated with regard to renaming
	of cotton equipment.

2006-01-13  Eugenio Favalli  <elvenprogrammer@gmail.com>

	* src/gui/debugwindow.cpp, src/gui/viewport.h: Fixed mouse coordinates
	display in debug window.

2007-01-12  Bjørn Lindeijer  <bjorn@lindeijer.nl>

	* src/gui/viewport.cpp: Fixed initialization of mPlayerFollowMouse,
	the lack of which sometimes caused the player to start walking when
	clicking on the GUI.

2007-01-09  Philipp Sehmisch  <tmw@crushnet.org>

	* data/graphics/icecave.png: Added new tiles and fixes by Nickman and
	made some other cosmetical corrections.

2007-01-07  Bjørn Lindeijer  <bjorn@lindeijer.nl>

	* data/graphics/sprites/monster-mountsnake.xml,
	data/graphics/sprites/monster-mountsnake.png, data/monsters.xml: Added
	brown snake by Pauan.

2007-01-07  Philipp Sehmisch  <tmw@crushnet.org>

	* data/graphics/chest-cottonshirt-male.png,
	data/graphics/chest-cottonshirt-male.xml,
	data/graphics/chest-cottonshirt-female.png,
	data/graphics/chest-cottonshirt-female.xml,
	data/graphics/item001.png, data/equipment.xml: Added female
	cottonshirt sprites.
	* data/equipment.xml: Fixed some wrong armor values.

2007-01-05  Björn Steinbrink  <B.Steinbrink@gmx.de>

	* src/CMakeLists.txt, data/graphics/images/ambient/Makefile.am,
	data/graphics/sprites/CMakeLists.txt: Synchronized build files.

2006-12-12  Eugenio Favalli  <elvenprogrammer@gmail.com>

	* tools/Purger.java: Removed purger tool.

2006-12-25  Bjørn Lindeijer  <bjorn@lindeijer.nl>

	* data/graphics/tiles/christmastree.png, data/maps/new_11-1.tmx.gz:
	Added Christmas tree by Pauan.
	* data/graphics/sprites/head-christmastree.xml: Fixed name of image.
	* src/resources/spriteset.cpp: Fixed index check to prevent crashing.
	* data/graphics/sprites/head-christmastreehat.png,
	data/graphics/sprites/head-rangerhat.png,
	data/graphics/sprites/head-christmastree.xml,
	data/graphics/sprites/head-antlerhat.xml,
	data/graphics/sprites/head-santabeardhat.xml,
	data/graphics/sprites/head-santabeardhat.png,
	data/graphics/sprites/head-rangerhat.xml: Updates to Pauan's recent
	sprites by Pauan.
	* data/items.xml: Fixes to descriptions and weights by Pauan.

2006-12-24  Bjørn Lindeijer  <bjorn@lindeijer.nl>

	* src/gui/shoplistbox.cpp: Don't try to draw an icon when it is not
	defined or failed to load properly.
	* src/resources/image.cpp: Major rendering performance increase in
	software mode, by not using RLE compression on loaded images while
	most of the time, we're only drawing a small subimage of them.
	* README, data/help/header.txt, NEWS: Filled in release dates.

2006-12-23  Bjørn Lindeijer  <bjorn@lindeijer.nl>

	* configure.ac, data/graphics/items/Makefile.am,
	data/graphics/items/CMakeLists.txt, data/graphics/images/Makefile.am,
	data/graphics/images/CMakeLists.txt,
	data/graphics/sprites/Makefile.am,
	data/graphics/sprites/CMakeLists.txt, data/graphics/Makefile.am,
	data/graphics/CMakeLists.txt, data/maps/Makefile.am,
	data/maps/CMakeLists.txt, data/sfx/Makefile.am,
	data/sfx/CMakeLists.txt, data/Makefile.am, data/CMakeLists.txt:
	Removed database files, minimaps, items, monster sprites, maps and
	sounds from the release. They will be released dynamically only.
	* data/graphics/tiles/snow_x3.png: Added bottom of Christmas tree by
	pauan.
	* src/main.cpp, src/resources/itemdb.h, src/resources/monsterdb.cpp,
	src/resources/itemdb.cpp, src/resources/equipmentdb.cpp: Load the
	databases at the start of the LOGIN state, after the updates are
	loaded.

2006-12-22  Bjørn Lindeijer  <bjorn@lindeijer.nl>

	* data/graphics/items/armor-head-rangerhat.png,
	data/graphics/items/generic-redstocking.png,
	data/graphics/items/armor-head-christmastree.png,
	data/graphics/items/armor-head-antlerhat.png,
	data/graphics/items/armor-head-santabeardhat.png,
	data/graphics/sprites/head-christmastreehat.png,
	data/graphics/sprites/head-rangerhat.png,
	data/graphics/sprites/head-christmastree.xml,
	data/graphics/sprites/head-antlerhat.xml,
	data/graphics/sprites/head-santabeardhat.xml,
	data/graphics/sprites/head-antlerhat.png,
	data/graphics/sprites/head-santabeardhat.png,
	data/graphics/sprites/head-rangerhat.xml, data/items.xml,
	data/equipment.xml, data/monsters.xml: Added new Christmas themed
	headwear by Pauan.
	* data/graphics/items/Makefile.am, data/graphics/items/CMakeLists.txt,
	data/graphics/sprites/Makefile.am,
	data/graphics/sprites/CMakeLists.txt, data/Makefile.am,
	data/CMakeLists.txt: Updated Makefiles.

2006-12-21  Bjørn Lindeijer  <bjorn@lindeijer.nl>

	* configure.ac, CMakeLists.txt, README, data/help/header.txt: Updated
	version to 0.0.22.

2006-12-18  Philipp Sehmisch  <tmw@crushnet.org>

	* data/graphics/items/armor-chest-vnecksweater.png: New version of
	the inventory icon for the V-neck sweater by Saphy.

2006-12-17  Bjørn Lindeijer  <bjorn@lindeijer.nl>

	* src/gui/sell.cpp, src/gui/shoplistbox.h, src/gui/listbox.h,
	src/gui/shop.cpp, src/gui/buy.cpp, src/gui/shoplistbox.cpp,
	src/gui/listbox.cpp: Subclassed ShopListBox from ListBox to get rid of
	some duplicated code, and fixed a problem with scrolling to the
	current selection. Also aligned the text a bit better and put the
	price in parenthesis.

2006-12-16  Bjørn Lindeijer  <bjorn@lindeijer.nl>

	* src/gui/connection.cpp, src/gui/chargedialog.cpp: Fixed dialog
	visibility.
	* src/localplayer.cpp, src/game.cpp, src/localplayer.h: Fixed issues
	with walking one tile too many and changing direction towards an
	obstacle.

2006-12-15  Philipp Sehmisch  <tmw@crushnet.org>

	* data/graphics/tiles/desert1.png: Removed some unused legacy tiles and
	added variant tiles for the cliffs.

2006-12-14  Bjørn Lindeijer  <bjorn@lindeijer.nl>

	* src/game.cpp, src/engine.h, src/engine.cpp: Removed the rather
	useless remaining draw function from the engine class.
	* src/being.cpp, src/being.h: Fixed an issue with fading out damage
	texts (they were sometimes fully opaque at the end of fading out).

2006-12-12  Eugenio Favalli  <elvenprogrammer@gmail.com>

	* The Mana World.dev, tmw.cbp: Updated project files.
	* src/gui/updatewindow.cpp, src/gui/updatewindow.h, src/main.cpp:
	Added Adler32 checksum for updates.
	* src/net/playerhandler.cpp: Fixed crash when selecting an item after
	death.
	* data/items.xml: Fixed defense values for sweaters.
	* src/net/playerhandler.cpp: Hide all NPC dialogs after death.

2006-12-12  Bjørn Lindeijer  <bjorn@lindeijer.nl>

	* src/animatedsprite.h, src/CMakeLists.txt, src/animatedsprite.cpp,
	src/resources/action.h, src/resources/animation.h,
	src/resources/spritedef.cpp, src/resources/action.cpp,
	src/resources/animation.cpp, src/resources/spritedef.h: Moved
	Action, Animation and Frame (renamed from AnimationPhase) classes into
	the resources directory, since they are part of the SpriteDef class.
	* src/CMakeLists.txt, src/utils/base64.cpp, src/utils/base64.h,
	src/Makefile.am, src/resources/mapreader.cpp: Moved base64 module into
	utils directory.
	* src/engine.cpp, src/npc.cpp: Cleaned up some unused stuff.

2006-12-12  Philipp Sehmisch  <tmw@crushnet.org>

	* data/sfx/bat-dying1.ogg, data/sfx/bat-hit1.ogg,
	data/sfx/bow_shoot_1.ogg, data/sfx/fire-goblin-hit1.ogg
	data/sfx/fire-goblin-hit2.ogg, data/sfx/fire-goblin-miss1.ogg,
	data/sfx/fist-swish.ogg, data/sfx/flower-hit1.ogg,
	data/sfx/flower-hit2.ogg, data/sfx/flower-miss1.ogg,
	data/sfx/fluffy-hit1.ogg, data/sfx/fluffy-hit2.ogg,
	data/sfx/fluffy-hit3.ogg, data/sfx/fluffy-hurt1.ogg,
	data/sfx/fluffy-miss1.ogg, data/sfx/knife-hit1.ogg,
	data/sfx/knife-miss1.ogg, data/sfx/levelup.ogg
	data/sfx/scorpion-hit1.ogg, data/sfx/scorpion-hit2.ogg
	data/sfx/scorpion-hit3.ogg, data/sfx/scorpion-hit4.ogg
	data/sfx/scorpion-miss1.ogg, data/sfx/short-sword-hit1.ogg
	data/sfx/short-sword-miss1.ogg, data/sfx/shroom-hit1.ogg
	data/sfx/slime-hit1.ogg:
	Normalized versions of sound effects by Cosmostrator.

2006-12-11  Bjørn Lindeijer  <bjorn@lindeijer.nl>

	* src/gui/updatewindow.cpp: Fixed visibility of the update window.

2006-12-11  Philipp Sehmisch  <tmw@crushnet.org>

	* data/equipment.xml, data/items.xml,
	data/graphics/sprites/chest-tnecksweater-male.png,
	data/graphics/sprites/chest-tnecksweater-female.png,
	data/graphics/sprites/chest-vnecksweater-male.png,
	data/graphics/sprites/chest-vnecksweater-female.png,
	data/graphics/sprites/chest-tnecksweater-male.xml,
	data/graphics/sprites/chest-tnecksweater-female.xml,
	data/graphics/sprites/chest-vnecksweater-male.xml,
	data/graphics/sprites/chest-vnecksweater-female.xml,
	data/graphics/sprites/Makefile.AM,
	data/graphics/sprites/CMakeLists.txt,
	data/graphics/items/armor-chest-vnecksweater.png,
	data/graphics/items/armor-chest-tnecksweater.png,
	data/graphics/items/armor-chest-woolsweater.png,
	data/graphics/items/Makefile.AM, data/graphics/items/CMakeLists.txt:
	Added new sweaters by Saphy. Info for server admins: Item IDs are 564
	for turtleneck (should already be in there) and 624 for v-neck. The
	visible sprite IDs are 19 for turtleneck and 20 for v-neck.

2006-12-11  Eugenio Favalli  <elvenprogrammer@gmail.com>

	* src/main.h, src/tmw.rc, src/winver.h, The Mana World.dev, tmw.cbp:
	Fixed windows binary version.

2006-12-10  Eugenio Favalli  <elvenprogrammer@gmail.com>

	* docs/INSTALL/win32.txt: Added more detailed instructions for Dev-C++
	users.

2006-12-09  Eugenio Favalli  <elvenprogrammer@gmail.com>

	* data/graphics/sprites/npcs.png: Added pirate NPC.

2006-12-09  Bjørn Lindeijer  <bjorn@lindeijer.nl>

	* src/sprite.h, src/gui/playerbox.h, src/gui/char_select.cpp,
	src/gui/playerbox.cpp, src/gui/passwordfield.h, src/gui/char_select.h,
	src/main.cpp, src/being.cpp, src/player.h, src/floor_item.h,
	src/being.h: Use new animation system in character selection/creation.
	Shows equipment and allowed for some cleanup. Had a bit of help from
	the patch by VictorSan.

2006-12-08  Bjørn Lindeijer  <bjorn@lindeijer.nl>

	* src/base64.cpp, src/base64.h, src/resources/mapreader.cpp:
	Downgraded to base64 codec from PHP 3 to resolve licensing issues.

2006-12-06  Eugenio Favalli  <elvenprogrammer@gmail.com>

	* The Mana World.dev, tmw.cbp: Updated project files.

2006-12-06  Philipp Sehmisch  <tmw@crushnet.org>

	* src/net/beinghandler.cpp: Fixed crashs when changing equipment.
	* data/graphics/tiles/desert1.png, data/graphics/tiles/desert2.png:
	More tiling related fixes at the cliffs.

2006-12-06  Bjørn Lindeijer  <bjorn@lindeijer.nl>

	* src/gui/item_amount.cpp: Fixed visibility of item amount window.

2006-12-05  Philipp Sehmisch  <tmw@crushnet.org>

	* data/graphics/tiles/desert1.png: Improved the tiling behavior
	of the cliffs (still not gridless but at least the edges fit
	together in the most common situations)

2006-12-04  Bjørn Lindeijer  <bjorn@lindeijer.nl>

	* src/game.cpp, src/engine.h, src/gui/windowcontainer.h,
	src/gui/viewport.cpp, src/gui/gui.cpp, src/gui/gui.h,
	src/gui/debugwindow.cpp, src/gui/inventorywindow.cpp,
	src/gui/viewport.h, src/engine.cpp, src/CMakeLists.txt,
	src/Makefile.am: Introduced a new class Viewport which combines the
	drawing code from Engine with the (rather misplaced) input handling
	from the Gui class. Also, it's a Container itself which should allow
	for extending it to show Guichan widgets on map coordinates.

2006-12-03  Bjørn Lindeijer  <bjorn@lindeijer.nl>

	* src/sound.cpp, src/monster.cpp, src/sound.h,
	src/resources/soundeffect.cpp, src/resources/resourcemanager.cpp:
	Don't try to play empty strings as sounds, and don't return a
	SoundEffect instance when Mix_Chunk loading failed.
	* src/beingmanager.cpp, src/npc.cpp, src/npc.h: Show NPC names.
	* src/game.cpp, src/gui/char_server.cpp, src/gui/window.cpp,
	src/gui/login.cpp, src/gui/char_select.cpp, src/gui/ok_dialog.cpp,
	src/gui/confirm_dialog.cpp, src/gui/ok_dialog.h, src/gui/window.h,
	src/gui/confirm_dialog.h, src/gui/register.cpp: Windows now default
	to invisible, since this seems the most common case.

2006-12-02  Philipp Sehmisch  <tmw@crushnet.org>

	* data/graphics/sprites/chest-leather-female.png: A little correction
	at the female leather shirt by mangamaniac.

2006-12-01  Philipp Sehmisch  <tmw@crushnet.org>

	* src/net/beinghandler.cpp, src/being.h, src/being.cpp, src/monster.h,
	src/gui/gui.cpp: Visible equipment slot numbers are now converted by
	the beinghandler from eAthena to our system. No more distinction
	between monster attacking and player attacking between beinghandler
	and the being classes.
	* src/being.cpp, src/monster.cpp, src/being.h, src/monster.h: Moved
	the monster specific action handling into the monster class.
	* monster.cpp, mosterinfo.cpp, monsterinfo.h: Monsters now make sounds
	when they attack, gett hurt or die.
	* src/being.cpp: Delayed the damage numbers a bit to synchronize them
	better with the hurt sounds.
	* data/monsters.xml, data/sfx//bat-dying1.ogg, data/sfx/bat-hit1.ogg,
	data/sfx/bow_shoot_1.ogg, data/sfx/fire-goblin-hit1.ogg,
	data/sfx/fire-goblin-hit2.ogg, data/sfx/fire-goblin-miss1.ogg,
	data/sfx/fist-swish.ogg, data/sfx/flower-hit1.ogg,
	data/sfx/flower-hit2.ogg, data/sfx/flower-miss1.ogg,
	data/sfx/fluffy-hit1.ogg, data/sfx/fluffy-hit2.ogg,
	data/sfx/fluffy-hit3.ogg, data/sfx/fluffy-hurt1.ogg,
	data/sfx/fluffy-miss1.ogg, data/sfx/knife-hit1.ogg,
	data/sfx/knife-miss1.ogg, data/sfx/levelup.ogg,
	data/sfx/scorpion-hit1.ogg, data/sfx/scorpion-hit2.ogg,
	data/sfx/scorpion-hit3.ogg, data/sfx/scorpion-hit4.ogg,
	data/sfx/scorpion-miss1.ogg, data/sfx/short-sword-hit1.ogg,
	data/sfx/short-sword-miss1.ogg, data/sfx/shroom-hit1.ogg,
	data/sfx/slime-hit1.ogg, data/sfx/Makefile.AM,
	data/sfx/CMakeLists.txt: Added a lot of sound effects by Cosmostrator.

2006-11-30  Bjørn Lindeijer  <bjorn@lindeijer.nl>

	* data/maps/Makefile.am: Fixed small trailing slash issue.
	* src/player.cpp: Optimized setSex and setWeapon by first loading the
	new sprite and then deleting the old one (prevents potentially
	unnecessary reload).
	* src/net/beinghandler.cpp: Optimized handling of player walk
	messages, by first setting the gender right and then setting the
	equipment. Gets rid of reload of complete equipment in the case of
	female.

2006-11-30  Eugenio Favalli  <elvenprogrammer@gmail.com>

	* The Mana World.dev, tmw.cbp: Updated project files.

2006-11-29  Bjørn Lindeijer  <bjorn@lindeijer.nl>

	* src/monster.cpp: Small fix to resource path.

2006-11-29  Philipp Sehmisch  <tmw@crushnet.org>

	* src/resources/equipment.h: Made getSprite return a constant
	reference.
	* src/resources/monsterdb.cpp, src/resources/monsterdb.h,
	src/resources/monsterinfo.cpp, src/resources/monsterinfo.h,
	src/Makefile.AM, src/CMakeLists.txt, src/main.cpp:
	Added the MonsterDB namespace that reads the monsters.xml
	and maps monster IDs to names, sprite definitions and sound effects.
	* src/monster.cpp: Get sprite definition filenames from MonsterDB.
	* src/engine.cpp: Show monster name when targeting a monster.
	* data/monsters.xml, data/graphics/sprites/Makefile.AM,
	data/graphics/sprites/CMakeLists.txt, data/graphics/sprites/monster*:
	Renamed all monster sprites to more associative names (whew, we got to
	train some monkeys for tasks like that).

2006-11-27  Bjørn Lindeijer  <bjorn@lindeijer.nl>

	* tmw.cbp: Updated Code::Blocks project file.

2006-11-27  Philipp Sehmisch  <tmw@crushnet.org>

	* src/log.cpp, src/util/wingettimeofday.h: Added implementation of
	gettimeofday() for windows machines.

2006-11-26  Bjørn Lindeijer  <bjorn@lindeijer.nl>

	* src/log.cpp: Higher precision log timestamps.
	* src/graphics.cpp, src/gui/gui.cpp, src/openglgraphics.cpp,
	src/main.cpp, src/resources/equipmentdb.cpp,
	src/resources/resourcemanager.cpp: Added some additional log
	statements.
	* src/resources/itemdb.cpp: Removed usage of READ_PROP in favour of
	XML::getProperty and updated log statements.
	* src/resources/image.cpp: Added support for loading TGA images.

2006-11-26  Björn Steinbrink  <B.Steinbrink@gmx.de>

	* src/resources/resourcemanager.cpp: Remove unnecessary check for
	file existance, loading will just fail with the correct error message.

2006-11-26  Bjørn Lindeijer  <bjorn@lindeijer.nl>

	* src/game.cpp, src/being.cpp, src/net/beinghandler.cpp, src/being.h:
	Made Being::mDirection protected, forcing the use of setDirection.
	* src/npc.cpp, src/player.cpp, src/animatedsprite.h, src/monster.cpp,
	src/resources/resourcemanager.h: Defaulted variant argument to 0 since
	this is the most common situation.
	* src/resources/spritedef.cpp, src/resources/spritedef.h: Some
	refactoring, splitting up the loading into several methods, in
	preparation of adding support for including other sprites.
	* src/main.cpp: ItemDB needs to be unloaded before deleting the
	resource manager instance, since ItemInfo refers to an Image.

2006-11-26  Philipp Sehmisch  <tmw@crushnet.org>

	* src/being.cpp, src/being.h, src/engine.cpp, src/main.cpp,
	src/player.cpp, src/player.h, src/resources/equipmentdb.h,
	src/resources/equipmentdb.cpp, src/resources/equipmentinfo.h,
	src/resources/itemdb.cpp, src/resources/itemdb.h,
	data/graphics/images/error.png, data/graphics/sprites/error.xml:
	Added the EquipmentDB namespace that reads the equipment.xml, maps
	equipment IDs to sprite definition files and thus allows gender
	specific equipment sprites.
	* data/graphics/sprites/chest-leather-female.png,
	data/graphics/sprites/chest-leather-male.png,
	data/graphics/sprites/chest-leather-female.xml,
	data/graphics/sprites/chest-leather-male.xml,
	data/equipment.xml: Added and defined male and female leather shirt as
	proof of concept of the gender specific equipment.
	* data/graphics/images/Makefile.am, data/graphics/sprites/Makefile.am,
	data/Makefile.am, src/Makefile.am,
	data/graphics/images/CMakeLists.txt,
	data/graphics/sprites/CMakeLists.txt, data/CMakeLists.txt,
	src/CMakeLists.txt: Updated Makefiles and CMake Lists.

2006-11-24  Philipp Sehmisch  <tmw@crushnet.org>

	* src/engine.cpp, src/floor_item.cpp, src/item.h, src/main.cpp,
	src/gui/buy.cpp, src/gui/popupmenu.cpp, src/gui/sell.cpp,
	src/gui/shop.cpp, src/net/inventoryhandler.cpp,
	src/resources/itemdb.cpp, src/resources/itemdb.h,
	src/resources/iteminfo.h, src/resources/itemmanager.cpp,
	src/resources/itemmanager.h: Refactored the Itemmanager class to an
	ItemDB namespace.

2006-11-23  Eugenio Favalli  <elvenprogrammer@gmail.com>

	* The Mana World.dev, tmw.cbp: Updated project files.

2006-11-19  Bjørn Lindeijer  <bjorn@lindeijer.nl>

	* src/gui/setup_joystick.cpp: Fixed joystick option to show enabled
	when the joystick is enabled.
	*  src/localplayer.cpp, src/game.cpp, src/action.h, src/action.cpp,
	src/player.cpp, src/animatedsprite.h, src/being.cpp, src/animation.h,
	src/monster.cpp, src/CMakeLists.txt, src/player.h,
	src/animatedsprite.cpp, src/localplayer.h, src/animation.cpp,
	src/Makefile.am, src/being.h, src/resources/resourcemanager.cpp,
	src/resources/spritedef.cpp, src/resources/resourcemanager.h,
	src/resources/spriteset.h, src/resources/spritedef.cpp: Separated
	sprite definition from playback.

2006-11-17  Björn Steinbrink  <B.Steinbrink@gmx.de>

	* data/graphics/sprites/CMakeLists.txt: Fixed some filenames.

2006-11-17  Wai Ling Tsang  <simotsa@gmail.com>

	* src/gui/gui.cpp: Added mouse following ability/feature under
	logic().
	* src/gui/gui.h: Added mouseMotion(), mouseRelease() and private
	variables for mouse following.

2006-11-15  Philipp Sehmisch  <tmw@crushnet.org>

	* data/graphics/tiles/Woodland_village.png,
	data/graphics/tiles/Woodland_village_x2.png,
	data/graphics/tiles/Woodland_x2.png,
	data/graphics/tiles/Makefile.AM,
	data/graphics/tiles/CMakeList.txt,
	data/maps/new_9-1.tmx.gz, data/maps/new_14-1.tmx.gz,
	data/maps/new_15-1.tmx.gz, data/maps/new_16-1.tmx.gz,
	data/maps/new_17-1.tmx.gz, data/maps/new_18-1.tmx.gz,
	data/maps/new_19-1.tmx.gz, data/maps/CMakeList.txt,
	data/maps/Makefile.AM:
	Added woodland village outdoor tileset and maps. Modified gates on
	the nearby maps.

2006-11-15  Bjørn Lindeijer  <bjorn@lindeijer.nl>

	* src/animatedsprite.h, src/CMakeLists.txt, src/animatedsprite.cpp,
	src/utils/xml.cpp, src/utils/xml.h, src/Makefile.am,
	src/resources/mapreader.cpp: Separated getProperty method to an XML
	utility namespace.

2006-11-15  Eugenio Favalli  <elvenprogrammer@gmail.com>

	* The Mana World.dev, tmw.cbp: Updated project files.
	* The Mana World.dev, tmw.cbp: Fixed dynamic linking of libcurl.

2006-11-14  Bjørn Lindeijer  <bjorn@lindeijer.nl>

	* src/action.h, src/action.cpp, src/animation.h, src/CMakeLists.txt,
	src/animatedsprite.cpp, src/animation.cpp, src/Makefile.am: Separated
	Action class to its own module.
	* src/action.h, src/action.cpp, src/animatedsprite.h, src/animation.h,
	src/animatedsprite.cpp, src/animation.cpp: Resolve Image* of animation
	phase at load time instead of storing just the spriteset index and
	looking it up later (checking validity should still be added). Also
	calculate animation length during loading instead of summing it up
	each time it is requested.

2006-11-12  Bjørn Lindeijer  <bjorn@lindeijer.nl>

	* src/map.cpp, src/map.h: Made pathfinding algorithm cope better with
	beings blocking the road. This is done by allowing walking over other
	beings, but at an additional cost so that it is preferable to walk
	around them.
	* src/game.cpp: Worked around a Guichan exception thrown for mice with
	many buttons (patch by Roel van Dijk).

2006-11-09  Eugenio Favalli  <elvenprogrammer@gmail.com>

	* src/main.cpp, src/net/network.cpp, src/net/network.h,
	The Mana World.dev, tmw.cbp: Fixed a conflict with Windows headers and
	updated project files.

2006-11-05  Bjørn Lindeijer  <bjorn@lindeijer.nl>

	* src/gui/trade.cpp: Fixed money field to no longer hide below the
	bottom of the window.
	* src/CMakeLists.txt: Added shoplistbox.h/cpp files.
	* src/gui/updatewindow.cpp: Fixed percentage indicator of update
	window.
	* src/main.cpp, src/net/beinghandler.cpp, src/net/skillhandler.cpp,
	src/net/network.cpp: Changed some printf statements to log statements.

2006-11-05  Bjørn Lindeijer  <bjorn@lindeijer.nl>

	* data/graphics/images/login_wallpaper.png: Reverted to standard
	wallpaper.
	* src/resources/resourcemanager.cpp: More useful logging about
	resources that are being loaded (including source).
	* src/graphics.cpp, src/gui/window.cpp, src/gui/button.cpp,
	src/gui/widgets/dropdown.cpp, src/gui/textfield.cpp,
	src/gui/playerbox.cpp, src/gui/progressbar.cpp,
	src/gui/scrollarea.cpp, src/graphics.h, src/CMakeLists.txt,
	src/Makefile.am, src/graphic, src/graphic/imagerect.h: Merged the
	definition of ImageRect into graphics.h.

2006-11-05  Yohann Ferreira  <bertram@cegetel.net>

	* src/Makefile.am, src/gui/buy.cpp, src/gui/buy.h, src/gui/shop.h,
	src/gui/shop.cpp, src/gui/sell.cpp, src/gui/shoplistbox.h,
	src/gui/shoplistbox.cpp: Added pictures to items in buy dialogs.
	Also too expensive items are highlighted in gray and can't be
	selected.
	* src/gui/shop.cpp, src/gui/shop.h, src/gui.sell.h, src/gui/sell.cpp,
	src/net/buysellhandler.cpp, src/gui/shoplistbox.h,
	src/gui/shoplistbox.cpp: Added item's pictures in sell dialogs, and
	precisions about the total money in it.
	* src/gui/shop.h, src/gui/shop.cpp, src/gui/sell.cpp: Fixes to Sell
	dialog.
	* src/gui/sell.cpp: Fixes the money value after selling something.

2006-11-05  Björn Steinbrink  <B.Steinbrink@gmx.de>

	* data/graphics/sprites/Makefile.am: Use tabs instead of spaces as
	required by automake (AFAIK).

2006-11-05  Philipp Sehmisch  <tmw@crushnet.org>

	* data/graphics/sprites/weapon0.png,
	data/graphics/sprites/weapon2.png,
	data/graphics/sprites/weapon-bow.xml,
	data/graphics/sprites/weapon-dagger.xml,
	data/graphics/sprites/weapon-fist.xml,
	data/graphics/sprites/weapon-scythe.xml,
	data/graphics/items/weapon-polearm-scythe.png, src/player.cpp,
	src/player.h, src/being.cpp, src/being.h, data/items.xml: Added scythe
	as a permanent weapon (ID: 623)

2006-11-04  Björn Steinbrink  <B.Steinbrink@gmx.de>

	* src/gui/updatewindow.cpp, src/gui/updatewindow.h: Removed useless
	addRow method.

2006-11-04  Bjørn Lindeijer  <bjorn@lindeijer.nl>

	* data/maps/new_1-1.tmx.gz, data/maps/new_10-1.tmx.gz,
	data/maps/new_11-1.tmx.gz, data/maps/new_14-1.tmx.gz,
	data/maps/new_15-1.tmx.gz, data/maps/new_16-1.tmx.gz,
	data/maps/new_3-1.tmx.gz, data/maps/new_7-1.tmx.gz,
	data/maps/new_9-1.tmx.gz: Reverted Halloween map versions, except for
	map 10 and 11 which include the latest fixes by Crush but now have
	their night layer removed.

2006-11-04  Philipp Sehmisch  <tmw@crushnet.org>

	* data/maps/new_17-1.tmx.gz,
	data/graphics/images/minimap_new_17-1.png,
	data/graphics/images/Makefile.am,
	data/graphics/images/CMakeLists.txt:
	Added music and minimap to woodland cave level 2.
	* data/maps/new_10-1.tmx.gz, maps/new_11-1.tmx.gz:
	Fixed some map bugs (please update server sided walkmap)

2006-11-03  Bjørn Lindeijer  <bjorn@lindeijer.nl>

	* src/gui/updatewindow.cpp, src/main.cpp: Updated to the new default
	updatehost.

2006-11-01  Bjørn Lindeijer  <bjorn@lindeijer.nl>

	* src/gui/gui.cpp, src/gui/browserbox.cpp,
	data/graphics/gui/rpgfont_wider.png,
	data/graphics/gui/browserfont.png, data/graphics/gui/fixedfont.png:
	Added support for å and Å (with help of Håkan Rönn).

2006-10-31  Philipp Sehmisch  <tmw@crushnet.org>

	* data/graphics/tiles/desert1.png, data/graphics/tiles/desert_x2.png:
	Adding a bunch of graphical improvements made by VxD.

2006-10-31  Frode Lindeijer  <f.lindeijer@gmail.com>

	* data/graphics/sprites/item011.png,
	data/graphics/sprites/item011.xml, data/graphics/sprites/item012.png,
	data/graphics/sprites/item018.xml,
	data/graphics/sprites/monster21.xml: Fixed some graphical issues,
	mostly a cosmetic update.

2006-10-30  Yohann Ferreira  <bertram@cegetel.net>

	* debian/changelog: Updated the package's version.

2006-10-30  Philipp Sehmisch  <tmw@crushnet.org>

	* data/maps/new_9-1.tmx.gz: Removed the night effect that accidentally
	sneaked in with the last map change.

2006-10-30  Eugenio Favalli  <elvenprogrammer@gmail.com>

	* src/tmw.rc: Updated Windows binary version.
	* data/help/header.txt, NEWS, README: Fixed some release dates and
	versions.
	* data/graphics/items/armor-head-axehat.png,
	data/graphics/items/armor-head-bandana.png,
	data/graphics/items/armor-head-circlet.png,
	data/graphics/items/armor-head-eyepatch.png,
	data/graphics/items/armor-head-goggles.png,
	data/graphics/items/armor-head-leathergoggles.png,
	data/graphics/items/armor-head-piratehat.png,
	data/graphics/items/armor-head-pumpkinhelmet.png,
	data/graphics/items/Makefile.am, data/items.xml: Added new items.
	* data/graphics/sprites/Makefile.am,
	data/graphics/sprites/monster21.png,
	data/graphics/sprites/monster21.xml,
	data/graphics/sprites/monster22.png,
	data/graphics/sprites/monster22.xml: Added new monsters.
	* data/graphics/sprites/item011.png, data/graphics/sprites/item011.xml,
	data/graphics/sprites/item012.png, data/graphics/sprites/item012.xml,
	data/graphics/sprites/item013.png, data/graphics/sprites/item013.xml,
	data/graphics/sprites/item014.png, data/graphics/sprites/item014.xml,
	data/graphics/sprites/item015.png, data/graphics/sprites/item015.xml,
	data/graphics/sprites/item016.png, data/graphics/sprites/item016.xml,
	data/graphics/sprites/item017.png, data/graphics/sprites/item017.xml,
	data/graphics/sprites/item018.png, data/graphics/sprites/item018.xml,
	data/graphics/sprites/Makefile.am: Added new visible equipments.
	* data/graphics/images/login_wallpaper.png, data/maps/new_1-1.tmx.gz,
	data/maps/new_10-1.tmx.gz, data/maps/new_11-1.tmx.gz,
	data/maps/new_14-1.tmx.gz, data/maps/new_15-1.tmx.gz,
	data/maps/new_16-1.tmx.gz, data/maps/new_3-1.tmx.gz,
	data/maps/new_7-1.tmx.gz, data/maps/new_9-1.tmx.gz: Halloween related
	contents.
	* data/graphics/items/Makefile.am: Fixed wrong filename.
	* data/graphics/sprites/Makefile.am: Fixed wrong filenames.
	* data/graphics/sprites/weapon0.png: Replaced knife with scythe.

2006-10-30  Björn Steinbrink  <B.Steinbrink@gmx.de>

	* data/graphics/items/CMakeLists.txt: Synced with autotools config.
	* data/graphics/items/CMakeLists.txt: Added new items to CMake config.
	* src/being.cpp: Properly initialize sprite vector.

2006-10-29  Bjørn Lindeijer  <bjorn@lindeijer.nl>

	* configure.ac, The Mana World.dev, CMakeLists.txt,
	data/help/header.txt, NEWS: Set version to 0.0.21.1.
	* src/player.cpp: Fixed excessive unnecessary reloading of sprites.

2006-10-28  Björn Steinbrink  <B.Steinbrink@gmx.de>

	* src/main.c: Reload wallpaper after updates are fetched.
	* data/graphics/sprites/Makefile.am: Added monster20.

2006-10-28  Philipp Sehmisch  <tmw@crushnet.org>

	* data/graphics/sprites/monster20.png,
	data/graphics/sprites/monster20.xml,
	data/graphics/sprites/CMakeLists.txt:
	Added pumpkin ghost monster for halloween event.
	* data/maps/new_9-1.tmx.gz: Fixed a map discrepancy between
	new_9-1 and new_14-1 (no new walkmap required). Thanks to QOAL
	for reporting.

2006-10-24  Philipp Sehmisch  <tmw@crushnet.org>

	* data/graphics/images/ambient/night.png: added graphic for night
	ambient effect.

2006-10-23  Bjørn Lindeijer  <bjorn@lindeijer.nl>

	* configure.ac: Added zlib check before PhysFS check. The PhysFS check
	was failing on MSYS because of a missing -lz.

2006-10-22  Björn Steinbrink  <B.Steinbrink@gmx.de>

	* CMakeLists.txt, src/CMakeLists.txt: Add PACKAGE_VERSION support.
	* CMakeLists.txt, src/CMakeLists.txt: Setup the binary dir in the main
	CMakeLists.txt file.
	* src/main.h: Include config.h only when we have it.
	* src/CMakeLists.txt: Properly set build flags for the tmw target.

2006-10-18  Björn Steinbrink  <B.Steinbrink@gmx.de>

	* src/CMakeLists.txt, data/graphics/tiles/CMakeLists.txt,
	data/graphics/items/CMakeLists.txt, data/graphics/gui/CMakeLists.txt,
	data/graphics/images/ambient/CMakeLists.txt,
	data/graphics/images/CMakeLists.txt,
	data/graphics/sprites/CMakeLists.txt, data/maps/CMakeLists.txt,
	data/sfx/CMakeLists.txt, data/help/CMakeLists.txt,
	data/icons/CMakeLists.txt, data/CMakeLists.txt, CMakeLists.txt: Add
	TMW_DATADIR definition.

2006-10-16  Eugenio Favalli  <elvenprogrammer@gmail.com>

	* src/CMakeLists.txt: Adjusted path for Windows.

2006-10-16  Björn Steinbrink  <B.Steinbrink@gmx.de>

	* CMakeLists.txt: Enable OpenGL by default.
	* CMake/Modules/FindLibcurl.cmake: Fix libcurl library not being
	marked as advanced option.
	* CMakeLists.txt, src/CMakeLists.txt: Add OpenGL option.
	* data/CMakeLists.txt: Adjust data destination for Windows.
	* src/CMakeLists.txt: Adjust binary destination for Windows.
	* src/CMakeLists.txt, data/graphics/tiles/CMakeLists.txt,
	data/graphics/items/CMakeLists.txt, data/graphics/gui/CMakeLists.txt,
	data/graphics/images/ambient/CMakeLists.txt,
	data/graphics/images/CMakeLists.txt,
	data/graphics/sprites/CMakeLists.txt, data/graphics/CMakeLists.txt,
	data/maps/CMakeLists.txt, data/sfx/CMakeLists.txt,
	data/help/CMakeLists.txt, data/icons/CMakeLists.txt,
	data/CMakeLists.txt, CMakeLists.txt: Add CMake install support.
	* CMake/Modules/FindGuichan.cmake, CMake/Modules/FindLibXml2.cmake,
	CMake/Modules/FindLibcurl.cmake, CMakeLists.txt, src/CMakeLists.txt:
	Add basic CMake support for building tmw.

2006-10-12  Yohann Ferreira  <bertram@cegetel.net>

	* debian/rules, debian/tmw-data.install, debian/tmw-data.dirs,
	debian/tmw-music.install, debian/changelog: Updating Debian files for
	bug fixing.

2006-10-12  Frode Lindeijer  <f.lindeijer@gmail.com>

	* /data/graphics/sprites/npcs.png: Updated the clothes salesman,
	it was way out of date.

2006-10-12  Cédric Borgese  <cedric.borgese@gmail.com>

	* data/graphics/tiles/Woodland_x3.png: Enlarge the trunk and the
	base of the trees in the woodland tileset.

2006-10-09  Yohann Ferreira  <bertram@cegetel.net>

	* src/gui/buysell.cpp, src/gui/buy.cpp : A little tweak to the buy
	dialogs.

2006-10-07  Bjørn Lindeijer  <bjorn@lindeijer.nl>

	* src/resources/mapreader.cpp: Added support for gzip compressed map
	layers.
	* configure.ac, The Mana World.dev: Increased version to 0.0.22.
	* src/map.cpp: Removed unused setSize method. Also introduced
	initializeOverlays method and removed the confusing setOverlay (which
	actually added one).
	* src/properties.h: Added convenience method to read a property as a
	float.
	* src/map.cpp, src/resources/ambientoverlay.cpp,
	src/resources/ambientoverlay.h: Resolved some weirdness involving
	the terms scroll and speed.

2006-10-07  Eugenio Favalli  <elvenprogrammer@gmail.com>

	* The Mana World.dev, tmw.cbp: Updated project files.

2006-10-03  Bjørn Lindeijer  <bjorn@lindeijer.nl>

	* data/graphics/sprites/item006.xml,
	data/graphics/sprites/item007.xml,
	data/graphics/sprites/item008.xml,
	data/graphics/sprites/item009.xml,
	data/graphics/sprites/item006.png,
	data/graphics/sprites/item007.png,
	data/graphics/sprites/item008.png,
	data/graphics/sprites/item009.png,
	data/graphics/sprites/item010.xml,
	data/graphics/sprites/item010.png: Removed empty frames from
	headgears.

2006-10-03  Björn Steinbrink  <B.Steinbrink@gmx.de>

	* src/map.cpp, src/map.h, src/Makefile.am,
	src/resources/mapreader.cpp, src/resources/ambientoverlay.cpp,
	src/resources/ambientoverlay.h: Turned AmbientOverlay into a class.
	Cleaned up the associated code.

2006-10-01  Eugenio Favalli  <elvenprogrammer@gmail.com>

	* tools/Purger.java: Added a tool to purge old accounts from eAthena's
	database files.

2006-10-01  Bjørn Lindeijer  <bjorn@lindeijer.nl>

	* src/game.cpp, src/gui/trade.cpp, src/gui/inventorywindow.cpp:
	Accepted patches by GDO and VictorSan that fix problems with hiding
	windows using h and problems with trade window positioning.

2006-09-28  Björn Steinbrink  <B.Steinbrink@gmx.de>

	* src/map.cpp: Fix random crashes when map tiles are missing.

2006-09-28  Bjørn Lindeijer  <bjorn@lindeijer.nl>

	* data/graphics/maps/new_2-1.tmx.gz: Matt Howe fixed up cave map.

2006-09-26  Eugenio Favalli  <elvenprogrammer@gmail.com>

	* data/graphics/maps/new_6-1.tmx.gz: Alderan fixed a map issue.

2006-09-25  Bjørn Lindeijer  <bjorn@lindeijer.nl>

	* data/graphics/sprites/hairstyle*.png,
	data/graphics/sprites/hairstyle*.xml, tools/Reorganize.java: Removed
	unused frames from the hairsets.
	* src/resources/image.h: Defined NO_SDL_GLEXT to prevent a
	redefinition when gl.h also tries to define OpenGL extensions (patch
	accepted from Rogier Polak).

2006-09-23  Bjørn Lindeijer  <bjorn@lindeijer.nl>

	* data/maps/new_5-1.tmx.gz: Accepted new version by Matt Howe, fixing
	several mapping issues.

2006-09-21  Eugenio Favalli  <elvenprogrammer@gmail.com>

	* data/graphics/tiles/Makefile.am: Added missing tileset.
	* src/gui/updatewindow.cpp, src/gui/updatewindow.h: Made canceling the
	update process non-blocking (Patch by VictorSan).

2006-09-21  Philipp Sehmisch  <tmw@crushnet.org>

	* src/animation.cpp, src/animation.h, src/animatedsprite.cpp,
	src/animatedsprite.h: Removed some obsolete code and implemented
	the posibility to define an <end /> token in the <animation>s
	that allows to define an animation that doesn't loop and returns
	to the STAND animation when finished.
	* data/graphics/sprites/hairstyle*.xml,
	data/graphics/sprites/item0*.xml,
	data/graphics/sprites/monster*.xml,
	data/graphics/sprites/weapons.xml: Used the <end /> token for all
	attack animations fixing the problem with looping monster attack
	animations.

2006-09-20  Philipp Sehmisch  <tmw@crushnet.org>

	* data/graphics/items/generic-whitefur.png,
	data/graphics/items/generic-cavesnakelamp.png,
	data/graphics/items/generic-hardspike.png,
	data/graphics/items/generic-pinkantennae.png,
	data/graphics/items/Makefile.am, data/items.xml: Added drops for new
	monsters.
	* src/gui/setup.cpp, src/gui/setup_video.cpp,
	src/gui/setup_video.h: Added a slider for controlling the overlay
	detail to the video setup dialog based on a patch by VictorSan.
	* data/maps/new_14-1.tmx.gz, data/maps/new_16-1.tmx.gz: Added cloud
	effect and minimap.
	* data/images/Makefile.am: Updated makefile.

2006-09-19  Bjørn Lindeijer  <bjorn@lindeijer.nl>

	* data/graphics/sprites/Makefile.am: Added missing monster19 sprite.

2006-09-17  Eugenio Favalli  <elvenprogrammer@gmail.com>

	* data/maps/Makefile.am: Added missing maps.
	* data/maps/new_10-1.tmx.gz: Disabled layer compression.

2006-09-18  Philipp Sehmisch  <tmw@crushnet.org>

	* data/maps/new_9-1.tmx.gz: Fixed some mapping bugs (new walkmap
	required).

2006-09-17  Eugenio Favalli  <elvenprogrammer@gmail.com>

	* data/maps/new_10-1.tmx.gz: Fixed transparent snow issue (Fix by
	Pajarico).

2006-09-17  Björn Steinbrink  <B.Steinbrink@gmx.de>

	* src/game.cpp: Stop using the sticky window attribute which is
	unneeded for the current implementation, instead adjust the set of
	affected windows by the 'hide' shortcut.

2006-09-17  Philipp Sehmisch  <tmw@crushnet.org>

	* data/maps/new_14-1.tmx.gz, data/maps/new_15-1.tmx.gz,
	data/maps/new_16-1.tmx.gz: fixed some mapping errors.

2006-09-16  Philipp Sehmisch  <tmw@crushnet.org>

	* src/animatedsprite.cpp, src/animatedsprite.h: Fixed the crash when
	attacking without a weapon, some additional stability improvements and
	more descriptive variable names in the parsing algorithmn.

2006-09-16  Eugenio Favalli  <elvenprogrammer@gmail.com>

	* data/help/changes.txt, data/help/header.txt, NEWS, README,
	src/tmw.rc: Updated release infos.

2006-09-14  Philipp Sehmisch  <tmw@crushnet.org>

	* src/animation.h, src/animatedsprite.h,
	data/graphics/sprites/weapon.xml: Some modifications at the animation
	system. No more "undefined action foo" warnings in the tmw.log. Not
	visible actions must now be declared explicitly.
	* data/graphics/images/ambient/sandstorm.png,
	data/graphics/images/ambient/clouds.png: Improved quality of the overlay
	graphics.

2006-09-14  Björn Steinbrink  <B.Steinbrink@gmx.de>

	* src/gui/char_select.cpp: Remove debug output.
	* src/gui/char_select.cpp, src/main.cpp: Fix the character name
	matching loop and add support for saving the last used character
	(based on a patch by Andrew Harrison).
	* src/gui/char_select.cpp, src/gui/char_select.h, src/main.cpp: Clean
	up the player selection stuff, it's a bit nicer now.
	* src/main.cpp: Fix up the player selection command line option.

2006-09-12  Bjørn Lindeijer  <bjorn@lindeijer.nl>

	* src/game.cpp, src/game.h: Simplified fps limiting a bit and added
	some comments. Now based on ConfigListener so that the fpslimit option
	doesn't need to be queried the whole time.
	* NEWS: Updated with some items.

2006-09-11  Eugenio Favalli  <elvenprogrammer@gmail.com>

	* src/game.cpp: Fixed more fps issues.

2006-09-09  Bjørn Lindeijer  <bjorn@lindeijer.nl>

	* src/gui/gui.cpp: Removed easy targeting functionality since it
	interferes with walking around too much. Targeting can still be rather
	conveniently done with 'a' or the middle mouse button.

2006-09-07  Björn Steinbrink  <B.Steinbrink@gmx.de>

	* src/resources/image.cpp: Fixed a typo.
	* src/resources/image.cpp: Worked around a memory leak when using
	OpenGL.

2006-09-06  Philipp Sehmisch  <tmw@crushnet.org>

	* data/graphics/sprites/item010.png, data/graphics/sprites/item010.xml,
	data/graphics/sprites/Makefile.am: Added santa hat sprites and updated
	makefile.

2006-09-06  Eugenio Favalli  <elvenprogrammer@gmail.com>

	* src/game.cpp, src/gui/setup_video.cpp, src/main.cpp: Fixed fps
	limiter issues and increased default limit to 60.
	* src/game.cpp: Fixed fps limiter when disabled.

2006-09-05  Philipp Sehmisch  <tmw@crushnet.org>
	* data/graphics/tiles/Woodland_ground.png,
	data/graphics/tiles/Woodland_x2.png,
	data/graphics/tiles/Woodland_x3.png: Some minor improvements and
	additions at my tilesets.
	* data/graphics/sprites/monster0.xml,
	data/graphics/sprites/monster1.xml,
	data/graphics/sprites/monster2.xml,
	data/graphics/sprites/monster3.xml,
	data/graphics/sprites/monster4.xml,
	data/graphics/sprites/monster5.xml,
	data/graphics/sprites/monster6.xml,
	data/graphics/sprites/monster8.xml,
	data/graphics/sprites/monster9.xml,
	data/graphics/sprites/monster11.xml,
	data/graphics/sprites/monster13.xml,
	data/graphics/sprites/monster0.xml: Adjusted the animation speed of
	several monsters.

2006-09-03  Bjørn Lindeijer  <bjorn@lindeijer.nl>

	* src/floor_item.cpp, src/gui/equipmentwindow.cpp, src/gui/sell.cpp,
	src/gui/trade.cpp, src/gui/inventorywindow.h,
	src/gui/selectionlistener.h, src/gui/itemcontainer.h,
	src/gui/inventorywindow.cpp, src/gui/buy.cpp,
	src/gui/itemcontainer.cpp, src/gui/popupmenu.cpp, src/item.h,
	src/net/inventoryhandler.cpp, src/Makefile.am,
	src/resources/itemmanager.h, src/resources/iteminfo.cpp,
	src/resources/iteminfo.h, src/resources/itemmanager.cpp: Introduced
	SelectionListener to fix updating problem in inventory window (should
	also be used to fix similar problem in trade, buy and sell dialogs).
	Made the ItemInfo be passed around as a reference instead of a pointer,
	since it is never NULL.
	* src/gui/trade.cpp, src/gui/trade.h: Fixed updating of labels in
	trade window.
	* src/gui/sell.cpp, src/gui/listbox.h, src/gui/inventorywindow.h,
	src/gui/buy.h, src/gui/buy.cpp, src/gui/sell.h, src/gui/listbox.cpp:
	Fixed updating of labels in buy and sell dialogs. Also made our
	listbox respond to mouse dragging to change the selection.

2006-09-02  Bernard Lidicky  <bernard@matfyz.cz>

	* src/game.cpp, src/beingmanager.h, src/gui/gui.cpp,
	src/beingmanager.cpp, src/localplayer.h, README,
	data/help/commands.txt, NEWS: Added targeting nearest monster with
	either keyboard or mouse. Also made clicking beings in general a bit
	easier (patch applied by Bjørn Lindeijer).

2006-09-01  Eugenio Favalli  <elvenprogrammer@gmail.com>

	* data/graphics/sprites/monster19.png,
	data/graphics/sprites/monster19.xml, data/graphics/tiles/arena.png,
	data/graphics/tiles/cave.png, data/maps/new_17-1.tmx.gz,
	data/maps/new_6-1.tmx.gz: Added new big cave map, lamp-snake monster,
	improved arena map.

2006-08-30  Philipp Sehmisch  <tmw@crushnet.org>

	* data/graphics/sprites/item007.png,
	data/graphics/sprites/item007.xml, data/graphics/sprites/item009.png,
	data/graphics/sprites/item009.xml:
	Added sprites for miners helm and standard headband.

2006-08-29  Bjørn Lindeijer  <bjorn@lindeijer.nl>

	* src/map.cpp, src/beingmanager.h, src/gui/minimap.cpp,
	src/engine.cpp, src/beingmanager.cpp: It's better to use a reference
	when you don't need a pointer.
	* NEWS: Updated with addition of config file option.

2006-08-29  Andrew Harrison  <atharris@users.sourceforge.net>

	* src/main.cpp: Added command line option to specify which
	configuration file to use (patch applied by Bjørn Lindeijer).

2006-08-29  Matthias Hartmann  <hartmann.matthias@gmail.com>

	* data/graphics/sprites/item006.png,
	data/graphics/sprites/item006.xml, data/graphics/sprites/item008.xml:
	Fixed fancy hat + silk headband positions.

2006-08-29  Philipp Sehmisch  <tmw@crushnet.org>

	* data/graphics/sprites/item008.png,
	data/graphics/sprites/item008.xml, data/graphics/sprites/Makefile.am:
	Added fancy hat sprite.

2006-08-28  Philipp Sehmisch  <tmw@crushnet.org>

	* src/gui/setup_video.cpp: Modified the ranges of the ScrollLaziness
	and ScrollRadius sliders.

2006-08-28  Eugenio Favalli  <elvenprogrammer@gmail.com>

	* data/graphics/items/*: Changed svn properties.
	* data/graphics/sprites/item001.xml, data/graphics/sprites/item002.xml,
	data/graphics/sprites/item003.xml, data/graphics/sprites/item004.xml,
	data/graphics/sprites/item005.xml, data/graphics/sprites/item006.png,
	data/graphics/sprites/item006.xml, data/graphics/sprites/Makefile.am:
	Added headband and fixed svn properties.

2006-08-27  Bjørn Lindeijer  <bjorn@lindeijer.nl>

	* src/net/inventoryhandler.cpp: Applied patch by Andrew Harrison that
	adds item pickup messages to the chat window.
	* NEWS: Updated with some recently added and fixed issues. Doesn't
	mention any of the recent content updates yet.

2006-08-26  Pascal Ganaye <pascalganaye@users.sourceforge.net>

	* src/joystick.h, src/joystick.cpp, src/gui/setup.cpp,
	src/gui/setup_joystick.h, src/gui/setup_video.cpp,
	src/gui/setup_joystick.cpp, src/gui/setup_video.h: Added sliders to
	the video section of the setup window to configure the laziness and
	radius of the scrolling behaviour. Added a checkbox to the joystick
	section to allow enabling/disabling the joystick (patch applied by
	Bjørn Lindeijer).

2006-08-26  Bjørn Lindeijer  <bjorn@lindeijer.nl>

	* src/gui/ministatus.cpp, src/gui/ministatus.h: Applied patch by mrha
	(Herbi), adding experience bar to the ministatus in the top left.
	* configure.ac, data/graphics/items/Makefile.am,
	data/graphics/Makefile.am: Added Makefile.am to make sure the item
	icons are installed.
	* src/player.cpp, src/animation.h, src/player.h,
	src/animatedsprite.cpp, src/animation.cpp: Applied patch by Bahamut81
	which implements resetting of Animation, Action and AnimatedSprite.
	This fixes the animation synchronization issues.

2006-08-25  Matthias Hartmann  <hartmann.matthias@gmail.com>

	* src/gui/char_select.cpp, src/gui/char_select.h, src/main.cpp: Added
	--playername command line option for selecting the character you want
	to play with (patch applied by Bjørn Lindeijer).

2006-08-25  Philipp Sehmisch  <tmw@crushnet.org>

	* src/engine.cpp, src/map.h, src/map.cpp: Addded new config variable
	"OverlayDetail" to control the number of drawn overlays.
	2 (or more) = all (default), 1 = only the first one, 0 = none.

2006-08-24  Eugenio Favalli  <elvenprogrammer@gmail.com>

	* data/help/commands.txt, README, src/game.cpp, src/gui/chat.cpp,
	src/gui/window.cpp, src/gui/window.h: Added support for sticky windows
	as discussed with doener. Patch by Andrew Harrison.
	* data/items.xml: Added jeans shorts.

2006-08-24  Philipp Sehmisch  <tmw@crushnet.org>

	* src/engine.cpp: Scrolling speed no longer affected by framerate.
	* src/map.cpp, scr/map.h: Overlay speed no longer affected by
	framerate.
	* data/maps/new_1-1.tmx.gz, data/graphics/new_7-1.tmx.gz,
	data/graphics/images/ambient/sandstorm.png: Redone sandstorm effect
	(larger and more transparent image, tripple layer parallax scrolling)

2006-08-24  Frode Lindeijer  <f.lindeijer@gmail.com>

	* data/graphics/sprites/item004.png,
	data/graphics/sprites/item005.png, data/graphics/sprites/Makefile.am,
	data/graphics/items/armor-legs-cottonshorts,
	data/graphics/items/armor-legs-jeanshorts: Added the equip graphics of
	the short jeans and the cotton shorts and an inventory icon of the
	cotton shorts. Also added all added files to the makefile.

2006-08-23  Philipp Sehmisch  <tmw@crushnet.org>

	* data/maps/new_7-1.tmx.gz: Fixed a minor mapping bug reported on the
	forum (no new walkmap required).
	* data/maps/new_9-1.tmx.gz: Fixed two minor mapping bugs (new walkmap
	required).

2006-08-22  Bjørn Lindeijer  <bjorn@lindeijer.nl>

	* configure.ac, data/graphics/images/ambient,
	data/graphics/images/ambient/Makefile.am,
	data/graphics/images/Makefile.am: Updated makefiles to account for new
	ambient images and changed the version from 0.0.20.1 to 0.0.21.

2006-08-21  Eugenio Favalli  <elvenprogrammer@gmail.com>

	* The Mana World.dev, tmw.cbp: Updated project files.

2006-08-21  Philipp Sehmisch  <tmw@crushnet.org>

	* src/mapreader.cpp: Added logic for initialisation of the overlays.
	* src/map.cpp, src/map.h: Code for updating and drawing the overlays.
	* src/engine.cpp, src/engine.h: Added smooth scrolling and the call
	to draw the overlays.
	* data/maps/new_1-1.tmx.gz, data/graphics/new_7-1.tmx.gz,
	data/graphics/images/ambient/sandstorm.png: Added sandstorm effect
	to the desert maps outside of the city (feedback, please).
	* data/maps/new_2-1.tmx.gz, data/maps/new_4-1.tmx.gz,
	data/maps/new_5-1.tmx.gz, data/graphics/images/ambient/spotlight.png
	Added spotlight effect to the cave maps (feedback, please)
	* data/graphics/maps/new_9-1.tmx.gz,
	data/graphics/images/ambient/clouds.png:
	Added cloudshadow effect to the woodland map (feedback, please).

2006-08-20  Bjørn Lindeijer  <bjorn@lindeijer.nl>

	* configure.ac: Moved libpng check before SDL_image check, since the
	latter requires the former.

2006-08-20  Yohann Ferreira  <bertram@cegetel.net>

	* data/graphics/sprites/Makefile.am: Following the splitting from
	Philipp, moved out the items.png file from the Makefile.am.
	* debian/control, debian/tmw-data.install: Updated debian package
	creation process.
	* src/Makefile.am: Added iteminfo.cpp to avoid an undefined reference
	with gcc 4.1.2. Happy to be back :)

2006-08-17  Philipp Sehmisch  <tmw@crushnet.org>

	* data/graphics/items/*: Splitted the items.png into separate images
	with more distinctive names. (no, i won't list all 114)
	* src/itemmanager.cpp, data/items.xml: Replaced indices on the item
	spriteset with filenames. added names and descriptions for all missing
	items. Changed names and descriptions of some items.
	* src/engine.cpp: Removed global item spriteset.
	* src/floor_item.cpp, src/floor_item.h, src/iteminfo.cpp,
	src/iteminfo.h, src/equipmentwindow.cpp, src/equipmentwindow.h,
	src/itemcontainer.cpp, src/itemcontainer.h: The iteminfo class now
	provides a pointer to the item icon image instead of providing the
	index on the item spriteset.
	* data/graphics/tiles/trans_desert-woodland.png: Added transmission
	tileset between desert and woodland.

2006-08-13  Eugenio Favalli  <elvenprogrammer@gmail.com>

	* data/graphics/sprites/Makefile.am,
	data/graphics/sprites/monster18.png,
	data/graphics/sprites/monster18.xml,
	data/graphics/sprites/npcs.png: Added new monster and npcs.
	* src/gui.cpp, tmw.cbp, The Mana World.dev: Fixed Guichan 0.5.0
	compilation issues.

2006-08-13  Bjørn Lindeijer  <bjorn@lindeijer.nl>

	* src/openglgraphics.cpp, src/game.cpp, src/main.cpp,
	src/gui/buddywindow.cpp, src/gui/connection.cpp, src/gui/sell.cpp,
	src/gui/trade.cpp, src/gui/char_server.cpp, src/gui/window.cpp,
	src/gui/login.cpp, src/gui/skill.h, src/gui/gui.cpp,
	src/gui/item_amount.h, src/gui/setup_audio.h, src/gui/newskill.cpp,
	src/gui/register.h, src/gui/setup.cpp, src/gui/npclistdialog.h,
	src/gui/updatewindow.cpp, src/gui/char_select.cpp, src/gui/login.h,
	src/gui/item_amount.cpp, src/gui/setup_audio.cpp,
	src/gui/npc_text.cpp, src/gui/chat.h, src/gui/setup_joystick.h,
	src/gui/setup_video.cpp, src/gui/ok_dialog.cpp, src/gui/textfield.cpp,
	src/gui/inventorywindow.h, src/gui/newskill.h, src/gui/box.h,
	src/gui/ministatus.cpp, src/gui/buy.h, src/gui/setup.h,
	src/gui/confirm_dialog.cpp, src/gui/debugwindow.cpp, src/gui/vbox.cpp,
	src/gui/chat.cpp, src/gui/setup_joystick.cpp, src/gui/updatewindow.h,
	src/gui/char_select.h, src/gui/buysell.h, src/gui/tabbedcontainer.cpp,
	src/gui/inventorywindow.cpp, src/gui/help.cpp, src/gui/status.h,
	src/gui/npc_text.h, src/gui/setup_video.h, src/gui/menuwindow.cpp,
	src/gui/ok_dialog.h, src/gui/buy.cpp, src/gui/buddywindow.h,
	src/gui/sell.h, src/gui/trade.h, src/gui/char_server.h,
	src/gui/skill.cpp, src/gui/buysell.cpp, src/gui/confirm_dialog.h,
	src/gui/debugwindow.h, src/gui/status.cpp, src/gui/register.cpp,
	src/gui/scrollarea.cpp, src/gui/tabbedcontainer.h,
	src/gui/npclistdialog.cpp, src/gui/help.h, src/net/tradehandler.cpp,
	src/net/playerhandler.cpp, src/Makefile.am,
	src/resources/sdlimageloader.cpp, src/resources/sdlimageloader.h,
	src/resources/openglsdlimageloader.cpp,
	src/resources/resourcemanager.cpp,
	src/resources/openglsdlimageloader.h, src/resources/resourcemanager.h:
	Updated TMW to be compatible with Guichan 0.5.0 (merged from
	guichan-0.5.0 branch).
	* INSTALL, docs/INSTALL/win32.txt: Updated required Guichan to version
	0.5.0.
	* configure.ac: Moved some basic checks above the checks on the
	libraries we depend on, in order to get rid of the confusing
	rpl_realloc error.
	* src/resources/openglsdlimageloader.cpp, src/player.cpp: Fixed
	several compiler warnings and a linker error when compiling without
	OpenGL support.

2006-08-12  Philipp Sehmisch  <tmw@crushnet.org>

	* data/maps/new_9-1.tmx.gz, data/maps/new_14-1.tmx.gz,
	data/maps/new_15-1.tmx.gz, data/maps/new_16-1.tmx.gz: Fixed some
	inaccessible areas.

2006-08-07  Philipp Sehmisch  <tmw@crushnet.org>
	* data/maps/new_9-1.tmx.gz, data/maps/new_14-1.tmx.gz,
	data/maps/new_15-1.tmx.gz, data/maps/new_16-1.tmx.gz,
	data/graphics/images/minimap_new_9-1.png,
	data/graphics/images/minimap_new_14-1.png,
	data/graphics/images/minimap_new_15-1.png,
	data/graphics/images/minimap_new_16-1.png: Added minimaps for woodland
	maps.

2006-08-07  Philipp Sehmisch  <tmw@crushnet.org>

	* data/maps/new_1-1.tmx.gz, data/maps/new_14-1.tmx.gz,
	data/maps/new_15-1.tmx.gz, data/maps/new_16-1.tmx.gz:
	Added a new woodland map and a connection map between desert and
	woodland.
	* data/graphics/woodland_ground.png: Added some new rocks.

2006-08-07  Björn Steinbrink  <B.Steinbrink@gmx.de>

	* src/game.cpp, src/gui/chat.h, src/gui/chat.cpp, src/main.cpp: A
	bunch of cleanups.

2006-08-05  Björn Steinbrink  <B.Steinbrink@gmx.de>

	* src/configuration.cpp, src/game.cpp, src/engine.cpp, src/player.cpp,
	src/being.cpp, src/resources/mapreader.cpp,
	src/resources/itemmanager.cpp: Some cleanups, mostly lowering
	indentation.
	* src/being.cpp: Small code cleanup.

2006-08-04  Björn Steinbrink  <B.Steinbrink@gmx.de>

	* src/animatedsprite.cpp: Fix enum being treated as string.
	* src/animation.cpp: Small code cleanups. Removed unused headers.
	* src/animatedsprite.cpp: Small code cleanup/lower indentation.

2006-08-04  Bjørn Lindeijer  <bjorn@lindeijer.nl>

	* src/animatedsprite.cpp: Fixed presence of NULL actions. This is
	doener's version of the fix, because it was more efficient in the more
	common case.

2006-08-04  Frode Lindeijer  <f.lindeijer@gmail.com>

	* data/graphics/tiles/desert_x3.png: Replaced the old cactus with
	a nice new high-res one.

2006-08-03  Bjørn Lindeijer  <bjorn@lindeijer.nl>

	* src/player.cpp, src/being.cpp, src/being.h: Removed three
	setDirection(mDirection) calls by instead specifically setting the
	current direction on the newly added animated sprite. The same might
	be done for the action later.
	* src/animatedsprite.h, src/animatedsprite.cpp: Since this class isn't
	subclassed and has no virtual functions, make protected members
	private. Also added a start of a reset function which could be a
	solution to unsynchronized animated sprites.
	* src/net/network.cpp: Fixed two delete/delete[] errors.

2006-08-01  Philipp Sehmisch  <tmw@crushnet.org>

	* src/animation.h, src/animation.cpp, src/animatedsprite.h,
	src/animatedsprite.cpp, src/being.cpp: Animations and directions
	are now passed and stored as enums and no longer as strings.

2006-07-30  Björn Steinbrink  <B.Steinbrink@gmx.de>

	* src/animatedsprite.h, src/animatedsprite.cpp: Unified the play
	methods.

2006-07-30  Philipp Sehmisch  <tmw@crushnet.org>

	* data/maps/new_5-1.tmx.gz: Fixed two minor mapping errors (no new
	walkmap required).

2006-07-29  Björn Steinbrink  <B.Steinbrink@gmx.de>

	* src/animatedsprite.h, src/animatedsprite.cpp, src/animation.cpp: A
	bunch of cleanups.
	* src/animation.h, src/animatedsprite.cpp: Moved included from header
	to source file.

2006-07-28  Björn Steinbrink  <B.Steinbrink@gmx.de>

	* src/npc.cpp, src/player.cpp, src/animatedsprite.h, src/animation.h,
	src/being.cpp, src/main.cpp, src/monster.cpp, src/animatedsprite.cpp,
	src/animation.cpp, src/Makefile.am, src/being.h: Moved AnimatedSprite
	into its own files, removed useless includes.
	* src/engine.cpp: Removed an unused var.

2006-07-26  Eugenio Favalli  <elvenprogrammer@gmail.com>

	* data/graphics/sprites/Makefile.am, data/graphics/tiles/Makefile.am,
	data/maps/Makefile.am, data/maps/new_13-1.tmx.gz: Added map with
	inside of snow village buildings and fixed makefiles.
	* src/being.cpp, src/being.h, src/player.cpp: Fixed direction and
	action issues when changing appeareance, frames are still out of sync.
	* data/maps/Makefile.am, data/maps/new_14-1.tmx.gz,
	data/maps/new_9-1.tmx.gz: Added new woodland map by Crush and fixed
	connection with the old one.

2006-07-26  Bjørn Lindeijer  <bjorn@lindeijer.nl>

	* data/maps/new_4-1.tmx.gz: Fixes to the collision layer.

2006-07-26  Frode Lindeijer  <f.lindeijer@gmail.com>

	* data/graphics/tiles/snowset.png, data/graphics/tiles/snow_x2.png,
	data/graphics/tiles/snow_x3.png: Moved the lamppost, the rock and the
	bench to seperate tall tilebitmaps.
	* data/maps/new_11-1.tmx.gz: Improved the snow village map, main
	changes are that the player can now walk better behind houses,
	lampposts, rocks and benches.
	* data/graphics/sprites/item003.png, data/graphics/sprites/item003.xml:
	Added the leather shirt

2006-07-25  Bjørn Lindeijer  <bjorn@lindeijer.nl>

	* src/log.cpp, src/log.h: Added support for writing log to standard
	output.
	* src/gui/updatewindow.cpp: Fixed updating on Windows.

2006-07-24  Bjørn Lindeijer  <bjorn@lindeijer.nl>

	* src/main.cpp: Fixed the loading of updates and made skipping the
	update process also skip the loading of updates.

2006-07-24  Björn Steinbrink  <B.Steinbrink@gmx.de>

	* src/localplayer.cpp, src/being.cpp: Fixed setDirection() semantics.
	Removed a printf-leftover.

2006-07-24  Frode Lindeijer  <f.lindeijer@gmail.com>

	* data/graphics/sprites/npcs.png: Added the organdealer to the NPCs.
	* data/graphics/sprites/player_male_base.png,
	data/graphics/sprites/player_female_base.png: Fixed some transparency
	issues.

2006-07-24  Eugenio Favalli  <elvenprogrammer@gmail.com>

	* src/being.cpp, src/being.h, src/localplayer, The Mana World.dev,
	tmw.cbp: Removed unused code, fixed "change direction when not
	walking" bug, updated project files.
	* data/graphics/sprites/monster1.xml: Slowed down scorpions.
	* data/graphics/sprites/monster2.xml: Red scorpions have got the same
	problem.
	* data/graphics/sprites/player_female_base.xml: Fixed female playerset
	animation definition.
	* data/help/about.txt, data/help/changes.txt, data/help/commands.txt,
	data/help/header.txt, data/help/index.txt, data/help/skills.txt,
	data/help/support.txt, data/help/team.txt: Forced to use UNIX end of
	line character.
	* src/net/equipmenthandler.cpp: Equipments now use real slot
	positions.

2006-07-24  Bjørn Lindeijer  <bjorn@lindeijer.nl>

	* src/floor_item.cpp, src/animation.h, src/being.cpp, src/main.cpp,
	src/gui/equipmentwindow.cpp, src/gui/playerbox.cpp,
	src/gui/itemcontainer.cpp, src/engine.cpp, src/tileset.h,
	src/animation.cpp, src/Makefile.am, src/resources/mapreader.cpp,
	src/resources/resourcemanager.cpp, src/resources/spriteset.cpp,
	src/resources/resourcemanager.h, src/resources/spriteset.h,
	src/being.h, src/graphic/spriteset.cpp, src/graphic/spriteset.h,
	data/graphics/sprites/npc.xml, data/graphics/sprites/weapons.xml:
	Implemented caching of spritesets, including a lot of cleanups to the
	new animation system. Action now refers to the Spriteset directly and
	AnimatedSprite refers to the current Action directly instead of using
	the std::map with a std::string constantly. Some methods and
	parameters are marked as const. The READ_PROP macro was replaced by
	static methods. Warnings are logged when unnamed actions are defined
	or when actions refer to undefined imagesets. Code is more tolerant
	towards missing actions.
	* NEWS: Rearranged some items.

2006-07-21  Eugenio Favalli  <elvenprogrammer@gmail.com>

	* src/animation.cpp, src/animation.h: Removed unused code, fixed a
	numeric conversion, used a more meaningful speed.

2006-07-20  Eugenio Favalli  <elvenprogrammer@gmail.com>

	* data/help/header.txt, data/help/skills.txt, docs/FAQ.txt, README:
	Updated some docs for the 0.0.20 release.
	* NEWS: Added new features of 0.0.20.
	* data/items.xml: Added shorts.
	* src/tmw.rc, The Mana World.dev, tmw.cbp: Added a resource script to
	let both Dev-Cpp and Code::Blocks share the same binary icon and
	version infos.
	* data/graphics/sprites/player_female_base.xml,
	data/graphics/sprites/player_male_base.xml, src/animation.cpp,
	src/animation.h, src/being.cpp: Fixed left bow attack animation,
	made the attack animation stay in sync with attack speed.

2006-07-19  Bjørn Lindeijer  <bjorn@lindeijer.nl>

	* src/gui/minimap.cpp: Fixed dot size of local player.
	* src/engine.cpp: Fixed color of "[TARGET]".
	* src/resources/mapreader.cpp, src/resources/mapreader.h,
	data/maps/new_12-1.tmx.gz, data/maps/new_3-1.tmx.gz,
	data/maps/new_4-1.tmx.gz, data/maps/new_5-1.tmx.gz,
	data/maps/new_6-1.tmx.gz, data/maps/new_7-1.tmx.gz,
	data/maps/new_8-1.tmx.gz, data/maps/new_9-1.tmx.gz,
	data/maps/new_1-1.tmx.gz, data/maps/new_10-1.tmx.gz,
	data/maps/new_11-1.tmx.gz, data/maps/new_2-1.tmx.gz: Implemented
	loading for the way Tiled saves properties since version 0.6.0 and
	updated all current maps.

2006-07-19  Eugenio Favalli  <elvenprogrammer@gmail.com>

	* data/graphics/sprites/item001.png, data/graphics/sprites/item001.xml,
	data/graphics/sprites/item002.png, data/graphics/sprites/item002.xml,
	data/graphics/sprites/item1202.png, data/graphics/sprites/Makefile.am,
	docs/INSTALL/win32.txt, src/animation.cpp, src/being.cpp, src/being.h,
	src/gui/equipmentwindow.cpp, src/gui/newskill.cpp, src/main.cpp,
	src/net/beinghandler.cpp, src/net/charserverhandler.cpp,
	src/player.cpp, src/player.h: Merged trunk changes r2381:2397 into
	new_animation branch.
	* tmw.cbp: Updated Code::Blocks project file.
	* src/gui/char_select.cpp: Fixed next/previous buttons behaviour in
	character selection dialog.
	* data/graphics/sprites/Makefile.am: Alphabetically correct.

2006-07-19  Bjørn Lindeijer  <bjorn@lindeijer.nl>

	* tmw.cbp: Added Code::Blocks project file.

2006-07-18  Bjørn Lindeijer  <bjorn@lindeijer.nl>

	* src/gui/updatewindow.cpp, src/gui/updatewindow.h, src/main.cpp,
	src/resources/resourcemanager.cpp, src/resources/resourcemanager.h:
	Updated the updating system. It will now only load those updates
	specified in the downloaded resources.txt file, and in the order
	in which they are mentioned (the top one being the most
	significant).

2006-07-17 Frode Lindeijer  <f.lindeijer@gmail.com>

	* data/graphics/sprites/items.png: Added shorts' icon to items.png

2006-07-12  Bjørn Lindeijer  <bjorn@lindeijer.nl>

	* src/gui/newskill.cpp: Fixed up a string comparison that caused a
	warning with GCC 4.2.

2006-07-12 Frode Lindeijer  <f.lindeijer@gmail.com>

	* data/graphics/sprites/item001.png: Completed the cotton shirt
	equipment graphic.

2006-07-06  Philipp Sehmisch  <tmw@crushnet.org>

	* src/animation.cpp, src/animation.h, src/being.cpp, src/being.h,
	src/monster.cpp, src/npc.cpp, src/player.cpp:
	Fixed some minor bugs, cleaned up general code style and added more
	comments.

2006-07-05  Björn Steinbrink  <B.Steinbrink@gmx.de>

	* src/monster.cpp, src/npc.cpp, src/player.cpp: Fixed broken paths.
	* data/graphics/sprites/Makefile.am: Added new files.
	* src/animation.cpp: Added missing return value...
	* src/Makefile.am: Added new files.

2006-07-05  Bjørn Lindeijer  <bjorn@lindeijer.nl>

	* data/graphics/sprites/monster0.xml: Fixed frame size of maggot.
	* src/being.h: drawName should be virtual, lest we want names to be
	drawn.

2006-07-03  Philipp Sehmisch  <tmw@crushnet.org>

	* src/spriteset.cpp, src/spriteset.h: Spriteset::get() doesn't crash
	anymore when requesting a sprite outside of the spriteset. (it returns
	NULL instead and logs a warning).

2006-07-03  Philipp Sehmisch  <tmw@crushnet.org>

	* src/being.cpp: Fixed a compiler issue reported by Pajarico.

2006-07-03  Bjørn Lindeijer  <bjorn@lindeijer.nl>

	* tools/Reorganize.java: Added tool used for reorganizing and
	auto-cropping the monster spritesets.

2006-07-03  Philipp Sehmisch  <tmw@crushnet.org>

	* src/main.cpp, src/engine.cpp: Removed some no longer required old
	style spritesets.
	* src/being.h, src/being.cpp: Removed some no longer needed member
	variables.
	* src/monster.cpp: Monsters are now drawed with the new animation
	system.
	* src/npc.cpp, data/graphics/sprites/npcs.xml: NPCs are now drawed
	with the new animation system.
	* src/being.h, src/being.cpp, src/npc.cpp, src/npc.h, src/monster.cpp,
	src/monster.h: Moved all drawing code from the Being based classes
	into Being.
	* data/graphics/sprites/monster*.png: Resized and reorganized the
	monster spritesets to fit the new animation system (thanks, Bjørn).
	* data/graphics/sprites/monster*.xml: Added animation files for all
	monsters.
	* src/animation.cpp: The offset values of the Frames of animated
	sprites are now modified so every frame is drawn centered.
	* data/graphics/sprites/hairstyle*.xml: Retuned the offsets of the
	hair sprites.
	* src/animation.cpp: Small stability fix.
	* src/being.cpp, src/being.h: weapon animation now uses the new
	animation system.
	* data/graphics/sprites/player_male_base.xml
	data/graphics/sprites/player_female_base.xml
	data/graphics/sprites/hairstyle*.xml: Tuned walk speed and added bow
	animations.

2006-07-03  Eugenio Favalli  <elvenprogrammer@gmail.com>

	* src/being.cpp: Removed an unnecessary parameter.

2006-07-03  Bjørn Lindeijer  <bjorn@lindeijer.nl>

	* data/graphics/sprites/Makefile.am: Updated to new xml files.

2006-07-02  Philipp Sehmisch  <tmw@crushnet.org>

	* src/localplayer.cpp: Fixed the "walking against walls" bug.
	* src/animation.cpp src/animation.h: fixed the "sliding" bug and
	removed some unused variables.

2006-07-01  Philipp Sehmisch  <tmw@crushnet.org>

	* src/being.cpp, src/being.h, src/player.cpp, src/player.h,
	src/localplayer.cpp: Sprites are now stored in a vector instead of a
	list, so they can be replaced a lot easier; added female playerset;
	added hairstyles and colors.
	* src/animation.cpp, src/animation.h: added support for variations,
	variations are animations stored in the same spriteset with the same
	layout and sequence but starting at another index.
	* data/graphics/sprites/player_female_base.xml: Added xml file for
	female characters.
	* data/graphics/sprites/hairstyle0.xml,
	data/graphics/sprites/hairstyle1.xml,
	data/graphics/sprites/hairstyle2.xml,
	data/graphics/sprites/hairstyle3.xml,
	data/graphics/sprites/hairstyle4.xml,
	data/graphics/sprites/hairstyle5.xml,
	data/graphics/sprites/hairstyle6.xml,
	data/graphics/sprites/hairstyle7.xml: Added xml files for all
	hairstyles (these xml files are using the new variation feature).
	* src/being.cpp, src/being.h, src/localplayer.cpp, src/player.cpp: The
	beings now haven't got one, but a list of animated sprites (named
	mSprites). At the moment it contains the hair and the base sprite.
	* src/animation.cpp, src/animation,h: Fixed a crash when substituting
	an undefined direction; renamed completeDirections method to
	substituteAction.
	* data/graphics/sprites/hairstyle0.xml: Made a xml file for the hair
	animation.

2006-06-29  Eugenio Favalli  <elvenprogrammer@gmail.com>

	* data/items.xml, src/being.cpp, src/being.h src/net/beinghandler.cpp,
	src/player.cpp: Clients get notified of equipping visible items.
	* src/net/beinghandler.cpp: GCC 4 fix.

2006-06-28  Philipp Sehmisch  <tmw@crushnet.org>

	* src/animation.cpp, src/animation.h: Parser now works like described
	on the wiki; the single animation phases are now stored in structures;
	drawing call for animatiedSprites moved into the animatiedSprite
	class.
	* src/being.cpp, src/being.h, src/localplayer.cpp, src/player.cpp:
	Renamed mAnimatedSprite to mBaseSprite to distinct it from hair-equip
	and other sprites that will also be part of the class.
	* src/player.cpp: Drawing call for animatiedSprites moved into the
	animatiedSprite class; time now correctly passed in ms to the
	animatedSprite class.
	* src/graphic/spriteset.cpp, src/graphic/spriteset.h: Width and height
	of the subimages is now saved in the spritesheet class.
	* src/graphics.cpp: Added an additional check to avoid crashes when
	passing a NULL pointer as image argument.
	* data/graphics/sprites/player_male_base.xml: Animation file now has
	the syntax described on the wiki.

2006-06-27  Eugenio Favalli  <elvenprogrammer@gmail.com>

	* data/graphics/sprites/Makefile.am,
	data/graphics/sprites/player_male_base.xml, src/being.cpp,
	src/being.h, src/engine.cpp, src/localplayer.cpp, src/main.cpp,
	src/net/beinghandler.cpp, src/net/playerhandler.cpp,
	src/resources/itemmanager.cpp, The Mana World.dev: Added a beginning
	of a new animation system to slow down player walking.
	* src/animation.cpp, src/animation.h: Forgot 2 files.
	* src/being.cpp, src/gui/equipmentwindow.cpp, src/player.cpp:
	Equipment window now show all the slots, and adapted visible shirts to
	head (middle) equipments.

2006-06-27 Frode Lindeijer  <f.lindeijer@gmail.com>

	* /tmw/trunk/data/graphics/sprites/player_male_base.png:
	Fixed transparency issue with the north punching frames

2006-06-26  Bjørn Lindeijer  <bjorn@lindeijer.nl>

	* src/net/messagein.cpp: Fixed the readString method (synchronized
	with the server version by Guillaume Melquiond).

2006-06-21  Eugenio Favalli  <elvenprogrammer@gmail.com>

	* data/graphics/sprites/Makefile.am,
	data/graphics/sprites/monster11.png,
	data/graphics/sprites/monster17.png: Fixed attack animation of monster
	11 and added a new monster.
	* data/graphics/sprites/Makefile.am,
	data/graphics/sprites/player_female_base.png, src/being.cpp,
	src/being.h, src/gui/char_select.cpp, src/gui/char_select.h,
	src/gui/playerbox.cpp, src/gui/playerbox.h, src/gui/register.cpp,
	src/main.cpp, src/net/beinghandler.cpp, src/net/charserverhandler.cpp,
	src/player.cpp: Added female players.

2006-06-19  Philipp Sehmisch  <tmw@crushnet.org>

	* data/graphics/sprites/monster16.png: added the little pink monster

2006-05-22  Eugenio Favalli  <elvenprogrammer@gmail.com>

	* data/graphics/tiles/icecave.png, data/graphics/tiles/Makefile.am,
	data/maps/Makefile.am, data/maps/new_10-1.tmx.gz,
	data/maps/new_11-1.tmx.gz, data/maps/new_4-1.tmx.gz,
	data/maps/new_5-1.tmx.gz, src/resources/itemmanager.cpp: A bunch of
	updates to the world and disabled art and type xml parser checks since
	they're not used.

2006-05-21  Eugenio Favalli  <elvenprogrammer@gmail.com>

	* The Mana World.dev: Updated dev-cpp project file.

2006-05-17  Eugenio Favalli  <elvenprogrammer@gmail.com>

	* data/graphics/sprites/npcs.png, data/graphics/tiles/Makefile.am,
	data/graphics/snow_building.png, data/graphics/tiles/snowset.png,
	data/maps/Makefile.am, data/maps/new_11-1.tmx.gz: New NPCs, new snow
	tiles and village.

2006-05-15  Björn Steinbrink  <B.Steinbrink@gmx.de>

	* src/gui/item_amount.cpp: Set slider range to the real values instead
	of mapping the amount between [0,1] and [1,max] all the time.

2006-05-13  Bjørn Lindeijer  <bjorn@lindeijer.nl>

	* src/openglgraphics.cpp: Set color back to current color instead of
	setting it to white. Fixes white rectangles in equipment window.
	* src/being.cpp, src/being.h, src/player.cpp: Specify the color in
	which speech and names are supposed to be drawn. Removed unused
	mSpeechColor member.

2006-05-12  Björn Steinbrink <B.Steinbrink@gmx.de>

	* src/being.cpp: Fixed initialization order in Being ctor.

2006-05-12  Eugenio Favalli  <elvenprogrammer@gmail.com>

	* data/graphics/sprites/item1202.png,
	data/graphics/sprites/Makefile.am, src/being.cpp, src/being.h,
	src/localplayer.cpp, src/localplayer.h, src/main.cpp, src/player.cpp,
	The Mana World: You can now see the shirt when equipping a top
	equipment.

2006-05-05  Eugenio Favalli  <elvenprogrammer@gmail.com>

	* src/gui/setup_video.cpp: Fixed some numeric conversions.

2006-05-03  Eugenio Favalli  <elvenprogrammer@gmail.com>

	* configure.ac, src/game.cpp, src/graphics.cpp, src/main.cpp,
	src/openglgraphics.cpp, The Mana World: Increased fps limit
	granularity and cleaned some code, fixed some xml library name in
	Dev-C++ project file, switched version to 0.0.20.
	* src/game.cpp, src/gui/setup.cpp, src/gui/setup_video.cpp,
	src/gui/setup_video.h, src/main.cpp: FPS limit can now be set in setup
	dialog. Default value for FPS is 50. (Code based on peoro's patch).

2006-05-02  Eugenio Favalli  <elvenprogrammer@gmail.com>

	* src/localplayer.cpp: Fixed the delay last move bug.

2006-04-29  Eugenio Favalli  <elvenprogrammer@gmail.com>

	* data/graphics/tiles/cave.png: Added tiles by yosuhara.

2006-04-28  Philipp Sehmisch  <tmw@crushnet.org>

	* data/graphics/tiles/Woodland_ground.png: Graphical update of the
	woodland tileset. Paths improved, and tiles that were redunant
	replaced by new dirt tiles.
	* data/maps/new_9.1.tmx.gz: Modified because of changes in the tileset
	layout (no new server sided walkmap required).
	* data/graphics/sprites/monster11.png: Improved the shading of the
	mushroom monster.
	* data/graphics/sprites/monster15.png: Added dropshadow to the bat
	monster (note that the version 0.0.19 live update overrides the
	changed file).

2006-04-04  Bjørn Lindeijer  <bjorn@lindeijer.nl>

	* ChangeLog: Converted to UTF-8.
	* NEWS: Spelling correction.
	* docs/INSTALL/debian.txt, docs/INSTALL/win32.txt: Updated with
	respect to the move from CVS to Subversion.

2006-03-25  Eugenio Favalli  <elvenprogrammer@gmail.com>

	* src/gui/window.cpp: Added window resize patch by peoro.

2006-03-21  Eugenio Favalli  <elvenprogrammer@gmail.com>

	* The Mana World.dev: Updated project.

2006-03-20  Björn Steinbrink  <B.Steinbrink@gmx.de>

	* src/engine.cpp: Fixed a crash on map change.

2006-03-20  Eugenio Favalli  <elvenprogrammer@gmail.com>

	* src/gui/char_select.cpp: Fixed an include.

2006-03-19  Björn Steinbrink  <B.Steinbrink@gmx.de>

	* src/gui/register.h, src/gui/register.cpp: Fixed a memory leak and
	removed some whitespace noise.
	* src/lockedarray.h, src/game.cpp, src/gui/gui.cpp,
	src/gui/browserbox.cpp, src/gui/register.cpp,
	src/resources/resourcemanager.cpp: Removed some useless null pointer
	checks.
	* src/gui/login.cpp, src/gui/setup_audio.h, src/gui/setup.cpp,
	src/gui/setup_audio.cpp, src/gui/setup_video.cpp,
	src/gui/setup_video.h: Removed some duplicated initializations.
	* src/gui/setup_audio.h, src/gui/setup.cpp, src/gui/setup_audio.cpp,
	src/gui/setup_joystick.h, src/gui/setup_video.cpp, src/gui/setuptab.h,
	src/gui/setup.h, src/gui/setup_joystick.cpp, src/gui/setup_video.h,
	src/Makefile.am: Splitted setup window into manageable pieces
	according to their tabs in the window. Fixed some memory leaks along
	the way. Also fixed two settings not being stored on "apply".

2006-03-18  Björn Steinbrink  <B.Steinbrink@gmx.de>

	* src/gui/chat.cpp, src/gui/menuwindow.cpp, src/gui/skill.cpp,
	src/gui/status.cpp: Use the window container instead of the graphics
	class to calculate window positions.
	* src/utils/dtor.h: Fixed indentation.
	* src/configuration.cpp, src/log.cpp, src/main.cpp, src/being.cpp,
	src/monster.cpp, src/gui/equipmentwindow.cpp, src/gui/sell.cpp,
	src/gui/trade.cpp, src/gui/char_server.cpp, src/gui/setup.cpp,
	src/gui/updatewindow.cpp, src/gui/char_select.cpp,
	src/gui/ministatus.cpp, src/gui/debugwindow.cpp,
	src/gui/tabbedcontainer.cpp, src/gui/inventorywindow.cpp,
	src/gui/buy.cpp, src/gui/itemcontainer.cpp, src/gui/inttextbox.cpp,
	src/gui/debugwindow.h, src/gui/status.cpp, src/gui/register.cpp,
	src/net/chathandler.cpp, src/engine.cpp, src/utils/tostring.h,
	src/Makefile.am: Added a toString conversion function.

2006-03-15  Björn Steinbrink  <B.Steinbrink@gmx.de>

	* src/engine.h, src/main.cpp, src/gui/equipmentwindow.cpp,
	src/gui/window.cpp, src/gui/login.cpp, src/gui/listbox.h,
	src/gui/chat.h, src/gui/ministatus.cpp, src/gui/chat.cpp,
	src/gui/help.cpp, src/gui/itemcontainer.cpp, src/gui/listbox.cpp,
	src/gui/checkbox.cpp, src/engine.cpp, src/resources/image.cpp: A bunch
	of cosmetic changes.
	* src/net/network.cpp: Fixed connection not being shut down completely
	in case of an error.

2006-03-13  Eugenio Favalli  <elvenprogrammer@gmail.com>

	* src/main.cpp: Fixed skip update option.

2006-03-13  Philipp Sehmisch  <tmw@crushnet.org>

	* data/maps/new_7.1.tmx.gz: Fixed some map bugs (update of server
	sided walkmap required!)

2006-03-11  Eugenio Favalli  <elvenprogrammer@gmail.com>

	* data/graphics/sprites/hairstyle1.png,
	data/graphics/sprites/hairstyle2.png,
	data/graphics/sprites/hairstyle3.png,
	data/graphics/sprites/hairstyle4.png,
	data/graphics/sprites/hairstyle6.png,
	data/graphics/sprites/hairstyle7.png,
	data/graphics/sprites/Makefile.am: Fixed some hair positions, added a
	new style, updated makefile.

2006-03-09  Björn Steinbrink  <B.Steinbrink@gmx.de>

	* src/utils/dtor.h: Added guards.
	* src/game.cpp, src/main.cpp, src/gui/connection.cpp,
	src/gui/menuwindow.cpp, src/net/tradehandler.cpp,
	src/net/playerhandler.cpp: Made all local action listeners structs and
	moved them into anonymous namespaces.
	* src/gui/connection.cpp, src/gui/newskill.cpp,
	src/gui/chargedialog.cpp, src/gui/updatewindow.cpp,
	src/gui/progressbar.h, src/gui/ministatus.cpp,
	src/gui/progressbar.cpp, src/gui/status.cpp: Removed coordinate
	arguments from ProgressBar ctor.
	* src/openglgraphics.cpp, src/localplayer.cpp, src/game.cpp,
	src/map.cpp, src/log.cpp, src/being.cpp, src/monster.cpp, src/sound.h,
	src/graphics.cpp, src/gui/equipmentwindow.cpp, src/gui/sell.cpp,
	src/gui/trade.cpp, src/gui/char_server.cpp, src/gui/window.cpp,
	src/gui/login.cpp, src/gui/inttextbox.h, src/gui/chargedialog.h,
	src/gui/focushandler.h, src/gui/skill.h, src/gui/gui.cpp,
	src/gui/newskill.cpp, src/gui/register.h, src/gui/popupmenu.h,
	src/gui/setup.cpp, src/gui/npclistdialog.h, src/gui/chargedialog.cpp,
	src/gui/playerbox.h, src/gui/char_select.cpp, src/gui/login.h,
	src/gui/focushandler.cpp, src/gui/chat.h, src/gui/inventorywindow.h,
	src/gui/newskill.h, src/gui/ministatus.cpp, src/gui/buy.h,
	src/gui/playerbox.cpp, src/gui/setup.h, src/gui/itemcontainer.h,
	src/gui/debugwindow.cpp, src/gui/chat.cpp, src/gui/char_select.h,
	src/gui/inventorywindow.cpp, src/gui/help.cpp, src/gui/status.h,
	src/gui/buy.cpp, src/gui/itemcontainer.cpp, src/gui/equipmentwindow.h,
	src/gui/sell.h, src/gui/trade.h, src/gui/ministatus.h,
	src/gui/inttextbox.cpp, src/gui/char_server.h, src/gui/window.h,
	src/gui/skill.cpp, src/gui/debugwindow.h, src/gui/status.cpp,
	src/gui/register.cpp, src/gui/popupmenu.cpp, src/gui/minimap.cpp,
	src/gui/npclistdialog.cpp, src/gui/help.h, src/net/buysellhandler.cpp,
	src/net/beinghandler.cpp, src/net/charserverhandler.cpp,
	src/net/maploginhandler.cpp, src/net/playerhandler.cpp,
	src/engine.cpp, src/localplayer.h, src/beingmanager.cpp, src/map.h,
	src/log.h, src/sound.cpp, src/resources/itemmanager.h,
	src/resources/buddylist.cpp, src/resources/buddylist.h,
	src/resources/image.cpp, src/resources/image.h,
	src/resources/itemmanager.cpp, src/being.h, src/player.cpp: Made all
	class members named like mClassMember.
	* src/floor_item.cpp, src/map.cpp, src/being.cpp,
	src/gui/equipmentwindow.cpp, src/gui/playerbox.cpp,
	src/gui/itemcontainer.cpp, src/graphic/spriteset.cpp,
	src/graphic/spriteset.h, src/player.cpp: Added Spriteset::get() and
	Spriteset::size() to hide the member vector and remove the weird
	mySpriteset->spriteset stuff.
	* src/gui/buddywindow.cpp, src/gui/connection.cpp, src/gui/sell.cpp,
	src/gui/trade.cpp, src/gui/char_server.cpp, src/gui/login.cpp,
	src/gui/button.h, src/gui/newskill.cpp, src/gui/setup.cpp,
	src/gui/updatewindow.cpp, src/gui/button.cpp, src/gui/char_select.cpp
	,src/gui/item_amount.cpp, src/gui/npc_text.cpp, src/gui/ok_dialog.cpp,
	src/gui/confirm_dialog.cpp, src/gui/debugwindow.cpp,
	src/gui/tabbedcontainer.cpp, src/gui/inventorywindow.cpp,
	src/gui/help.cpp, src/gui/menuwindow.cpp, src/gui/buy.cpp,
	src/gui/skill.cpp, src/gui/buysell.cpp, src/gui/status.cpp,
	src/gui/register.cpp, src/gui/npclistdialog.cpp: Made the Button ctor
	accept eventId and action listener.
	* src/localplayer.cpp, src/game.cpp, src/gui/trade.cpp,
	src/gui/inventorywindow.cpp, src/gui/trade.h, src/localplayer.h,
	src/game.h: Use std::auto_ptr in some places.
	* src/lockedarray.h: Use fill_n instead of for-loop.
	* src/gui/browserbox.cpp: Make the MouseOverLink functor dynamic and
	use a STL algorithm in one more place.

2006-03-08  Bjørn Lindeijer  <bjorn@lindeijer.nl>

	* src/gui/browserbox.h, src/gui/menuwindow.cpp, src/gui/buysell.cpp:
	Some fixes for compiling with pedantic compiler settings and const
	char* checks.
	* data/graphics/sprites/player_male_base.png: Use two rows for each
	direction in order to make the texture less wide so that it stays
	within the 1024 texture limit for OpenGL mode.

2006-03-08  Björn Steinbrink  <B.Steinbrink@gmx.de>

	* src/map.cpp, src/main.cpp, src/gui/button.cpp,
	src/gui/textfield.cpp, src/gui/playerbox.cpp,
	src/gui/windowcontainer.cpp, src/gui/skill.cpp,
	src/gui/scrollarea.cpp, src/engine.cpp, src/beingmanager.cpp,
	src/utils, src/utils/dtor.h, src/Makefile.am,
	src/flooritemmanager.cpp, src/graphic/spriteset.cpp: Added a 'dtor'
	helper functor to delete objects in arrays and containers using STL
	algorithms.
	* src/resources/image.cpp: Removed some conditional code.
	* src/localplayer.cpp, src/gui/gui.cpp: Reverted changes from r2225,
	it broke walking code as I missed the differences between tile and
	being collisions.
	* src/gui/itemcontainer.cpp, src/inventory.cpp: Made Inventory use STL
	algorithms and fixed getLastUsedSlot semantics.
	* src/engine.cpp, src/engine.h: Moved a variable definition into the
	right place and made getCurrentMap inline.
	* src/equipment.cpp, src/equipment.h: Use STL algorithms and make
	destructor inline.
	* src/localplayer.cpp, src/gui/gui.cpp: Let the LocalPlayer decide
	whether it can walk to a destination.

2006-03-07  Yohann Ferreira  <bertram@cegetel.net>

	* debian/rules, debian/changelog, ChangeLog: Updating Debian files for
	0.0.19 release.

2006-03-07  Eugenio Favalli  <elvenprogrammer@gmail.com>

	* data/graphics/tiles/Makefile.am, data/graphics/tiles/Woodland.png:
	Removed unused tileset.

2006-03-06  Björn Steinbrink  <B.Steinbrink@gmx.de>

	* configure.ac: Version changed to 0.0.19.

2006-03-06  Philipp Sehmisch  <tmw@crushnet.org>

	* data/maps/new_9.1.tmx.gz: Fixed some mapping bugs.

2006-03-06  Eugenio Favalli  <elvenprogrammer@gmail.com>

	* AUTHORS, NEWS, README, data/help/changes.txt, data/help/header.txt,
	data/help/team.txt: A bunch of updates to docs, ready for 0.0.19.
	* data/help/changes.txt, src/main.cpp: Small fixes before releasing.

2006-03-05  Björn Steinbrink  <B.Steinbrink@gmx.de>

	* data/graphics/sprites/Makefile.am: Remove trailing whitespace.
	* src/engine.cpp: Re-add main.h header, Windows build needs it.

2006-03-05  Eugenio Favalli  <elvenprogrammer@gmail.com>

	* data/graphics/sprites/player_male_base.png: Added pants.

2006-03-02  Eugenio Favalli  <elvenprogrammer@gmail.com>

	* data/graphics/sprites/weapon1.png: Added missing frames.
	* src/player.cpp: Fixed north shooting hair position.
	* data/graphics/sprites/Makefile.am: Added new graphics.
	* data/graphics/sprites/monster15.png: Added bat monster.

2006-03-01  Eugenio Favalli  <elvenprogrammer@gmail.com>

	* The Mana World.dev: Enabled -Wall switch.
	* data/graphics/sprites/monster9.png: Fixed fire goblin north walking
	  animation.
	* data/graphics/sprites/hairstyle1.png,
	  data/graphics/sprites/hairstyle2.png,
	  data/graphics/sprites/hairstyle3.png,
	  data/graphics/sprites/hairstyle4.png,
	  data/graphics/sprites/hairstyle5.png,
	  data/graphics/sprites/hairstyle6.png,
	  data/graphics/sprites/player_male_base.png,
	  data/graphics/sprites/weapon0.png,
	  data/graphics/sprites/weapon1.png: New graphics for hair styles,
	  player and weapons.
	* src/being.cpp, src/being.h, src/engine.cpp, src/gui/playerbox.cpp,
	  src/localplayer.cpp, src/main.cpp, beinghandler.cpp, player.cpp,
	  src/resources/image.cpp: Hacked code to support the new playerset.

2006-02-25  Björn Steinbrink  <B.Steinbrink@gmx.de>

	* src/beingmanager.cpp, src/beingmanager.h, src/engine.cpp,
	src/main.h, src/sound.h: Added a logic method to the being manager.

2006-02-24  Björn Steinbrink  <B.Steinbrink@gmx.de>

	* src/being.cpp, src/being.h, src/configuration.cpp,
	src/configuration.h, src/engine.cpp, src/map.cpp, src/map.h,
	src/properties.h, src/gui/browserbox.cpp, src/gui/browserbox.h,
	src/gui/chat.cpp, src/gui/chat.h, src/gui/gccontainer.cpp,
	src/gui/gccontainer.h, src/gui/minimap.cpp,
	src/gui/tabbedcontainer.cpp, src/gui/tabbedcontainer.h,
	src/net/network.cpp, src/net/network.h, src/resources/itemmanager.cpp,
	src/resources/itemmanager.h: Another bunch of cosmetic cleanups, i.e.
	mostly typedefs...

2006-02-23  Björn Steinbrink  <B.Steinbrink@gmx.de>

	* src/being.cpp, src/being.h, src/beingmanager.cpp,
	src/beingmanager.h, src/engine.cpp, src/inventory.cpp,
	src/inventory.h, src/logindata.h, src/main.cpp, src/main.h,
	src/openglgraphics.cpp, src/gui/equipmentwindow.h,
	src/gui/minimap.cpp, src/gui/minimap.h, src/gui/windowcontainer.cpp,
	src/gui/windowcontainer.h, src/net/loginhandler.cpp: A bunch of mostly
	cosmetic cleanups.

2006-02-23  Philipp Sehmisch  <tmw@crushnet.org>

	* data/maps/new_4.1.tmx.gz: I remapped the hermits cave. It looks much
	more natural now. A new server sided walkmap is required.

2006-02-22  Philipp Sehmisch  <tmw@crushnet.org>

	* data/graphics/tiles/cave.png: fixed two almost invisible pixel
	errors

2006-02-21  Philipp Sehmisch  <tmw@crushnet.org>

	* data/maps/new_9.1.tmx.gz: fixed another map bug.

2006-02-05  Yohann Ferreira  <bertram@cegetel.net>

	* src/resources/itemmanager.cpp: Added warnings when parameters are
	missing in the items xml file.

2006-02-16  Björn Steinbrink  <B.Steinbrink@gmx.de>

	* src/gui/browserbox.cpp, src/gui/browserbox.h, src/gui/gui.cpp: Use
	Widget::mFont instead of browerFont for drawing, fixes the "gui
	needs to be valid real early" issue.

2006-02-07  Björn Steinbrink  <B.Steinbrink@gmx.de>

	* src/being.cpp, src/being.h, src/game.cpp, src/localplayer.cpp,
	src/localplayer.h, src/monster.cpp, src/player.cpp,
	src/net/messagein.cpp, src/net/protocol.cpp: Made the being directions
	being stored in a bitfield.

2006-02-06  Philipp Sehmisch  <tmw@crushnet.org>

	* data/graphics/tiles/Woodland_ground.png,
	data/graphics/tiles/Woodland_x2.png, data/maps/new_9.1.tmx.gz: added
	dynamic grass that covers the lower area of sprites (doesn't work for
	flower beds yet).

2006-02-06  Eugenio Favalli  <elvenprogrammer@gmail.com>

	* The Mana World.dev, src/net/tradehandler.cpp: Updated Dev-Cpp project
	file, fixed a gcc 3.4 issue.
	* src/net/tradehandler.cpp: Undone last changes because Bertram
	already fixed the compiler issue.

2006-02-06  Björn Steinbrink  <B.Steinbrink@gmx.de>

	* src/Makefile.am, src/game.cpp, src/joystick.cpp, src/joystick.h,
	src/gui/setup.cpp, src/gui/setup.h: Added a Joystick class.
	* src/being.cpp, src/being.h, src/monster.cpp, src/npc.cpp: Unify some
	of the drawing code for beings.
	* src/being.cpp, src/being.h, src/localplayer.h, src/player.cpp,
	src/player.h: Use virtual methods instead of getType() checks.
	* data/graphics/gui/browserfont.png,
	data/graphics/gui/fixedfont.png, data/graphics/gui/rpgfont_wider.png,
	data/graphics/gui/sansserif8.png, src/Makefile.am, src/engine.cpp,
	src/floor_item.cpp, src/floor_item.h, src/flooritemmanager.cpp,
	src/flooritemmanager.h, src/game.cpp, src/gui/gui.cpp,
	src/net/itemhandler.cpp: Introduced a FloorItemManager class.

2006-02-05  Yohann Ferreira  <bertram@cegetel.net>

	* data/graphics/gui/rpgfont_wider.png,
	data/graphics/gui/fixedfont.png,data/graphics/gui/browserfont.png,
	data/graphics/gui/sansserif8.png: Adding è accents mostly to the font
	images.
	* src/engine.cpp, src/being.h, src/being.cpp, src/player.cpp,
	src/gui/char_select.h, src/gui/char_select.cpp: Made the nickname and
	emotions displayed above every layers. Made the delete and ok buttons
	be disabled once the character is selected at login.
	* src/net/tradehandler.cpp, src/resources/itemmanager.cpp: Fixed a gcc
	4.0 issue in the tradehandler. Strengthen the xml parser in the
	itemmanager so tmw doesn't crash anymore if an item lacks some
	parameters.

2006-02-05  Bjørn Lindeijer  <bjorn@lindeijer.nl>

	* INSTALL: Updated dependencies in response to patch by Hanno Braun.

2006-02-05  Björn Steinbrink  <B.Steinbrink@gmx.de>

	* data/graphics/tiles/Makefile.am: Added the new tilesets.
	* src/localplayer.cpp, src/localplayer.h, src/gui/gui.cpp: Made the
	player walk to items prior to picking them up.

2006-02-04  Philipp Sehmisch  <tmw@crushnet.org>

	* data/graphics/tiles/Woodland.png: new path design
	* data/graphics/tiles/Woodland_ground.png,
	data/graphics/tiles/Woodland_x2.png,
	data/graphics/tiles/Woodland_x3.png: splitted the tileset into three
	tilesets with different tile sizes
	(i kept the original tileset for backward compatiblity)
	* data/maps/new_9.1.tmx.gz: remapped with the oversized tile
	technology. made the forests less regular. made the unwalkable map
	borders more visual appealing

2006-02-04  Björn Steinbrink  <B.Steinbrink@gmx.de>

	* src/localplayer.h, src/logindata.h, src/main.cpp, src/main.h,
	src/gui/char_select.cpp, src/gui/char_server.cpp,
	src/gui/char_server.h, src/net/charserverhandler.cpp,
	src/net/charserverhandler.h, src/net/loginhandler.cpp,
	src/net/loginhandler.h, src/net/network.cpp, src/net/network.h: Unify
	the gui code for the various logins to use LoginData.

2006-02-03  Björn Steinbrink  <B.Steinbrink@gmx.de>

	* src/logindata.h, src/main.cpp, src/gui/login.cpp, src/gui/login.h:
	Made the login dialog work on LoginData only, without playing with the
	config, it's not its job to do so.
	* src/net/protocol.cpp, src/net/protocol.h: Removed some unused code.

2006-02-02  Philipp Sehmisch  <tmw@crushnet.org>

	* data/graphics/tiles/desert1.png, data/graphics/tiles/desert2.png,
	data/graphics/tiles/desert_x2.png, data/graphics/tiles/desert_x3.png:
	Replaced the old sand tile with Irucards new one. Added new crates.
	Made some minor corrections.

2006-02-01  Björn Steinbrink  <B.Steinbrink@gmx.de>

	* src/game.cpp, src/game.h, src/main.cpp: Created a Game class.
	* src/gui/passwordfield.cpp: Removed duplicated code.
	* src/Makefile.am, src/main.cpp, src/gui/error.cpp, src/gui/error.h:
	Replaced ErrorDialog by OkDialog + listener.
	* src/Makefile.am, src/game.cpp, src/gui/buysell.cpp,
	src/gui/char_select.cpp, src/gui/confirm_dialog.cpp,
	src/gui/confirm_dialog.h, src/gui/login.cpp, src/gui/login.h,
	src/gui/menuwindow.cpp, src/gui/ok_dialog.cpp, src/gui/ok_dialog.h,
	src/gui/register.cpp, src/gui/requesttrade.cpp,
	src/gui/requesttrade.h, src/gui/setup.cpp, src/net/playerhandler.cpp,
	src/net/tradehandler.cpp: Made the OkDialog and ConfirmDialog classes
	proxies for their buttons' events. Removed the RequestTradeWindow
	class, replaced with a plain ConfirmDialog. Fixed a memory leak along
	the way.

	* src/gui/buysell.cpp, src/gui/menuwindow.cpp: Simplified button
	creation code.
	* src/gui/npc_text.cpp: Fixed a bug where the game crashes if there's a
	message dialog from a npc that no longer exists.
	* src/properties.h: Reverted properties to private.

2006-01-31  Björn Steinbrink  <B.Steinbrink@gmx.de>

	* src/gui/setup.cpp: Cleanup.
	* src/gui/requesttrade.cpp, src/gui/requesttrade.h: Made
	RequestTradeDialog inherit from ConfirmDialog.
	* src/Makefile.am, src/gui/buy.cpp, src/gui/buy.h, src/gui/sell.cpp,
	src/gui/sell.h, src/gui/shop.cpp, src/gui/shop.h: Created a ListModel
	for ShopItems.
	* src/floor_item.cpp, src/graphics.h, src/map.cpp, src/map.h,
	src/properties.h, src/sprite.h, src/gui/login.cpp,
	src/gui/scrollarea.cpp, src/gui/windowcontainer.cpp,
	src/resources/sdlimageloader.cpp: Various small cleanups.
	* src/resources/resource.cpp, src/resources/resourcemanager.cpp,
	src/resources/resource.h, src/resources/resourcemanager.h: Made
	ResourceManager a friend of Resource to avoid looping over decRef,
	which returns void now.

2006-01-30  Björn Steinbrink  <B.Steinbrink@gmx.de>

	 * src/gui/char_select.cpp, src/gui/confirm_dialog.cpp,
	 src/gui/confirm_dialog.h, src/gui/error.cpp, src/gui/error.h,
	 src/gui/ministatus.cpp, src/gui/ok_dialog.cpp, src/gui/ok_dialog.h,
	 src/gui/setup.cpp, src/net/charserverhandler.cpp: A few cleanups and
	 simplifications.

2006-01-26  Björn Steinbrink  <B.Steinbrink@gmx.de>

	* src/game.cpp, src/game.h, src/main.cpp: Moved some setup code out of
	the game loop into the setup functions. Setup functions are now called
	from the outside.

2006-01-22  Eugenio Favalli  <elvenprogrammer@gmail.com>

	* The Mana World.dev, src/main.cpp: Updated Dev-Cpp project file, fixed
	a GDI issue.

2006-01-22  Björn Steinbrink  <B.Steinbrink@gmx.de>

	* src/game.cpp, src/net/network.cpp: Make dispatchMessages actually
	handle more than one message per call.
	* src/main.cpp: Remove obsoleted action listeners.
	* src/main.cpp: Use generic error method for sound failure.
	* src/main.cpp, src/net/charserverhandler.cpp,
	src/net/loginhandler.cpp, src/net/maploginhandler.cpp,
	src/net/network.cpp: Unify some network stuff in the main loop and fix
	a bug in the network class that triggers when a handlers survives the
	network object.

2006-01-21  Bjørn Lindeijer  <bjorn@lindeijer.nl>

	* src/gui/browserbox.cpp: Applied a patch by Ar2ro that works around
	the problems with line wrapping in the chatbox. Note though that this
	while code should be properly rewritten later.

2006-01-20  Eugenio Favalli  <elvenprogrammer@gmail.com>

	* The Mana World.dev: Updated Dev-Cpp project file.

2006-01-20  Björn Steinbrink  <B.Steinbrink@gmx.de>

	* src/equipment.h, src/game.cpp, src/game.h, src/main.h,
	src/gui/buddywindow.cpp, src/gui/buddywindow.h,
	src/gui/chargedialog.h, src/gui/connection.cpp, src/gui/connection.h,
	src/gui/equipmentwindow.cpp, src/gui/equipmentwindow.h,
	src/gui/linkhandler.h, src/gui/ministatus.h, src/gui/register.h,
	src/net/protocol.h, src/resources/mapreader.h: Header, class
	declaration and include cleanup.
	* src/localplayer.cpp, src/localplayer.h, src/gui/requesttrade.cpp,
	src/net/tradehandler.cpp: Made the local player object care about its
	trading state, later this could be used for different stuff, like the
	player setting itself to auto-decline trade offers without messing up
	the code in the tradehandler. Removed message sending code from the
	trade handler.
	* src/npc.cpp, src/npc.h: Added the files for real this time.
	* src/npc.cpp, src/npc.h, src/Makefile.am, src/being.cpp,
	src/beingmanager.cpp, src/beingmanager.h, src/engine.cpp,
	src/engine.h, src/game.cpp, src/game.h, src/localplayer.cpp,
	src/localplayer.h, src/map.cpp, src/gui/buy.cpp, src/gui/buysell.cpp,
	src/gui/buysell.h, src/gui/gui.cpp, src/gui/minimap.cpp,
	src/gui/npc.cpp, src/gui/npc.h, src/gui/npc_text.cpp,
	src/gui/npc_text.h, src/gui/npclistdialog.cpp,
	src/gui/npclistdialog.h, src/gui/popupmenu.cpp,
	src/gui/requesttrade.cpp, src/gui/requesttrade.h, src/gui/sell.cpp,
	src/gui/setup.cpp, src/gui/skill.cpp, src/gui/skill.h,
	src/gui/status.cpp, src/gui/status.h, src/net/buysellhandler.cpp,
	src/net/charserverhandler.cpp, src/net/chathandler.cpp,
	src/net/equipmenthandler.cpp, src/net/npchandler.cpp,
	src/net/playerhandler.cpp, src/net/protocol.cpp,
	src/net/tradehandler.cpp: Added a class for NPCs. Removed network
	stuff from a bunch of gui dialog classes. Cleaned up some gui class
	declarations and checked a bunch of includes for being useless.

2006-01-19  Eugenio Favalli  <elvenprogrammer@gmail.com>

	* INSTALL, README, The Mana World.dev, data/help/support.txt,
	docs/INSTALL/debian.txt, docs/INSTALL/win32.txt, docs/progression.txt:
	Updated infos on new irc channel.

2006-01-14  Björn Steinbrink  <B.Steinbrink@gmx.de>

	* src/main.cpp, src/main.h, src/gui/char_server.cpp,
	src/gui/char_server.h: Moved network code out of the
	ServerSelectDialog.
	* src/gui/char_select.cpp, src/gui/char_select.h: Change setPlayerInfo
	to updatePlayerInfo, as there's now a convenient wrapper around the
	plain data.
	* src/Makefile.am, src/lockedarray.cpp, src/lockedarray.h,
	src/main.cpp, src/gui/char_select.cpp, src/gui/char_select.h,
	src/gui/char_server.cpp, src/net/charserverhandler.cpp,
	src/net/charserverhandler.h, src/net/network.cpp, src/net/network.h:
	Created a single CharServerHandler. Created a LockedArray class to
	"synchronize" access to arrays. Moved a bunch of networking out of the
	char server related gui classes.
	* src/Makefile.am, src/logindata.h, src/main.cpp, src/main.h,
	src/gui/login.cpp, src/gui/login.h, src/gui/register.cpp,
	src/gui/register.h: Removed network code from login and register
	dialogs.
	* src/gui/login.cpp, src/gui/login.h: Removed unused var.
	* src/main.cpp, src/gui/char_select.cpp, src/gui/char_select.h,
	src/gui/char_server.cpp, src/gui/char_server.h,
	src/gui/connection.cpp, src/gui/connection.h, src/gui/error.cpp,
	src/gui/error.h, src/gui/login.cpp, src/gui/login.h,
	src/gui/register.cpp, src/gui/register.h, src/gui/updatewindow.cpp,
	src/gui/updatewindow.h: Removed the pre-game input handlers and
	unified them in main.cpp. Some header and class cleanups.
	* src/net/maploginhandler.cpp, src/net/maploginhandler.h,
	src/Makefile.am, src/engine.cpp, src/engine.h, src/game.cpp,
	src/main.cpp, src/gui/connection.cpp, src/gui/connection.h,
	src/net/playerhandler.cpp: Made changeMap() care about sending the
	map-loaded message. Removed network stuff from connection dialog.

2006-01-13  Björn Steinbrink  <B.Steinbrink@gmx.de>

	* src/Makefile.am, src/gui/login.cpp, src/gui/login.h,
	src/gui/register.cpp, src/net/loginhandler.cpp,
	src/net/loginhandler.h: Remove duplicated code by unifying the message
	handlers for login and register.
	* src/gui/char_server.cpp, src/gui/char_server.h: Removed the polling
	loop.
	* src/gui/char_select.cpp, src/gui/char_select.h: Remove destructor
	again, no idea why the compiler complained earlier.
	* src/gui/char_select.cpp, src/gui/char_select.h: Created a message
	handler for character creation and cleaned up the header file.
	* src/gui/register.cpp, src/gui/register.h: Added a message handler
	and removed the polling loop.
	* src/net/network.cpp: Add recognition of disconnects.
	* src/gui/connection.cpp, src/gui/connection.h,
	src/net/playerhandler.cpp: Removed the polling loop and the duplicate
	login message handler.
	* src/gui/login.cpp, src/gui/login.h: Remove polling loop, the new
	network code takes care of all that.
	* src/net/network.cpp: Make sure that we don't send anything when not
	connected.
	* src/gui/login.cpp: Added a handler for network messages.
	* src/game.cpp, src/net/beinghandler.cpp, src/net/beinghandler.h,
	src/net/buysellhandler.cpp, src/net/buysellhandler.h,
	src/net/chathandler.cpp, src/net/chathandler.h,
	src/net/equipmenthandler.cpp, src/net/equipmenthandler.h,
	src/net/inventoryhandler.cpp, src/net/inventoryhandler.h,
	src/net/itemhandler.cpp, src/net/itemhandler.h,
	src/net/messagehandler.cpp, src/net/messagehandler.h,
	src/net/npchandler.cpp, src/net/npchandler.h,
	src/net/playerhandler.cpp, src/net/playerhandler.h,
	src/net/skillhandler.cpp, src/net/skillhandler.h,
	src/net/tradehandler.cpp, src/net/tradehandler.h: Reverted the patch
	to make the handlers register themselves, this just cannot work.
	* src/game.cpp: Small cleanup.
	* src/game.cpp, src/localplayer.cpp, src/localplayer.h: Made emote() a
	method of the LocalPlayer class.

2006-01-12  Björn Steinbrink  <B.Steinbrink@gmx.de>

	* src/game.cpp, src/main.cpp, src/net/beinghandler.cpp,
	src/net/beinghandler.h, src/net/buysellhandler.cpp,
	src/net/buysellhandler.h, src/net/chathandler.cpp,
	src/net/chathandler.h, src/net/equipmenthandler.cpp,
	src/net/equipmenthandler.h, src/net/inventoryhandler.cpp,
	src/net/inventoryhandler.h, src/net/itemhandler.cpp,
	src/net/itemhandler.h, src/net/messagehandler.cpp,
	src/net/messagehandler.h, src/net/npchandler.cpp,
	src/net/npchandler.h, src/net/playerhandler.cpp,
	src/net/playerhandler.h, src/net/skillhandler.cpp,
	src/net/skillhandler.h, src/net/tradehandler.cpp,
	src/net/tradehandler.h: Added a constructor parameter to the
	MessageHandler class to support it self-registering to a network.
	* src/game.cpp, src/net/beinghandler.cpp, src/net/network.cpp,
	src/net/network.h, src/net/playerhandler.cpp: Moved the last few
	messages out of the game loop into handlers. Added logging of
	unhandled messages to the network class.
	* src/Makefile.am, src/game.cpp, src/net/skillhandler.cpp,
	src/net/skillhandler.h: Added a dedicated handler for skill messages.
	* src/game.cpp, src/net/beinghandler.cpp: Moved some messages into the
	being message handler.
	* src/net/playerhandler.cpp: Fixed death listener.
	* src/Makefile.am, src/game.cpp, src/net/playerhandler.cpp,
	src/net/playerhandler.h: Added a dedicated handler for player
	messages.
	* src/game.cpp, src/net/chathandler.cpp: Moved WHO answer and some MVP
	thing into the chat handler.
	* src/Makefile.am, src/game.cpp, src/net/npchandler.cpp,
	src/net/npchandler.h: Added a dedicated handler for npc messages.
	* src/Makefile.am, src/game.cpp, src/net/itemhandler.cpp,
	src/net/itemhandler.h: Added a dedicated handler for item messages.
	* src/net/messagehandler.cpp, src/Makefile.am, src/game.cpp,
	src/gui/char_select.cpp, src/gui/char_server.cpp,
	src/gui/connection.cpp, src/net/messagehandler.h, src/net/network.cpp,
	src/net/tradehandler.cpp, src/net/tradehandler.h: Made the
	MessageHandler class aware of the network it is listening to and
	unregistering itself.
	* src/Makefile.am, src/beingmanager.cpp, src/beingmanager.h,
	src/engine.cpp, src/game.cpp, src/net/beinghandler.cpp,
	src/net/beinghandler.h: Added a dedicated handler for being messages.
	Made the beingManager care about map changes.
	* src/net/network.cpp: Removed some debug output.
	* src/Makefile.am, src/game.cpp, src/net/inventoryhandler.cpp,
	src/net/inventoryhandler.h: Added a dedicated handler for inventory
	messages.
	* src/game.cpp, src/inventory.cpp, src/inventory.h,
	src/localplayer.cpp, src/localplayer.h, src/gui/trade.cpp,
	src/net/buysellhandler.cpp, src/net/equipmenthandler.cpp,
	src/net/tradehandler.cpp: Added delegation methods for inventory stuff
	to the LocalPlayer class. Removed some unneeded includes.
	* src/Makefile.am, src/game.cpp, src/net/equipmenthandler.cpp,
	src/net/equipmenthandler.h: Added a dedicated handler for equipment
	messages.
	* src/game.cpp, src/localplayer.h: Removed unions, array are indexed
	by the existing enums now.
	* src/Makefile.am, src/game.cpp, src/net/buysellhandler.cpp,
	src/net/buysellhandler.h: Added a dedicated handler for buy and sell
	messages.
	* src/Makefile.am, src/game.cpp, src/net/chathandler.cpp,
	src/net/chathandler.h, src/net/tradehandler.cpp: Added a dedicated
	handler for chat messages.

2006-01-11  Björn Steinbrink  <B.Steinbrink@gmx.de>

	* src/Makefile.am, src/game.cpp, src/game.h, src/gui/popupmenu.cpp,
	src/gui/requesttrade.h, src/net/messagehandler.h, src/net/network.cpp,
	src/net/network.h, src/net/tradehandler.cpp, src/net/tradehandler.h:
	Added a dedicated handler for trade messages.
	* gui/char_select.cpp, gui/char_server.cpp, gui/connection.cpp,
	net/messagehandler.h, net/network.cpp: Fixed a memory leak.
	* src/Makefile.am, src/game.cpp, src/localplayer.cpp, src/main.cpp,
	src/gui/char_select.cpp, src/gui/char_select.h,
	src/gui/char_server.cpp, src/gui/char_server.h,
	src/gui/connection.cpp, src/gui/connection.h, src/gui/gui.cpp,
	src/gui/popupmenu.cpp, src/net/messagehandler.h, src/net/network.cpp,
	src/net/network.h, src/net/protocol.cpp, src/net/protocol.h: Fixed
	networking thread. Made skip calls queuable. Added MessageHandler base
	class and added derived message handlers for some stuff.
	* src/being.h, src/beingmanager.cpp, src/beingmanager.h,
	src/game.cpp, src/game.h, src/localplayer.cpp, src/localplayer.h,
	src/main.cpp, src/gui/buy.cpp, src/gui/buy.h, src/gui/buysell.cpp,
	src/gui/buysell.h, src/gui/char_select.cpp, src/gui/char_select.h,
	src/gui/char_server.cpp, src/gui/char_server.h, src/gui/chat.cpp,
	src/gui/chat.h, src/gui/connection.cpp, src/gui/connection.h,
	src/gui/gui.cpp, src/gui/login.cpp, src/gui/login.h, src/gui/npc.cpp,
	src/gui/npc.h, src/gui/npc_text.cpp, src/gui/npc_text.h,
	src/gui/popupmenu.cpp, src/gui/register.cpp, src/gui/register.h,
	src/gui/requesttrade.cpp, src/gui/requesttrade.h, src/gui/sell.cpp,
	src/gui/sell.h, src/gui/skill.cpp, src/gui/skill.h,
	src/gui/status.cpp, src/gui/status.h, src/gui/trade.cpp,
	src/gui/trade.h, src/net/messageout.cpp, src/net/messageout.h,
	src/net/network.cpp, src/net/network.h, src/net/protocol.cpp,
	src/net/protocol.h: Created a network class.

2006-01-10  Philipp Sehmisch  <tmw@crushnet.org>

	* data/graphics/tiles/Woodland.png: color modifications
	* data/maps/new_9-1.tmx.gz: some more errors fixed

2006-01-09  Eugenio Favalli  <elvenprogrammer@gmail.com>

	* src/game.cpp: Fixed canceled/cancelled inconsistency.

2006-01-08  Björn Steinbrink  <B.Steinbrink@gmx.de>

	* src/floor_item.cpp, src/floor_item.h, src/game.cpp,
	src/localplayer.cpp, src/localplayer.h, src/gui/gui.cpp,
	src/gui/popupmenu.cpp, src/net/protocol.cpp, src/net/protocol.h: Made
	find_floor_item_by_cor return the item instead of its id. Made pickUp
	a method of the LocalPlayer class.
	* equipment.cpp, equipment.h, game.cpp, inventory.cpp, inventory.h,
	localplayer.cpp, localplayer.h, gui/equipmentwindow.cpp,
	gui/inventorywindow.cpp, gui/item_amount.cpp, gui/popupmenu.cpp: Made
	inventory and equipment properties of the LocalPlayer class.
	* src/game.cpp, src/game.h, src/gui/connection.cpp: Removed some
	globals.

2006-01-07  Björn Steinbrink  <B.Steinbrink@gmx.de>

	* src/game.cpp, src/localplayer.cpp, src/localplayer.h: Created a walk
	method for LocalPlayer.

2006-01-07  Eugenio Favalli  <elvenprogrammer@gmail.com>

	* data/maps/new_9-1.tmx.gz: Crush fixed the issues reported on wiki.
	* The Mana World.dev, src/game.cpp, src/gui/setup.cpp, src/gui/setup.h,
	src/main.cpp: Removed --skipupdate option from Dev.Cpp project file,
	splitted the setup window into 3 tabs and added a joystick calibration
	tool.

2006-01-06  Björn Steinbrink  <B.Steinbrink@gmx.de>

	* src/game.cpp, src/localplayer.cpp: Changed semantics for auto
	target. The player now keeps attacking the select target till he
	selects an other one, and not just by running into another one.
	* src/being.cpp, src/beingmanager.cpp, src/beingmanager.h,
	src/game.cpp, src/localplayer.h, src/gui/char_select.cpp,
	src/gui/char_server.cpp: Fix local player id being wrongly assigned
	causing various issues.
	* src/gui/status.cpp: Fix attributes not being shown.
	* src/Makefile.am, src/being.cpp, src/being.h, src/beingmanager.cpp,
	src/beingmanager.h, src/engine.cpp, src/game.cpp, src/game.h,
	src/localplayer.cpp, src/localplayer.h, src/main.cpp, src/map.cpp,
	src/monster.cpp, src/monster.h, src/player.cpp, src/player.h,
	src/playerinfo.h, src/gui/char_select.cpp, src/gui/char_select.h,
	src/gui/char_server.cpp, src/gui/chargedialog.cpp, src/gui/chat.cpp,
	src/gui/gui.cpp, src/gui/inventorywindow.cpp, src/gui/minimap.cpp,
	src/gui/ministatus.cpp, src/gui/popupmenu.cpp, src/gui/skill.cpp,
	src/gui/status.cpp, src/gui/status.h, src/net/protocol.cpp,
	src/net/protocol.h: Created subclasses of the Being class to move
	specific code there. Added a BeingManager to remove use of globals.
	Moved PLAYERINFO stuff into the new LocalPlayer class.

2006-01-05  Björn Steinbrink  <B.Steinbrink@gmx.de>

	* engine.cpp, engine.h, game.cpp, game.h, gui/buysell.h,
	gui/chargedialog.h, gui/debugwindow.cpp, gui/debugwindow.h, gui/gui.h,
	gui/ministatus.h, gui/npc_text.h, gui/sell.h, gui/setup.h: Remove some
	useless code.

2006-01-04  Eugenio Favalli  <elvenprogrammer@gmail.com>

	* src/Makefile.am, src/gui/char_select.cpp, src/gui/char_select.h,
	src/gui/char_server.cpp, src/gui/confirm_dialog.cpp,
	src/gui/confirm_dialog.h, src/gui/ok_dialog.cpp, src/gui/ok_dialog.h,
	src/gui/trade.cpp, src/playerinfo.h: Reverted r0nny changes, enabled 3
	slots to create players, smoothed player deletion.

2006-01-04  Icy  <icywolf@web.de>

	* src/game.cpp, src/main.cpp, src/main.h: FreeBSD fixes to The Mana
	World.

2006-01-03  Eugenio Favalli  <elvenprogrammer@gmail.com>

	* src/game.cpp, src/gui/chat.cpp, src/gui/chat.h, src/gui/login.cpp,
	src/gui/trade.cpp: Really disabled /commands and added proper message
	when logging in and banned.
	* src/game.cpp, src/gui/chat.cpp, src/gui/chat.h, src/net/protocol.h:
	Enabled some /commands.
	* src/main.cpp: Fixed a compile warning with GCC 4.1.

2006-01-02  Eugenio Favalli  <elvenprogrammer@gmail.com>

	* src/gui/char_select.cpp, src/gui/char_select.h,
	src/gui/char_server.cpp, src/gui/login.cpp, src/gui/register.cpp:
	Smoothed also character creation, buttons are now disabled during
	connection/data phase.

2006-01-01  Björn Steinbrink  <B.Steinbrink@gmx.de>

	* src/gui/login.cpp, src/gui/login.h: Remove tracking of OkDialog, the
	garbage collection stuff takes care of deletion and breaks manual
	tracking.

2006-01-01  Bjørn Lindeijer  <bjorn@lindeijer.nl>

	* src/main.cpp: Applied patch by pclouds that allows for a faster
	login sequence by providing the username and password from the command
	line, and allowing the client to choose the default server and
	character.

2005-12-30  Bjørn Lindeijer  <bjorn@lindeijer.nl>

	* src/gui/chat.cpp, src/gui/chat.h: Applied patch by pclouds to have
	the chat window temporarily become visible when chatting while it is
	hidden.

2005-12-30  Eugenio Favalli  <elvenprogrammer@gmail.com>

	* The Mana World.dev, data/graphics/sprites/items.png,
	data/items.xml, src/Makefile.am, src/gui/char_select.cpp,
	src/gui/char_server.cpp, src/gui/login.cpp, src/gui/login.h,
	src/main.cpp, src/main.h, src/net/network.cpp, src/net/network.h,
	src/gui/register.cpp, src/gui/register.h: Added a new item, improved
	smooth login sequence, added a registration window (a lot of
	duplicated code to be removed).

2005-12-29  Eugenio Favalli  <elvenprogrammer@gmail.com>

	* The Mana World.dev, data/maps/new_10-1.tmx.gz,
	src/gui/char_select.cpp, src/gui/char_select.h, src/gui/char_server.cpp,
	src/gui/char_server.h, src/gui/connection.cpp, src/gui/connection.h,
	src/gui/login.cpp, src/gui/login.h, src/net/network.h: Restored Dev-Cpp
	default execution options, updated walkmap in snow map, smoothed login
	sequence.

2005-12-29  Jan-Fabian Humann  <malastare@gmx.net>

	* src/gui/gui.cpp: Added rather ugly workaround to prevent a on-start
	crash by Doener. Fixed GCC 3.3.6 and 4.x paranthesis problem, patch
	by r0nny. Fixed popupMenu not showing on items.

2005-12-29  Björn Steinbrink  <B.Steinbrink@gmx.de>

	* src/game.cpp, src/gui/popupmenu.cpp, src/net/protocol.cpp: Remove
	duplicated code for picking up items as patched by pclouds.
	* src/game.cpp, src/gui/gui.cpp, src/gui/gui.h,
	src/gui/inventorywindow.cpp, src/gui/popupmenu.h: Added popup support
	to the Gui and moved the according code there to get rid of some nasty
	hack that made them disappear.
	* src/game.cpp, src/gui/gui.cpp, src/gui/gui.h,
	src/gui/inventorywindow.cpp, src/gui/popupmenu.h,
	src/net/protocol.cpp, src/net/protocol.h: Moved all mouse input code
	into the Gui class.

2005-12-26  Duane Bailey  <nayryeliab@gmail.com>

	* src/main.h: Fixed define problems with The_Mana_World_private.h.

2005-12-25  Bjørn Lindeijer  <bjorn@lindeijer.nl>

	* src/being.cpp: Small fix to prevent other stuff than the damage
	numbers from fading out.

2005-12-24  Bjørn Lindeijer  <bjorn@lindeijer.nl>

	* src/map.cpp: Worked around fringe layer drawing bug at the bottom.
	* src/main.cpp: When compiling with OpenGL support, it'll default to
	using OpenGL on only Windows and Mac. These systems are known to have
	stable acceleration most of the time.
	* NEWS, configure.ac, The Mana World.dev: Updated in preparation of
	release 0.0.18.1.

2005-12-20  Bjørn Lindeijer  <bjorn@lindeijer.nl>

	* configure.ac: Changed version to 0.0.18.

2005-12-18  Eugenio Favalli  <elvenprogrammer@gmail.com>

	* data/maps/new_10-1.tmx.gz, src/main.cpp: Removed unused code and
	added changes to snowy map by Bertram.

2005-12-15  Eugenio Favalli  <elvenprogrammer@gmail.com>

	* src/game.cpp: Fixed setup window behaviour.

2005-12-13  Eugenio Favalli  <elvenprogrammer@gmail.com>

	* data/items.xml: Changed item properties according to eAthena scripting
	capabilities.
	* src/being.cpp: Enabled monster emotions.

2005-12-12  Eugenio Favalli  <elvenprogrammer@gmail.com>

	* The Mana World.dev, data/graphics/tiles/Makefile.am, data/items.xml,
	data/maps/Makefile.am, data/graphics/tiles/Woodland.png,
	data/graphics/tiles/snowset.png, data/maps/new_9-1.tmx.gz,
	data/maps/new_10-1.tmx.gz: Cleaned Dev-Cpp project file, added new
	items definitions and new maps and tilesets.

2005-12-08  Eugenio Favalli  <elvenprogrammer@gmail.com>

	* data/graphics/sprites/monster11.png,
	data/graphics/sprites/monster12.png, data/graphics/sprites/monster13.png,
	data/graphics/sprites/monster14.png, data/graphics/sprites/Makefile.am,
	data/graphics/sprites/items.png, data/graphics/sprites/npcs.png,: Added
	new monsters, items and npcs.

2005-12-05  Bjørn Lindeijer  <bjorn@lindeijer.nl>
	* src/gui/char_server.cpp: Avoid crashing on trying to log the name
	of a non-existing character.
	* src/main.h, src/main.cpp: Display TMW version on Windows too.

2005-11-13  Eugenio Favalli  <elvenprogrammer@gmail.com>

	* The Mana World.dev: Updated Dev-Cpp project file.

2005-11-13  Bjørn Lindeijer  <bjorn@lindeijer.nl>

	* data/maps/new_1-1.tmx.gz, data/maps/new_3-1.tmx.gz,
	data/maps/new_7-1.tmx.gz: Made the three desert maps use the fringe
	layer for objects. Reveals bug with objects disappearing at the bottom
	and still some draw order problems.

2005-10-24  Ferreira Yohann  <Bertram@cegetel.net>

	* src/main.cpp: Add version displaying at startup.
	* docs/INSTALL/debian.txt: Updated Debian Install Doc.

2005-10-20  Björn Steinbrink  <B.Steinbrink@gmx.de>

	* src/gui/item_amount.cpp: Fix scrollbar not being updated when the
	amount is changed using the buttons.
	* src/gui/buddywindow.cpp, src/gui/buddywindow.h, src/gui/buy.cpp,
	src/gui/buy.h, src/gui/char_select.cpp, src/gui/char_select.h,
	src/gui/char_server.cpp, src/gui/chat.cpp, src/gui/help.cpp,
	src/gui/help.h, src/gui/inventorywindow.cpp,
	src/gui/inventorywindow.h, src/gui/item_amount.cpp, src/gui/npc.cpp,
	src/gui/npc.h, src/gui/npc_text.cpp, src/gui/npc_text.h,
	src/gui/scrollarea.cpp, src/gui/scrollarea.h, src/gui/sell.cpp,
	src/gui/sell.h, src/gui/setup.cpp ,src/gui/skill.cpp,
	src/gui/trade.cpp, src/gui/updatewindow.cpp: Add garbage collection to
	the ScrollArea class.
	* src/gui/confirm_dialog.cpp, src/gui/confirm_dialog.h,
	src/gui/connection.cpp, src/gui/connection.h, src/gui/debugwindow.cpp,
	src/gui/debugwindow.h, src/gui/item_amount.cpp, src/gui/item_amount.h,
	src/gui/menuwindow.cpp, src/gui/menuwindow.h, src/gui/ok_dialog.cpp,
	src/gui/ok_dialog.h: Various cleanups and refactorisations.
	* data/help/index.txt: Fix typo, remove spaces on empty lines.

2005-10-19  Duane Bailey  <nayryeliab@gmail.com>

	* data/help/index.txt: Added SDL_net reference.

2005-10-19  Yohann Ferreira  <bertram@cegetel.net>

	* debian/rules, debian/tmw.install, debian/copyright, debian/compat,
	debian/changelog, debian/control, debian/docs, debian/tmw.menu:
	Updated Debian files to get tmw ready for official ITP.

2005-10-19  Björn Steinbrink  <B.Steinbrink@gmx.de>

	* src/resources/resourcemanager.cpp: Fix empty lines not being read
	from text files.
	* src/gui/browserbox.cpp, src/gui/browserbox.h: Code cleanup.
	* src/gui/gccontainer.cpp: Remove debug output.

2005-10-18  Björn Steinbrink  <B.Steinbrink@gmx.de>

	* src/Makefile.am, src/gui/buddywindow.cpp, src/gui/buddywindow.h,
	src/gui/buy.cpp, src/gui/buy.h, src/gui/buysell.cpp,
	src/gui/buysell.h, src/gui/char_select.cpp, src/gui/char_select.h,
	src/gui/char_server.cpp, src/gui/char_server.h,
	src/gui/chargedialog.cpp, src/gui/chargedialog.h, src/gui/chat.cpp,
	src/gui/confirm_dialog.cpp, src/gui/confirm_dialog.h,
	src/gui/connection.cpp, src/gui/connection.h, src/gui/debugwindow.cpp,
	src/gui/debugwindow.h, src/gui/error.h, src/gui/hbox.cpp,
	src/gui/hbox.h, src/gui/help.cpp, src/gui/inttextbox.cpp,
	src/gui/inttextbox.h, src/gui/inventorywindow.cpp,
	src/gui/item_amount.cpp, src/gui/item_amount.h, src/gui/login.cpp,
	src/gui/login.h, src/gui/menuwindow.cpp, src/gui/menuwindow.h,
	src/gui/ministatus.cpp, src/gui/ministatus.h, src/gui/newskill.cpp,
	src/gui/newskill.h, src/gui/npc.cpp, src/gui/npc_text.cpp,
	src/gui/ok_dialog.cpp, src/gui/popupmenu.cpp, src/gui/popupmenu.h,
	src/gui/requesttrade.cpp, src/gui/requesttrade.h, src/gui/sell.cpp,
	src/gui/setup.cpp, src/gui/skill.cpp, src/gui/status.cpp,
	src/gui/status.h, src/gui/tabbedcontainer.cpp, src/gui/trade.cpp,
	src/gui/updatewindow.cpp, src/gui/vbox.cpp, src/gui/vbox.h,
	src/gui/window.cpp, src/gui/window.h, src/gui/windowcontainer.cpp:
	Added automatic widget cleanup to the window class.
	* src/gui/connection.cpp, src/gui/connection.h, src/gui/error.cpp,
	src/gui/status.cpp, src/gui/window.h: Header, whitespace and
	indentation cleanups.

2005-10-16  Duane Bailey  <nayryeliab@gmail.com>

	* src/main.cpp: OpenGL is now default for mac, win, and those who
	define USE_OPENGL
	* src/gui/setup.cpp: made it so those who use and go to fullscreen
	requires a restart (texture/context baddies)

2005-10-16  Björn Steinbrink  <B.Steinbrink@gmx.de>

	* src/being.cpp, src/game.cpp, src/inventory.cpp, src/gui/buy.cpp,
	src/gui/buysell.cpp, src/gui/char_select.cpp, src/gui/char_server.cpp,
	src/gui/chat.cpp, src/gui/connection.cpp, src/gui/login.cpp,
	src/gui/npc.cpp, src/gui/npc_text.cpp, src/gui/popupmenu.cpp,
	src/gui/requesttrade.cpp, src/gui/sell.cpp, src/gui/skill.cpp,
	src/gui/status.cpp, src/gui/trade.cpp, src/net/messagein.cpp,
	src/net/messagein.h, src/net/messageout.cpp, src/net/messageout.h,
	src/net/protocol.cpp: Rename {read,write}{Byte,Short,Long} to
	{read,write}Int{8,16,32}.
	* src/being.cpp, src/engine.cpp, src/engine.h, src/game.cpp,
	src/main.cpp, src/gui/equipmentwindow.cpp, src/gui/itemcontainer.cpp,
	src/resources/resourcemanager.cpp, src/resources/resourcemanager.h:
	Use the ResourceManager to get spritesets.
	* src/being.cpp: Reduce code duplication in the findNode functions and
	use a functor to do the search.
	* src/map.cpp: Some code improvements.
	* src/Makefile.am: Added two missing files.

2005-10-16  Eugenio Favalli  <elvenprogrammer@gmail.com>

	* The Mana World.dev, src/game.cpp, src/gui/char_select.cpp,
	src/gui/char_server.cpp, src/gui/char_server.h, src/gui/connection.cpp,
	src/gui/connection.h, src/gui/login.cpp, src/gui/login.h, src/main.cpp,
	src/main.h, src/net/network.cpp, src/net/network.h,
	src/net/protocol.cpp, src/net/protocol.h: The connection should be
	non-blocking now and fixed the problem with sound not being played at
	startup.

2005-10-15  Björn Steinbrink  <B.Steinbrink@gmx.de>

	* src/engine.cpp: Moved some variables into the conditional block
	where they are used.
	* src/being.cpp: A few changes that make the code look nicer.
	* src/openglgraphics.cpp, src/resources/image.cpp,
	src/resources/image.h: Some small cleanups.
	* src/engine.cpp: Removed some legacy debug code.

2005-10-13  Bjørn Lindeijer  <bjorn@lindeijer.nl>

	* src/game.cpp: Prevent Alt+p/s/f from appearing in chatbox.
	* src/Makefile.am: Some updates for added/removed headers.
	* src/being.cpp: Changed char to signed char for GNU/Linux PPC.

2005-10-13  Björn Steinbrink  <B.Steinbrink@gmx.de>

	* src/engine.cpp, src/gui/browserbox.cpp, src/gui/gui.cpp,
	src/gui/gui.h: Use gcn::Font instead of gcn::ImageFont where the
	former is sufficient.

2005-10-10  Bjørn Lindeijer  <bjorn@lindeijer.nl>

	* src/being.cpp, src/being.h, src/game.cpp: Always compile with debug
	window and hide it on startup. Also added fading out effect on damage
	font (only works in OpenGL).
	* src/Makefile.am: Don't include debugwindow.h/cpp twice.
	* data/graphics/gui/browserfont.png, data/graphics/gui/fixedfont.png,
	data/graphics/gui/rpgfont_wider.png, src/gui/browserbox.cpp,
	src/gui/gui.cpp: Pajarico added more international characters to the
	fixed font and rpg font.
	* src/game.cpp, README, data/helps/commands.txt: Introduced new window
	shortcuts.
	* src/gui/status.cpp: Corrected position of job XP bar.
	* src/data/graphics/tiles/Makefile.am: Forgot to add new tilesets
	here.
	* src/map.cpp: Another small fix to sprite rendering.

2005-10-09  Yohann Ferreira  <bertram@cegetel.net>

	* src/gui/browserbox.cpp, src/gui/ministatus.cpp,
	src/gui/debugwindow.h, src/gui/debugwindow.cpp, src/game.cpp,
	src/engine.cpp, src/Makefile.am: Corrected the white browser font
	bug and the black hp/mp bug which were linked. Added a debug window

2005-10-09  Bjørn Lindeijer  <bjorn@lindeijer.nl>

	* src/being.cpp, src/being.h, src/engine.cpp, src/engine.h,
	src/floor_item.cpp, src/floor_item.h, src/map.cpp, src/map.h,
	src/sprite.h: Made Sprite into an interface implemented by both
	FloorItem and Being, which hook themselves into the map on
	construction. The improved fringe layer is working as expected now.
	* src/equipment.cpp, src/equipment.h, src/game.cpp, src/game.h,
	src/graphics.cpp, src/guichanfwd.h, src/inventory.h,
	src/openglgraphics.cpp, src/sound.cpp, src/gui/chargedialog.cpp,
	src/gui/chargedialog.h, src/gui/chat.cpp, src/gui/chat.h,
	src/gui/equipmentwindow.cpp, src/gui/equipmentwindow.h,
	src/gui/gui.cpp, src/gui/help.cpp, src/gui/inventorywindow.cpp,
	src/gui/item_amount.cpp, src/gui/itemcontainer.cpp,
	src/gui/itemcontainer.h, src/gui/linkhandler.h, src/gui/login.cpp,
	src/gui/menuwindow.cpp, src/gui/newskill.cpp, src/gui/npc_text.cpp,
	src/gui/popupmenu.cpp, src/gui/popupmenu.h, src/gui/progressbar.cpp,
	src/gui/progressbar.h, src/gui/scrollarea.cpp, src/gui/scrollarea.h,
	src/gui/skill.cpp, src/gui/status.cpp, src/gui/trade.h,
	src/gui/window.cpp, src/gui/window.h, src/net/messagein.cpp,
	src/net/packet.cpp, src/net/packet.h, src/resources/image.cpp,
	src/resources/image.h, src/resources/iteminfo.cpp,
	src/resources/iteminfo.h, src/resources/music.cpp,
	src/resources/music.h, src/resources/soundeffect.cpp,
	src/resources/soundeffect.h: Made sure TMW compiles without warnings
	even when using "-Wconversion -Wshadow -Wcast-qual -Wwrite-strings
	-ansi -pedantic", lots of cleanups.
	* src/data/maps/new_3-1.tmx.gz, src/graphics/tiles/desert_x2.png,
	src/graphics/tiled/desert_x3.png: Added two new small tilesets that
	contain the desert tiles that are twice and three times the height of
	a normal tile. One well in new_3-1 has been converted to use the new
	double tiles for testing purposes.
	* src/being.cpp, src/game.cpp, src/engine.cpp: Fixed map switch
	crashing the client, display of [TARGET], Alt keys for toggling
	windows and names to overlap other players.

2005-10-06  Bjørn Lindeijer  <bjorn@lindeijer.nl>

	* src/being.cpp: Modified finding NPC as by timonator's suggestion in
	order to allow NPCs to be clicked on their heads too.
	* src/engine.cpp, src/engine.h, src/floor_item.cpp, src/floor_item.h,
	src/game.cpp, src/map.cpp, src/sprite.h: Added a Sprite class that
	represents something on the map. The map will make sure to draw the
	sprites top to bottom, at the same time as the fringe layer tiles.
	This is currently still only used by the floor items.
	* src/item.cpp, src/item.h: Changed formatting and added
	documentation.
	* src/properies.h: Separated properties class from Map class, in order
	to simplify Map class and to allow properties to be used by other
	classes.

2005-10-06  Björn Steinbrink  <B.Steinbrink@gmx.de>

	* src/being.cpp, src/being.h, src/game.cpp: Use integer types from SDL
	and along the way fixed some long vs. int issues.
	* src/inventory.cpp: Return NULL when no valid item index is given to
	getItem() to bail out early.

2005-10-05  Bjørn Lindeijer  <bjorn@lindeijer.nl>

	* src/engine.cpp, src/main.cpp, src/gui/char_select.cpp,
	src/gui/skill.cpp, src/net/messagein.cpp: Fixed some resource cleanup
	and memory leaks.
	* src/resources/resource.h, src/resources/resourcemanager.cpp:
	Changed the way dangling references to resources are reported to be
	more informative.

2005-10-04  Yohann Ferreira  <bertram@cegetel.net>

	* src/game.cpp, src/gui/menuwindow.cpp, src/gui/inventorywindow.cpp,
	src/gui/equipmentwindow.cpp: Move to top the requested window with
	shortcuts or with menu button, also corrected the default position
	of equipment and inventory windows.
	* src/gui/chat.cpp: Fixed the Chat Window scrolling bug.
	* src/gui/status.cpp, src/gui/ministatus.cpp: Changed the font used
	in mini-status. Dynamised previously statically placed widgets in
	status win to avoid some label over-drawings.
	* src/gui/setup.cpp: Enable the OpenGL Checkbox only if tmw has been
	compiled with its support.

2005-10-02  Bjørn Lindeijer  <bjorn@lindeijer.nl>

	* configure.ac, src/Makefile.am: Added check for pthread library and
	removed manual -lpthread and -lguichan linker flags.
	* src/map.cpp: A small start on supporting other tile height than the
	default (map) tile height.
	* src/gui/window.cpp, src/gui/window.h, src/resources/buddylist.cpp,
	src/resources/buddylist.h: Some cleanups (void argument list was
	something you had to do in C times, not necessary in C++).

2005-09-30  Yohann Ferreira  <bertram@cegetel.net>

	* src/gui/inventorywindow.cpp, src/gui/inventorywindow.h,
	src/gui/window.h src/gui/window.cpp src/gui/setup.cpp: Made the
	inventory Win behave normally when resized by default size functions.

2005-09-29  Yohann Ferreira  <bertram@cegetel.net>

	* src/game.cpp, src/gui/window.h, src/gui/window.cpp, src/gui/setup.h,
	src/gui/setup.cpp, src/gui/chat.cpp, src/gui/inventorywindow.h,
	src/gui/inventorywindow.cpp, src/gui/skill.cpp,
	src/gui/equipmentwindow.cpp, src/gui/menuwindow.cpp,
	src/gui/ministatus.cpp, src/gui/minimap.cpp, src/gui/status.cpp:
	Improved a lot windows reset to default size and pos. Also corrected
	a few the default win position. And moved the setposition from game to
	each win, to clarify the code.

2005-09-29  Bjørn Lindeijer  <bjorn@lindeijer.nl>

	* src/map.cpp, src/map.h, src/tileset.h, src/resources/mapreader.cpp,
	src/resources/mapreader.h: Moved tileset management into the map class
	and made sure the tilesets are cleaned up properly on switching maps.

2005-09-28  Yohann Ferreira  <bertram@cegetel.net>

	* src/gui/updaterwindow.cpp: Fixed the scroll bug in the update window.
	* src/gui/ministatus.h, src/gui/ministatus.cpp: Added HP, MP Display
	in mini-status window.
	* src/gui/window.h, src/gui/window.cpp, src/gui/skill.cpp,
	src/gui/status.cpp, src/gui/equipmentwindow.cpp, src/gui/help.cpp,
	src/gui/inventorywindow.cpp, src/gui/minimap.cpp, src/gui/chat.cpp:
	Added window internal name to later get X, Y, height and width be
	saved.
	* src/gui/window.h, src/gui/window.cpp, src/game.cpp: Load and save X,
	Y, Width and Height of windows when useful.
	* src/gui/setup.cpp, src/gui/setup.h; src/gui/minimap.h: Added a 'Reset
	Windows to Default' Button in the Setup Window.

2005-09-28  Björn Steinbrink  <B.Steinbrink@gmx.de>

	* src/gui/browserbox.cpp: Fix deletion of the gui font because of a
	missing check.
	* src/Makefile.am: Added -Werror to the CXXFLAGS to catch warnings
	easier.
	* src/gui/error.h: Removed unnecessary ambigous inheritance.

2005-09-26  Yohann Ferreira  <bertram@cegetel.net>

	* src/gui/char_select.cpp, debian/control, debian/rules,
	debian/tmw.install, debian/changelog: Updated Debian files and fixed a
	typo let by Elven.

2005-09-26  Eugenio Favalli  <elvenprogrammer@gmail.com>

	* The Mana World.dev, src/Makefile.am, src/game.cpp,
	src/gui/char_select.cpp, src/gui/char_server.cpp, src/gui/error.cpp,
	src/gui/error.h, src/gui/gui.cpp, src/gui/login.cpp,
	src/gui/updatewindow.cpp, src/main.cpp, src/main.h,
	src/net/network.cpp: Added a nicer handling of when you get
	disconnected from the server.
	* src/gui/char_select.cpp, src/gui/skill.cpp, src/main.cpp, src/main.h,
	src/net/network.cpp: Now error message is displayed properly when the
	map server is offline.

2005-09-25  Bjørn Lindeijer  <bjorn@lindeijer.nl>

	* src/openglgraphics.cpp: Fixed taking OpenGL screenshots and in
	addition made it flip the image using just a line buffer instead of a
	buffer for the complete image. Still needs testing on MacOS X.

2005-09-24  Bjørn Lindeijer  <bjorn@lindeijer.nl>

	* src/being.cpp, src/engine.cpp, src/game.cpp, src/main.cpp,
	src/map.cpp, src/sound.cpp, src/gui/char_select.cpp,
	src/gui/char_select.h, src/gui/char_server.cpp, src/gui/char_server.h,
	src/gui/chargedialog.cpp, src/gui/chargedialog.h, src/gui/chat.cpp,
	src/gui/equipmentwindow.cpp, src/gui/login.h, src/gui/setup.cpp,
	src/gui/setup.h, src/gui/status.cpp, src/gui/updatewindow.cpp,
	src/gui/updatewindow.h, src/resources/iteminfo.cpp,
	src/resources/iteminfo.h, src/resources/itemmanager.cpp,
	src/resources/itemmanager.h: Merged most of the changes in
	biggeruniverse's second memory cleanup patch.

2005-09-23  Duane Bailey  <nayryeliab@gmail.com>

	* src/openglgraphics.cpp: Totally redid the OpenGL screenshot method.
	Needs to be tested on lil endian systems. Also made it smoother on
	OpenGL MacOSX.

2005-09-23  Eugenio Favalli  <elvenprogrammer@gmail.com>

	* src/resources/imagewriter.cpp: Reverted the last change that broke
	the screenshots facility.

2005-19-22  Duane Bailey  <nayryeliab@gmail.com>

	* src/net/win2mac.h, src/net/win2mac.cpp: Removed
	* src/net/network.h, src/net/messagein.h, src/net/messageout.h:
	Removed references to win2mac.h
	* src/net/messagein.cpp, src/net/messageout.cpp, src/net/network.cpp:
	Changed byte swapping support to SDL_endian

2005-09-21  Andrej Sinicyn  <andrej4000@gmail.com>

	* src/gui/chat.cpp: Show time of the messages in the chat window.
	* The Mana World.dev: Removed reference to src/gui/stats.* since they
	are in the attic now.

2005-09-20  Bjørn Lindeijer  <bjorn@lindeijer.nl>

	* src/game.cpp, src/gui/ok_dialog.cpp, src/gui/ok_dialog.h,
	src/gui/window.cpp: Enter is used to dismiss dialogs currently,
	removed the hacks for use in combination with non-modal dialogs that
	made the game crash.
	* src/openglgraphics.cpp: Changed glColor4f to glColor4ub.

2005-09-19  Bjørn Lindeijer  <bjorn@lindeijer.nl>

	* configure.ac: Replaced custom function FIND_PATH with AC_PATH_PROG,
	used for finding sdl-config.
	* src/Makefile.am: Removed -lphysfs which should be added
	automatically already.
	* src/engine.cpp, src/game.h, src/game.cpp, src/openglgraphics.h,
	src/gui/popupmenu.cpp, src/net/messagein.cpp, src/net/messageout.cpp,
	src/net/win2mac.h, src/net/win2mac.cpp: Some cleanups.
	* src/game.cpp: Actually show the overweight message, and only show it
	once for each time weight goes above half the max weight (apparently
	this code wasn't even tested once).
	* src/graphics.cpp: Surfaces passed to SDL_BlitSurface shouldn't be
	locked according to the manual.
	* src/main.cpp: Minimal fps limit is now 10 fps.
	* src/gui/updatewindow.cpp: Reverted change by Bertram that hardcoded
	the updatehost value.

2005-09-19  Eugenio Favalli  <elvenprogrammer@gmail.com>

	* src/game.cpp, src/gui/trade.cpp, src/gui/updatewindow.cpp,
	src/inventory.cpp: Removed useless flush() calls.
	* src/being.cpp, src/game.cpp, src/gui/buy.cpp, src/gui/buysell.cpp,
	src/gui/char_select.cpp, src/gui/char_server.cpp, src/gui/chat.cpp,
	src/gui/login.cpp, src/gui/npc.cpp, src/gui, npc_text.cpp,
	src/gui/popipmenu.cpp, src/gui/requesttrade.cpp, src/gui/sell.cpp,
	src/gui/skill.cpp, src/gui/status.cpp, src/gui/trade.cpp,
	src/inventory.cpp, src/net/messageout.cpp, src/net/network.cpp,
	src/net/network.h, src/net/protocol.cpp: Got rid of writeSet() calls.
	* data/graphics/sprites/monster2.png: Fixed some non very bright pixels.

2005-09-18  Eugenio Favalli  <elvenprogrammer@gmail.com>

	* The Mana World.dev, src/gui/npc.cpp: Updated dev-cpp project file to
	last changes, and fixed the bug with npc lists I introduced earlier.
	* data/items.xml: Updated the defense value of fancy hat as pointed out
	by xand.
	* src/game.cpp, src/gui/gui.cpp, src/gui/updatewindow.cpp,
	src/main.cpp, src/resources/mapreader.cpp: Applied biggeruniverse's
	patch to fix memory leaks.
	* src/game.cpp, src/main.cpp: Increased joypad tolerance which is safer
	and simplifyed joypad state reset code.

2005-09-18  Duane Bailey  <nayryeliab@gmail.com>

	* game.cpp: Added weight notice; now notifies person when they
	are carrying more then half their weight

2005-09-18  Yohann Ferreira  <bertram@cegetel.net>

	* src/game.cpp, src/graphics.cpp, src/graphics.h,
	src/resources/imagewriter.cpp, src/resources/imagewriter.h:
	Made the saveScreenShot makes its screenshots under user home dir in
	*nices, made it more C++ way to avoid a leak, and made it check
	for existence of a file with same name before writing; In that
	case the screenshot's number is incremented until it finds
	an adequate name.
	* src/gui/updatewindow.cpp: Corrected a bug in the determination
	of the update host I had.
	* src/gui/updatewindow.cpp, src/playerinfo.h, debian/control,
	debian/changelog: Corrected a range value bug for derived stats.
	Fixed the percentage of the update win, updated debian information.
	* src/gui/status.cpp: As m[a]tt noticed, made the status win a
	little more wide, and resizable.

2005-09-18  Björn Steinbrink  <B.Steinbrink@gmx.de>

	* src/game.cpp, src/graphics.cpp, src/graphics.h: Move the writing
	logic out of the Graphics class once again... Some cleanups in the
	screenshot filename selection code.
	* src/resources/imagewriter.cpp: Small cleanups.
	* src/Makefile.am, src/game.cpp, src/graphics.cpp, src/graphics.h,
	src/openglgraphics.cpp, src/openglgraphics.h: Changed saveScreenshot
	function in Graphics to getScreenshot. We now use the ImageWriter to
	save that screenshot.
	* src/resources/imagewriter.cpp, src/resources/imagewriter.h: Added
	ImageWriter class that provides a function to save a SDL surface as
	png.

2005-09-17  Duane Bailey  <nayryeliab@gmail.com>

	* src/net/messagin.cpp, src/net/messageout.cpp, src/net/network.cpp:
	removed replaced MACOSX defines with big endian defines
	* src/graphics.cpp, src/graphics.h: added screenshot method
	* src/game.cpp: added code, so that when one presses 'alt-p' (for
	picture), it takes a screenshot and saves it to a png
	* src/Makefile.am, config.ac: added png library stuff

2005-09-17  Matthias Hartmann  <hartmann.matthias@gmail.com>

	* src/engine.cpp: [TARGET] text over player
	* src/game.cpp, src/game.h: PVP
	* src/gui/popupmenu.cpp: Added "attack" option to the popupmenu
	* src/net/protocol.cpp: findPlayer

2005-09-17  Bjørn Lindeijer  <bjorn@lindeijer.nl>

	* src/engine.cpp, src/game.cpp: Indent properly.

2005-09-17  Björn Steinbrink  <B.Steinbrink@gmx.de>

	* configure.ac: Fix typo.
	* src/Makefile.am: Remove useless (duplicate) -lpng.
	* src/graphics.cpp: Add missing cstdarg header.
	* src/net/messagein.cpp: Fix some funny looking preprocessor
	statement.
	* src/net/messageout.cpp: Readd SDLnet header, for changed
	preprocessor stuff.
	* src/game.h: Remove inclusion of being.h, there was a forward
	declaration of class Being anyways...
	* src/openglgraphics.cpp: Use gl{Push,Pop}Matrix instead of
	calculating offsets, cause the values are stored as float and aren't
	accurate enough.

2005-09-17  Eugenio Favalli  <elvenprogrammer@gmail.com>

	* The Mana World.dev, src/gui/skill.cpp: Updated to last changes, and
	wrong names fixes.
	* src/being.cpp, src/game.cpp, src/gui/buy.cpp, src/gui/buysell.cpp,
	src/gui/char_select.cpp, src/gui/char_server, src/gui/chat.cpp,
	src/gui/npc.cpp, src/gui/npc_text.cpp, src/gui/popupmenu.cpp,
	src/gui/requesttrade.cpp, src/gui/sell.cpp, src/gui/skill.cpp,
	src/gui/status.cpp, src/gui/trade.cpp, src/inventory.cpp,
	src/net/messageout.cpp, src/net/network.cpp, src/net/network.h,
	src/net/protocol.cpp, src/net/protocol.h: Completed transition to use
	MessageOut.

2005-09-17  Yohann Ferreira  <bertram@cegetel.net>

	* src/game.cpp, src/gui/ministatus.cpp, src/gui/ministatus.h,
	src/gui/menuwindow.h, src/gui/menuwindow.cpp, src/gui/status.cpp,
	src/gui/status.h: Improving General Layout.
	* src/games.cpp, src/playerinfo.h, src/gui/char_server.cpp,
	src/gui/char_select.cpp, src/gui/ministatus.cpp, src/gui/skill.cpp,
	src/gui/status.cpp, src/gui/status.h: Now the derived stats values
	are got from the server, and then, are correct ones.
	* src/gui/minimap.cpp: Only shows the Minimap Window if there's
	actually a minimap to the current map.
	* src/gui/status.cpp, src/game.cpp: The derived stats are now updated
	correctly upon equipping/unequipping.

2005-09-16  Bjørn Lindeijer  <bjorn@lindeijer.nl>

	* src/resources/image.cpp: Report which error occured when loading of
	an image fails.

2005-09-14  Björn Steinbrink  <B.Steinbrink@gmx.de>

	* src/game.cpp: Fix missing parentheses in a negated check.
	* src/engine.cpp, src/engine.h, src/game.cpp: Moved Map management
	code completely into engine.cpp.
	* src/net/messagein.cpp, src/net/messagein.h, src/net/messageout.cpp,
	src/net/messageout.h: Added stream operators for char, short and long
	reading and writing.
	* src/game.cpp, src/log.cpp, src/main.cpp, src/gui/char_select.cpp,
	src/gui/char_server.cpp, src/gui/login.cpp, src/net/messageout.cpp,
	src/net/messageout.h, src/net/network.cpp, src/net/network.h,
	src/net/packet.cpp, src/net/protocol.cpp: Header cleanups.
	* src/gui/popupmenu.cpp, src/gui/sell.cpp: Use cassert instead of
	assert.h.
	* src/net/network.cpp: Add missing cassert header, remove some unused
	headers.
	* src/net/messagein.cpp: Add missing cassert header.
	* src/being.cpp, src/being.h, src/game.cpp: Made Being::setDamage
	accept a short instead of a string.
	* src/game.cpp, src/game.h, src/gui/char_select.cpp: Converted
	map_path from char array to std::string.

2005-09-13  Eugenio Favalli  <elvenprogrammer@gmail.com>

	* The Mana World.dev: Updated to last changes.
	* The Mana World.dev: Added latest changes to the proper branch.
	* src/gui/login.cpp, src/net/messageout.cpp, src/net/messageout.h,
	src/net/network.cpp, src/net/network.h: Started to use MessageOut to
	send login data.

2005-09-13  Björn Steinbrink  <B.Steinbrink@gmx.de>

	* ChangeLog, The Mana World.dev, configure.ac, src/Makefile.am,
	src/being.cpp, src/being.h, src/engine.cpp, src/floor_item.cpp,
	src/floor_item.h, src/game.cpp, src/game.h, src/inventory.cpp,
	src/log.h, src/main.cpp, src/playerinfo.h, src/serverinfo.h,
	src/gui/buy.cpp, src/gui/buysell.cpp, src/gui/char_select.cpp,
	src/gui/char_server.cpp, src/gui/chargedialog.cpp, src/gui/chat.cpp,
	src/gui/inventorywindow.cpp, src/gui/login.cpp, src/gui/npc.cpp,
	src/gui/npc.h, src/gui/npc_text.cpp, src/gui/npc_text.h,
	src/gui/popupmenu.cpp, src/gui/requesttrade.cpp,
	src/gui/requesttrade.h, src/gui/sell.cpp, src/gui/skill.cpp,
	src/gui/stats.cpp, src/gui/status.cpp, src/gui/status.h,
	src/gui/trade.cpp, src/net/messagein.cpp, src/net/messagein.h,
	src/net/messageout.cpp, src/net/messageout.h, src/net/network.cpp,
	src/net/network.h, src/net/packet.cpp, src/net/packet.h,
	src/net/protocol.cpp, src/net/protocol.h, src/net/win2linux.h,
	src/net/win2mac.cpp, src/net/win2mac.h: Merged with SDL_NET_TEST
	branch.
	* src/being.cpp, src/being.h, src/game.cpp: Simplify remove_node.
	* src/being.cpp, src/being.h, src/game.cpp: Merged createBeing and
	add_node into createBeing.
	* src/main.cpp, src/main.h, src/gui/char_select.cpp,
	src/gui/login.cpp: Removed some globals.
	* src/main.cpp, src/main.h, src/gui/char_select.cpp,
	src/gui/char_select.h, src/gui/char_server.cpp, src/gui/char_server.h,
	src/gui/login.cpp, src/gui/login.h, src/gui/updatewindow.cpp,
	src/gui/updatewindow.h: Unified the loops for the various dialogs that
	are shown before the actual game starts.
	* src/gui/login.cpp: Removed a close_session call i missed.
	* src/gui/login.cpp: Close the session only when it was opened.

2005-09-13  Bjørn Lindeijer  <bjorn@lindeijer.nl>

	* src/floor_item.cpp, src/floor_item.h, src/engine.cpp,
	popupmenu.cpp: Made members private and provided more convenient
	constructor.
	* src/net/messageout.cpp: Fixed bug in destructor.
	* src/net/network.cpp: Initialize buffers and enforce only a single
	session at a time.
	* src/game.cpp, src/net/protocol.h: Converted all incoming messages
	handled in game.cpp to use the MessageIn class. This is a huge change
	so please test if everything is still working correctly.
	* src/gui/npc.cpp, src/gui/npc.h, src/gui/npc_text.cpp,
	src/gui/npc_text.h: Changed argument from char* to std::string for
	convenience.
	* src/gui/setup.cpp, src/gui/setup.h: Enabled OpenGL checkbox and
	added messagebox informing the user that apply this change requires
	restarting the client.
	* src/gui/updatewindow.cpp: Start displaying file progress at 0% and
	some small fixes.

2005-09-12  Björn Steinbrink  <B.Steinbrink@gmx.de>

	* src/Makefile.am, src/gui/browserbox.cpp, src/gui/gui.cpp,
	src/resources/resourcemanager.cpp, src/resources/resourcemanager.h,
	src/resources/sdlimageloader.cpp, src/resources/sdlimageloader.h:
	Added SDLImageLoader to make guichan support physfs. Removed
	ResourceManager::getRealPath() because it's no longer needed.

2005-09-12  Bjørn Lindeijer  <bjorn@lindeijer.nl>

	* data/graphics/gui/hits_blue.png, data/graphics/gui/hits_red.png,
	data/graphics/gui/hits_yellow.png: Made shadow translucent.
	* data/graphics/images/minimap_new_7-1.png: Added this minimap.
	* data/help/changes.txt, data/help/commands.txt: Added 0.0.16 changes.
	* data/maps/new_7-1.tmx.gz: Fixed well being in the wrong layer.

2005-09-11  Bjørn Lindeijer  <bjorn@lindeijer.nl>

	* src/net/network.cpp: Improved error reporting a bit and got rid of
	loop for sending data, which shouldn't be necessary according to
	SDL_net documentation.
	* src/Makefile.am, src/being.cpp, src/being.h, src/engine.cpp,
	src/game.cpp, src/main.cpp, src/playerinfo.h, src/gui/char_server.cpp,
	src/gui/chargedialog.cpp, src/gui/chat.cpp,
	src/gui/inventorywindow.cpp, src/gui/popupmenu.cpp, src/gui/skill.cpp,
	src/gui/stats.cpp, src/gui/status.cpp, src/gui/status.h,
	src/net/protocol.cpp: Changed char_info into the array it's used as
	for character selection and introduced player_info as the pointer to
	the player information. Should help towards support for multiple
	characters on the same account. Also changed PLAYER_INFO name field to
	a std::string.
	* src/net/win2mac.cpp, src/net/win2mac.h: A bit of clean up.
	* src/net/packet.h, src/net/packet.cpp, src/net/messagein.h,
	src/net/messagein.cpp, src/net/messageout.h, src/net/messageout.cpp:
	Added these packet reading/writing helpers, taken from the new server
	in development.
	* src/gui/char_select.cpp: Made new character message be parsed
	using MessageIn. Many other incoming messages should be ready to be
	ported similarly, simplifying the parsing of packets because of
	automatic incrementation of the read position.
	* src/game.cpp, src/game.h, src/gui/popupmenu.cpp,
	src/gui/requesttrade.cpp, src/gui/requesttrade.h: Changed
	tradePartnerName to std::string.
	* src/net/win2linux.h: Removed because it became redundant with
	the use of SDL_net.
	* src/game.cpp, src/game.h, src/gui/char_select.cpp,
	src/net/messagein.cpp, src/net/messagein.h, src/net/network.cpp,
	src/net/network.h: Got rid of usage of Packet by MessageIn,
	simplifying both its usage and implementation. Now also handling
	response to character selection through MessageIn.
	* src/main.cpp, src/serverinfo.h, src/gui/char_select.cpp,
	src/gui/char_server.cpp, src/gui/login.cpp, src/net/network.cpp,
	src/net/network.h, src/net/protocol.cpp, src/net/protocol.h:
	Introduced get_next_message function to reduce duplication of that
	process. Also now MessageIn is used for all incoming messages handled
	during the login sequence.
	* src/being.cpp, src/being.h, src/game.cpp, src/game.h,
	src/inventory.cpp, src/serverinfo.h, src/gui/login.cpp,
	src/gui/trade.cpp, src/net/messagein.cpp, src/net/messagein.h,
	src/net/network.cpp, src/net/protocol.cpp, src/net/protocol.h: Added
	readCoordinates and readCoordinatePair to MessageIn for reading the
	specific ways eAthena sends sends those, and converted part of
	game.cpp to use the MessageIn class. Also simplified cases where
	flush() was still called in a loop for sending and added asserts to
	MessageIn methods.

2005-09-10  Bjørn Lindeijer  <bjorn@lindeijer.nl>

	* src/log.cpp: Committed patch by Nayr for displaying a messagebox
	when an error occurs on MacOS.

2005-09-10  Björn Steinbrink  <B.Steinbrink@gmx.de>

	* configure.ac: Add check for SDL_net.

2005-09-09  Eugenio Favalli  <elvenprogrammer@gmail.com>

	* src/game.cpp: Fixes to dropped items network code

2005-09-09  Bjørn Lindeijer  <bjorn@lindeijer.nl>

	* src/net/win2linux.h: Removed inclusion of malloc.h header as it
	doens't seem necessary and was problematic on FreeBSD.

2005-09-08  Björn Steinbrink  <B.Steinbrink@gmx.de>

	* src/game.cpp: Clean the floor items when the map changes.

2005-08-30  Eugenio Favalli  <elvenprogrammer@gmail.com>

	* README, The Mana World.dev, data/graphics/sprites/items.png,
	data/graphics/sprites/npcs.png, data/help/header.txt,
	data/help/skills.txt, data/items.xml, data/maps/new_8-1.tmx.gz:
	Updated docs for release, fixed Dev-Cpp project file, added more items
	and npcs, fixed the new map and added it to the makefile.

2005-08-31  Björn Steinbrink  <B.Steinbrink@gmx.de>

	* src/openglgraphics.cpp: Fix push/pop of clip area, we need to
	translate using the x/y offset, not the x/y coordinates of the clip
	area. This fixes the broken scrollareas.

2005-08-30  Eugenio Favalli  <elvenprogrammer@gmail.com>

	* The Mana World.dev: Updated project file.
	* data/graphics/sprites/npcs.png, src/gui/sell.cpp: Added empty sprite
	and reorganized spriteset, fixed a typo.

2005-08-29  Björn Steinbrink  <B.Steinbrink@gmx.de>

	* src/Makefile.am, src/configlistener.cpp, src/configlistener.h: Made
	the destructor inline, as it is an interface, we don't need a .cpp
	file, thus it was removed.
	* src/resources/image.cpp, src/resources/image.h,
	src/resources/music.cpp, src/resources/music.h,
	src/resources/resource.cpp, src/resources/resource.h,
	src/resources/resourcemanager.cpp, src/resources/soundeffect.cpp,
	src/resources/soundeffect.h: Removed the setIdPath() method from the
	Resource class and added the idPath as a Constructor parameter, as
	that value is not meant to be changed.

2005-08-29  Eugenio Favalli  <elvenprogrammer@gmail.com>

	* data/maps/new_8-1.tmx.gz: Some layer and walkability fixes.

2005-08-28  Björn Steinbrink  <B.Steinbrink@gmx.de>

	* src/openglgraphics.cpp, src/gui/browserbox.cpp,
	src/gui/buddywindow.cpp, src/gui/buddywindow.h, src/gui/buysell.h,
	src/gui/char_server.h, src/gui/chargedialog.h, src/gui/chat.cpp,
	src/gui/chat.h, src/gui/confirm_dialog.h, src/gui/equipmentwindow.h,
	src/gui/focushandler.h, src/gui/gui.cpp, src/gui/gui.h,
	src/gui/help.h, src/gui/inttextbox.cpp, src/gui/inventorywindow.cpp,
	src/gui/inventorywindow.h, src/gui/item_amount.h,
	src/gui/itemcontainer.cpp, src/gui/listbox.cpp, src/gui/newskill.h,
	src/gui/npc_text.h, src/gui/ok_dialog.h, src/gui/passwordfield.cpp,
	src/gui/requesttrade.h, src/gui/setup.h, src/gui/stats.h,
	src/gui/status.h, src/gui/textbox.cpp, src/gui/textfield.cpp,
	src/gui/trade.h, src/gui/updatewindow.h: Add #include's that just
	weren't necessary because the guichan folks don't provide clean
	headers. This is preparatory for the case that they ever do. ;)
	* src/gui/gui.cpp, src/gui/gui.h: Create a GuiConfigListener class.
	* src/gui/window.h: Small cleanup.
	* src/gui/window.cpp, src/gui/window.h: Create a static ConfigListener
	for the Window class. (Fixes each Window listening to config changes,
	although they only affect a static class member.)

2005-08-27  Björn Steinbrink  <B.Steinbrink@gmx.de>

	* src/gui/npc.cpp: Fix a memory leak.
	* src/game.cpp, src/gui/npc.cpp, src/gui/npc.h: Fix the bug when
	sometimes the last entry in npc list windows is missing. The network
	buffer isn't reset to all zeros, thus we can't rely on the received
	string to be nul-terminated, instead we have to use the length
	parameter we receive from eAthena (and this way we're also safe
	against buffer overflows, because we can use strncpy()).
	* src/gui/window.cpp: Bail out early if there's no window container.
	* src/engine.cpp, src/game.cpp, src/gui/stats.cpp, src/gui/stats.h,
	src/gui/status.cpp, src/gui/status.h: Update the stats and status
	window contents only at a single location and let them do it
	automagically.
	* src/gui/updatewindow.cpp, src/gui/updatewindow.h: Small cleanups.

2005-08-25  Ferreira Yohann  <bertram@cegetel.net>

	* src/gui/buy.h, src/gui/buy.cpp, src/gui/sell.h, src/gui/sell.cpp,
	src/gui/inventorywindow.h, src/gui/inventorywindow.cpp: Added effect
	description to those each windows, and also made some improvements and
	bugfixes as I was on it.
	* data/maps/new_7-1.tmx.gz: Added eyecandy to the map 7-1.

2005-08-26  Björn Steinbrink  <B.Steinbrink@gmx.de>

	* ChangeLog: Fix indentation and line length.
	* docs/HACKING.txt: Fix the example (OOPS!).
	* src/configuration.cpp: Remove dependency on math.h.
	* src/openglgraphics.cpp: Remove useless code.
	* src/openglgraphics.cpp: Use glTranslatef instead of glTranslated.
	Remove some useless code.

2005-08-25  Ferreira Yohann  <bertram@cegetel.net>

	* src/main.h, src/main.cpp, src/gui/login.cpp,
	src/resources/buddylist.cpp, gui/char_select.cpp: Adding min and max
	length check for password, more code cleanups in login and removing
	possible buffer overflows by replacing some global char[] by
	std::strings.
	* src/items.h, src/items.cpp, src/resources/itemmanager.h,
	src/resources/itemmanager.cpp, src/resources/iteminfo.h,
	src/resources/iteminfo.cpp, data/items.xml, data/items.xsd: Added
	Effects description to items.

2005-08-25  Bjørn Lindeijer  <bjorn@lindeijer.nl>

	* ChangeLog: Fixed line length using tab size of 8.
	* src/configuration.h, src/configuration.cpp: Removed some debug code
	and updated documentation a bit.
	* src/resources/resourcemanager.cpp: Removed unused (I think) headers
	for Windows.

2005-08-25  Björn Steinbrink  <B.Steinbrink@gmx.de>

	* src/openglgraphics.cpp: Use the translation capabilities of OpenGL
	instead of doing it ourselves all the time.
	* src/graphics.cpp: Simplify the image rect drawing code a bit and
	remove an obsolete included header.
	* src/openglgraphics.cpp, src/openglgraphics.h: Reduce the code
	duplication even further.
	* src/engine.cpp, src/floor_item.cpp, src/floor_item.h: Move the
	extern declaration for the floor item list into engine.cpp as it's
	only used there.
	* src/log.cpp: Lower indentation level.
	* src/openglgraphics.cpp, src/openglgraphics.h: Reduce code
	duplication.
	* src/configuration.cpp: Fix compilation errors.
	* src/graphics.cpp, src/openglgraphics.cpp, src/gui/button.cpp,
	src/gui/checkbox.cpp, src/gui/equipmentwindow.cpp,
	src/gui/itemcontainer.cpp, src/gui/minimap.cpp,
	src/gui/passwordfield.cpp, src/gui/playerbox.cpp,
	stc/gui/progressbar.cpp, src/gui/radiobutton.cpp,
	src/gui/scrollarea.cpp, src/gui/slider.cpp, src/gui/textfield.cpp,
	src/gui/window.cpp: Made our Graphics::drawImage() method respect the
	clip area from the guichan part. Removed some obsolete code.
	* src/gui/tabbedcontainer.h: Fix include path for guichanfwd.h.
	* src/gui/tabbedcontainer.cpp, src/gui/tabbedcontainer.h: Added a new
	container type, that allows switching between the contents through a
	tab bar at the top of the container.
	* ChangeLog: Fixed intendation and line length.
	* docs/HACKING.txt: Added a notice about line length in ChangeLog and
	an example for the ChangeLog format.

2005-08-24  Ferreira Yohann  <bertram@cegetel.net>

	* src/game.cpp: Simply don't show equipped items in sell dialog as it's
	annoying.
	* src/gui/login.h, src/gui/login.cpp: Code cleanups and improvements
	to the login sequence.

2005-08-23  Björn Steinbrink  <B.Steinbrink@gmx.de>

	* src/gui/shop.h: Fixed using a forward declaration for std::string,
	where it was a class member.
	* src/game.cpp, src/gui/sell.cpp, src/gui/sell.h: Made the sell dialog
	accepts Items instead of looking them up in the inventory.
	* src/gui/sell.cpp: Some code cleanups, simplifications and removal of
	duplicate code.
	* src/gui/buy.cpp, src/gui/sell.cpp, src/gui/shop.h: Avoid possible
	buffer overflows by using a std::string instead of char[30].
	* src/gui/buy.cpp: Some code cleanups, simplifications and removal of
	duplicate code.

2005-08-22  Ferreira Yohann  <bertram@cegetel.net>

	* src/gui/buy.cpp, src/gui/sell.cpp, src/game.cpp: Removed asserts as
	they were not suitable for a stable implementation of buy/sell dialogs
	and made some improvements on them. Still has to clean up code.
	* src/gui/login.h, src/login.cpp: Code cleanups, little improvements of
	the login function.

2005-08-22  Eugenio Favalli  <elvenprogrammer@gmail.com>

	* src/gui/skill.cpp: Disabled use button in skill dialog since is still
	not being used.

2005-08-20  Björn Steinbrink  <B.Steinbrink@gmx.de>

	* src/openglgraphics.cpp: Added some missing state changes and checks.
	* src/gui/inventorywindow.cpp, src/gui/item_amount.cpp,
	src/gui/item_amount.h, src/gui/popupmenu.cpp, src/gui/trade.cpp: Made
	the item amount dialog work on a provided item, instead of having it
	ask the inventory window itself.

2005-08-19  Björn Steinbrink  <B.Steinbrink@gmx.de>

	* src/engine.cpp, src/game.cpp: The engine isn't connected to all the
	gui windows, so move creation from its constructor into the game.cpp
	where most of them are actually used.
	* src/log.cpp, src/log.h, src/main.cpp: Added support for parsing
	command line options. Added option to skip the update process. Made
	logger being created immediately after startup, because some
	destructors use it.

2005-08-18  Eugenio Favalli  <elvenprogrammer@gmail.com>

	* The Mana World.dev, src/game.cpp, src/gui/skill.h, src/gui/skill.cpp:
	Updated reference to latest libxml, fixed a bug in updating skills,
	updated skill names database.

2005-08-18  Björn Steinbrink  <B.Steinbrink@gmx.de>

	* src/Makefile.am, src/graphics.cpp, src/graphics.h, src/main.cpp,
	src/openglgraphics.cpp src/openglgraphics.h, src/gui/gui.cpp,
	src/resources/image.h: Semi-separated OpenGL and SDL graphics classes,
	improves OpenGL performance quite a bit, while rewriting a good bunch
	of code provided by guichan (but maybe we'll diverge so much that we'd
	need that anyways...)

2005-08-17  Eugenio Favalli  <elvenprogrammer@gmail.com>

	* src/configuration.cpp, src/resources/itemmanager.cpp,
	src/resources/mapreader.cpp: Removed special #ifdefs for libxml2
	linking issues in Win32.

2005-08-16  Ferreira Yohann  <bertram@cegetel.net>

	* src/gui/window.h, src/gui/window.cpp: Bugfixing and simplifying
	resize code.
	* debian/*: Updates to the debian packaging files. (The actual update
	was from a few days ago.) Now we have the tmw, tmw-data and tmw-music
	packages.
	* src/gui/setup.h, src/gui/setup.cpp: Now the setup (Config) windows
	works as it should be. (The actual update was from a few days ago.)

2005-08-16  Eugenio Favalli  <elvenprogrammer@gmail.com>

	* The Mana World.dev, src/gui/status.cpp, src/gui/window.cpp,
	src/gui/window.h, src/gui/windowcontainer.h,
	data/graphics/gui/resize.png: Added a resize grip to resizable window,
	fixed some compiling errors.

2005-08-15  Björn Steinbrink  <B.Steinbrink@gmx.de>

	* src/engine.cpp, src/gui/gui.cpp, src/gui/gui.h: Removed guiTop global
	variable.
	* src/graphics.cpp, src/graphics.h, src/main.cpp: Made the OpenGL
	related code fully #ifdef'ed.
	* src/main.cpp, src/gui/browserbox.cpp, src/gui/gui.cpp,
	src/resources/image.cpp, src/resources/image.h: Fully faded out the
	useOpenGL global. Image and Graphics keep track of the mode on their
	own now (the latter will go away once we have separate classes...)
	* src/graphics.cpp, src/graphics.h, src/main.cpp, src/main.h,
	src/gui/browserbox.cpp, src/gui/gui.cpp, src/resources/image.cpp:
	Started to fade out the useOpenGL global variable.
	* src/engine.cpp, src/gui/char_select.cpp, src/gui/char_server.cpp,
	src/gui/chat.cpp, src/gui/gui.cpp, src/gui/gui.h, src/gui/login.cpp,
	src/gui/popupmenu.cpp, src/gui/setup.cpp, src/gui/updatewindow.cpp,
	src/gui/window.cpp: Removed guiGraphics global pointer and removed
	dependencies on gui.h in some places.


2005-08-14  Björn Steinbrink  <B.Steinbrink@gmx.de>

	* src/graphics.cpp, src/graphics.h, src/resources/image.cpp,
	src/resources/image.h: Moved the image drawing code into the graphics
	class.
	* src/being.cpp, src/engine.cpp, src/graphics.cpp, src/graphics.h: Made
	the wrapper functions in the Graphics class conditional on whether we
	compile with OpenGL support.

2005-08-13  Björn Steinbrink  <B.Steinbrink@gmx.de>

	* src/Makefile.am, src/being.cpp, src/being.h, src/configlistener.cpp,
	src/configlistener.h, src/configuration.cpp, src/configuration.h,
	src/engine.cpp, src/engine.h, src/equipment.cpp, src/equipment.h,
	src/game.cpp, src/game.h, src/graphics.cpp, src/graphics.h,
	src/guichanfwd.h, src/inventory.cpp, src/inventory.h, src/item.h,
	src/log.cpp, src/log.h, src/main.cpp, src/main.h, src/map.cpp,
	src/map.h, src/playerinfo.h, src/sound.cpp, src/sound.h,
	src/graphic/imagerect.h, src/graphic/spriteset.cpp,
	src/graphic/spriteset.h, src/gui/box.h, src/gui/browserbox.cpp,
	src/gui/browserbox.h, src/gui/buddywindow.h, src/gui/button.cpp,
	src/gui/button.h, src/gui/buy.cpp, src/gui/buy.h, src/gui/buysell.h,
	src/gui/char_select.cpp, src/gui/char_select.h,
	src/gui/char_server.cpp, src/gui/char_server.h,
	src/gui/chargedialog.cpp, src/gui/chargedialog.h, src/gui/chat.cpp,
	src/gui/chat.h, src/gui/chatinput.cpp, src/gui/checkbox.cpp,
	src/gui/checkbox.h, src/gui/confirm_dialog.cpp,
	src/gui/confirm_dialog.h, src/gui/equipmentwindow.cpp,
	src/gui/equipmentwindow.h, src/gui/focushandler.h, src/gui/gui.cpp,
	src/gui/gui.h, src/gui/help.cpp, src/gui/help.h,
	src/gui/inttextbox.cpp, src/gui/inttextbox.h,
	src/gui/inventorywindow.cpp, src/gui/inventorywindow.h,
	src/gui/item_amount.cpp, src/gui/item_amount.h,
	src/gui/itemcontainer.cpp, src/gui/itemcontainer.h,
	src/gui/listbox.cpp, src/gui/listbox.h, src/gui/login.cpp,
	src/gui/login.h, src/gui/minimap.cpp, src/gui/minimap.h,
	src/gui/newskill.cpp, src/gui/newskill.h, src/gui/npc.h,
	src/gui/npc_text.h, src/gui/ok_dialog.cpp, src/gui/ok_dialog.h,
	src/gui/passwordfield.h, src/gui/playerbox.cpp, src/gui/playerbox.h,
	src/gui/popupmenu.cpp, src/gui/popupmenu.h, src/gui/progressbar.cpp,
	src/gui/progressbar.h, src/gui/radiobutton.cpp, src/gui/radiobutton.h,
	src/gui/requesttrade.cpp, src/gui/requesttrade.h,
	src/gui/scrollarea.cpp, src/gui/scrollarea.h, src/gui/sell.cpp,
	src/gui/sell.h, src/gui/setup.cpp, src/gui/setup.h, src/gui/skill.h,
	src/gui/slider.cpp, src/gui/slider.h, src/gui/stats.cpp,
	src/gui/stats.h, src/gui/status.cpp, src/gui/status.h,
	src/gui/textbox.cpp, src/gui/textbox.h, src/gui/textfield.cpp,
	src/gui/textfield.h, src/gui/trade.cpp, src/gui/trade.h,
	src/gui/updatewindow.cpp, src/gui/updatewindow.h, src/gui/window.cpp,
	src/gui/window.h, src/gui/windowcontainer.h, src/net/protocol.cpp,
	src/net/protocol.h, src/resources/buddylist.hm
	src/resources/image.cpp, src/resources/image.h,
	src/resources/itemmanager.cpp, src/resources/itemmanager.h,
	src/resources/mapreader.cpp, src/resources/mapreader.h,
	src/resources/music.h, src/resources/resource.cpp,
	src/resources/resourcemanager.cpp, src/resources/resourcemanager.h,
	src/resources/soundeffect.h: Huge header cleanup, removing nearly all
	#include's from headers to reduce dependencies and compile time.
	* src/engine.cpp, src/gui/char_select.cpp, src/gui/inventorywindow.cpp,
	src/gui/skill.cpp, src/gui/skill.h, src/gui/stats.cpp,
	src/gui/status.cpp: Another small header cleanup, should also solve
	compilation problems on windows.
	* src/gui/sell.cpp: Reset selection in the sell dialog if all items at
	the selected slot are sold.

2005-08-13  Eugenio Favalli  <elvenprogrammer@gmail.com>

	* src/gui/status.h, src/gui/status.cpp: Reformatted status window
	layout to avoid overlapping and lowered saturation of bars' colors.
	* src/gui/status.cpp: Removed smooth color changing from xp bar which
	was causing problems and doesn't act as the job xp bar.
	* The Mana World.dev, src/game.cpp, src/playerinfo.h,
	src/net/protocol.cpp, src/resources/itemmanager.cpp,
	src/gui/inventorywindow.cpp: Updated dev-cpp project file, removed
	unnecessary header, fixed some include paths.

2005-08-12  Eugenio Favalli  <elvenprogrammer@gmail.com>

	* src/buy.cpp, src/sell.cpp: Resetting quantity to 0 after selecting
	other items in buy/sell dialogs.

2005-08-11  Andrej Sinicyn  <andrej4000@gmail.com>

	* src/resources/image.cpp: Little cleanup and simplification.

2005-08-10  Björn Steinbrink  <B.Steinbrink@gmx.de>

	* src/engine.cpp, src/graphics.cpp, src/graphics.h,
	src/gui/browserbox.cpp, src/gui/gui.cpp, src/gui/listbox.cpp,
	src/gui/minimap.cpp, src/gui/progressbar.cpp, src/gui/scrollarea.cpp:
	Moved knowledge about whether we use OpenGL into the Graphics class (as
	much as possible)
	* src/game.cpp: Added helper function for being creation to reduce code
	duplication. Some code simplifications.

2005-08-09  Björn Steinbrink  <B.Steinbrink@gmx.de>

	* src/engine.cpp: Adjust drawing offset to have the player centered in
	higher resolutions as well.

2005-08-04  Björn Steinbrink  <B.Steinbrink@gmx.de>

	* src/main.cpp: Use "true" instead of "1" as bool argument.
	* src/resources/resourcemanager.cpp, src/resources/resourcemanager.h:
	Added a method to determine the real path of a file in the PhysFS
	search path.
	* src/gui/browserbox.cpp: Make use of then new resource manager method
	to determine the real path of a file.
	* src/gui/gui.cpp: Dynamically determine the path to graphic files
	instead of using the try-catch fallback method.

2005-08-03  Andrej Sinicyn  <andrej4000@gmail.com>

	* src/game.cpp, src/game.h, src/gui/requesttrade.cpp,
	src/gui/requesttrade.h: Moved my invented variable, since it makes more
	sense.
	* src/game.cpp, src/game.h, src/gui/requesttrade.cpp: Fix my previous
	fix because it broke my own code.

2005-08-03  Björn Steinbrink  <B.Steinbrink@gmx.de>

	* src/main.cpp: Use PhysFS to determine user's home directory on unix
	system. Removed an now unused header.
	* src/game.cpp: Commented a switch case label that was left uncommented
	though the rest was commented.
	* src/resources/buddylist.cpp, src/main.h: Removed unneeded header from
	main.h, added it to buddylist.cpp.
	* src/engine.cpp: Converted two global variables to function-local
	ones.

2005-08-02  Andrej Sinicyn  <andrej4000@gmail.com>

	* src/game.cpp: Fixed "Trade canceled" happening often.

2005-08-02  Björn Steinbrink  <B.Steinbrink@gmx.de>

	* src/engine.cpp: Cleanups in the drawing code.
	* src/engine.cpp, src/game.cpp: Made autoTarget checks being handled at
	a single location.
	* src/being.cpp, src/being.h, src/engine.h: Small header cleanups.
	* src/graphics.cpp, src/graphics.h, src/main.cpp, src/main.h,
	src/gui/setup.cpp: Moved graphics setup code into the graphics class.

2005-08-02  Marcel W. Wysocki  <maci@satgnu.org>

	* tmw/src/gui/status.cpp: making setup dialog quitting when clicking
	on setup button while dialog is opened

2005-08-01  Björn Steinbrink  <B.Steinbrink@gmx.de>

	* src/inventory.cpp, src/inventory.h, src/gui/itemcontainer.cpp,
	src/gui/itemcontainer.h: Added a logic function to dynamically adjust
	the size of the itemcontainer.
	* src/game.cpp: Fixed autoTarget not being set to NULL on map change.

2005-07-31  Andrej Sinicyn  <andrej4000@gmail.com>

	* src/game.cpp, src/game.h, src/gui/popupmenu.cpp: Show the name of the
	trade partner in the trade dialog.

2005-07-31  Björn Steinbrink  <B.Steinbrink@gmx.de>

	* src/gui/listbox.cpp: Small cleanup of the drawing code.
	* src/engine.cpp: Added a check to stop scrolling when we hit the map
	border.

2005-07-31  Andrej Sinicyn  <andrej4000@gmail.com>

	* src/game.cpp: Don't allow more than one trade dialog or requesting it
	at once; if a trade is canceled on the other side, close the trade
	window.

2005-07-30  Andrej Sinicyn  <andrej4000@gmail.com>

	* src/main.cpp: Removed unnecessary value assignment to a variable.

2005-07-30  Björn Steinbrink  <B.Steinbrink@gmx.de>

	* src/main.cpp, src/resources/resourcemanager.h,
	src/resources/resourcemanager.cpp: Fixed buggy check for the existence
	of the updates directory. Extended the resource manager with some
	physfs functions and moved the actual setup process from the resource
	manager constructor into the main initialization.

2005-07-29  Björn Steinbrink  <B.Steinbrink@gmx.de>

	* src/game.cpp: Fixed popup window not always being correctly hidden
	when the player clicks somewhere else.

2005-07-28  Björn Steinbrink  <B.Steinbrink@gmx.de>

	* src/main.cpp, src/gui/update.cpp, src/resources/resourcemanager.cpp,
	src/resources/resourcemanager.h: Added support for files downloaded
	through the update manager to the resource manager. Changed directory
	name for updates from "data" to "updates".
	* src/game.cpp, src/gui/inventorywindow.cpp, src/gui/popupmenu.cpp,
	src/gui/popupmenu.h: Cleaned up the showPopup() code, moved
	"map"-related code into game.cpp, made the popup show up at mouse
	coordinates instead of being aligned to tiles.
	* src/being.cpp, src/being.h, src/engine.cpp, src/game.cpp, src/game.h,
	src/gui/gui.cpp, src/net/protocol.cpp: Added an action enumeration to
	the Being class and removed the old #define's.
	* src/resources/resourcemanager.cpp: Fixed a location where a wrong
	dir-separator was used.
	* src/main.cpp: Fixed updates directory not being created on non-unix
	systems. Started using PhysFS write support.

2005-07-27  Bjørn Lindeijer  <bjorn@lindeijer.nl>

	* src/engine.cpp, src/game.cpp, src/graphics.cpp, src/graphics.h,
	src/main.cpp, src/gui/browserbox.cpp, src/gui/button.cpp,
	src/gui/gui.cpp, src/gui/listbox.cpp, src/gui/minimap.cpp,
	src/gui/playerbox.cpp, src/gui/progressbar.cpp,
	src/gui/scrollarea.cpp, src/gui/textfield.cpp, src/gui/window.cpp,
	src/resources/image.cpp, src/resources/image.h,
	src/resources/mapreader.h: Merged OpenGL/SDL merge patch by Andrej
	Sinicyn, and his followup patch for fixing SDL-only build.

2005-07-27  Björn Steinbrink  <B.Steinbrink@gmx.de>

	* src/gui/gui.cpp, src/gui/gui.h: Removed continous mouse movement,
	that implementation wasn't suitable for a release.

2005-07-26  Björn Steinbrink  <B.Steinbrink@gmx.de>

	* src/being.cpp, src/being.h, src/engine.cpp, src/game.cpp,
	src/gui/minimap.cpp, src/gui/popupmenu.cpp, src/net/protocol.cpp:
	Introduced a Being::Type enumeration. Added type-aware findNode()
	function.
	* src/being.cpp: Set font back to gui font after drawing speech.
	Draw auto-target marker in engine instead of being.
	* src/gui/popupmenu.cpp: Fixed empty popup window being shown when user
	right clicks on an empty tile while the popup is visible.

2005-07-26  Eugenio Favalli  <elvenprogrammer@gmail.com>

	* The Mana World.dev: Updated release infos.
	* data/graphics/sprites/emotions.png: Added Modanung's smilies.
	* src/being.cpp, src/engine.cpp: Fixed text and smilies position.
	* src/game.cpp: Cleanups.
	* src/gui/skill.cpp: Added new skill names.
	* src/main.cpp: Moved sound playback to update screen and changed song.

2005-07-24  Björn Steinbrink  <B.Steinbrink@gmx.de>

	* src/game.cpp: Made the key-event handler use switches instead of
	if-else.
	* src/gui/gui.cpp, src/gui/gui.h: Allow continous movement when holding
	down the left mouse button.

2005-07-23  Björn Steinbrink  <B.Steinbrink@gmx.de>

	* src/being.h, src/being.cpp: Added a member to keep the current map,
	restored setDestination.
	* src/game.cpp, src/gui/gui.cpp: Change calls to Being::setPath() to
	Being::setDestination().
	* src/map.h: Add a forward declaration for struct PATH_NODE.

2005-07-23  Bjørn Lindeijer  <bjorn@lindeijer.nl>

	* NEWS: Moved project news here.
	* ChangeLog: Started standard ChangeLog file here.
	* docs/HACKING.txt: Added info about member naming and ChangeLog
	format.
	* src/gui/updatewindow.h, src/gui/updatewindow.cpp: Changed member
	names, set a 15 second timeout for connecting to update server and
	restore some doxygen comments, improved size adaption and made the
	window a shorter.
	* data/graphics/images/login_wallpaper.png: New login wallpaper by
	Momotaro.
